/**
 * BallotCardData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.ballot;

import java.util.List;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.general.GeneralInfo;
import com.smartmatic.waffle.persistence.metadata.MultilingualPropertyAnnotation;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamOmitField;

/**
 * JavaBean representing a specific ballot card. This class is used just to
 * fullfit the election XSD.
 */
@XStreamAlias("ballot-card")
public class BallotCardData extends GeneralInfo {

	/** The Constant serialVersionUID. */
	@XStreamOmitField
	private static final long serialVersionUID = 4283036643151849486L;

	/** The contest. */
	@XStreamAlias("contests")
	List<ContestData> contest;

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.smartmatic.waffle.domain.general.BaseGeneralInfo#getVersion()
	 */
	@Override
	public int getVersion() {
		return this.version;
	}

	/**
	 * Getter of <code>help</code> property.
	 * 
	 * @return <code>help</code> property value.
	 * @see #help
	 */
	@Override
	@MultilingualPropertyAnnotation
	public String getHelp() {
		return this.help;
	}

	/**
	 * Getter of <code>abstractKey</code> property.
	 * 
	 * @return <code>abstractKey</code> property value.
	 * @see #abstractKey
	 */
	@Override
	@MultilingualPropertyAnnotation
	public String getAbstractKey() {
		return this.abstractKey;
	}

	/**
	 * Getter of <code>title</code> property.
	 * 
	 * @return <code>title</code> property value.
	 * @see #name
	 */
	@Override
	@MultilingualPropertyAnnotation
	public String getName() {
		return this.name;
	}

	/**
	 * Getter of <code>contest</code> property.
	 * 
	 * @return <code>contest</code> property value.
	 * @see #contest
	 */

	public List<ContestData> getContest() {
		return this.contest;
	}

	/**
	 * Setter of <code>contest</code> property.
	 * 
	 * @param contest
	 *            The <code>contest</code> to set.
	 * @see #contest
	 */
	public void setContest(List<ContestData> contest) {
		this.contest = contest;
	}
}
