/**
 * VotingDevicesData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.device;

import java.io.Serializable;
import java.util.List;

import com.smartmatic.waffle.domain.i18n.LanguageForVotingDeviceData;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Class that represents a group of voting devices.
 */
@XStreamAlias("voting-devices")
public class VotingDevicesData implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 2569974018291089973L;

	/** The xmlns xs. */
	@XStreamAlias("xmlns:xs")
	@XStreamAsAttribute
	String xmlnsXs;

	/** The xmlns. */
	@XStreamAlias("xmlns")
	@XStreamAsAttribute
	String xmlns;

	/** The xmlns el. */
	@XStreamAlias("xmlns:el")
	@XStreamAsAttribute
	String xmlnsEl;

	/** The voting device data. */
	@XStreamAlias("voting-device")
	VotingDeviceData votingDeviceData;

	/** The languages. */
	@XStreamAlias("el:languages")
	List<LanguageForVotingDeviceData> languages;

	/**
	 * Gets the voting device data.
	 * 
	 * @return the votingDeviceData
	 */
	public VotingDeviceData getVotingDeviceData() {
		return this.votingDeviceData;
	}

	/**
	 * Sets the voting device data.
	 * 
	 * @param votingDeviceData
	 *            the votingDeviceData to set
	 */
	public void setVotingDeviceData(VotingDeviceData votingDeviceData) {
		this.votingDeviceData = votingDeviceData;
	}

	/**
	 * Gets the xmlns xs.
	 * 
	 * @return the xmlnsXs
	 */
	public String getXmlnsXs() {
		return this.xmlnsXs;
	}

	/**
	 * Sets the xmlns xs.
	 * 
	 * @param xmlnsXs
	 *            the xmlnsXs to set
	 */
	public void setXmlnsXs(String xmlnsXs) {
		this.xmlnsXs = xmlnsXs;
	}

	/**
	 * Gets the xmlns.
	 * 
	 * @return the xmlns
	 */
	public String getXmlns() {
		return this.xmlns;
	}

	/**
	 * Sets the xmlns.
	 * 
	 * @param xmlns
	 *            the xmlns to set
	 */
	public void setXmlns(String xmlns) {
		this.xmlns = xmlns;
	}

	/**
	 * Getter of <code>xmlnsEl</code> property.
	 * 
	 * @return <code>xmlnsEl</code> property value.
	 * @see #xmlnsEl
	 */
	public String getXmlnsEl() {
		return this.xmlnsEl;
	}

	/**
	 * Setter of <code>xmlnsEl</code> property.
	 * 
	 * @param xmlnsEl
	 *            The <code>xmlnsEl</code> to set.
	 * @see #xmlnsEl
	 */
	public void setXmlnsEl(String xmlnsEl) {
		this.xmlnsEl = xmlnsEl;
	}

	/**
	 * Getter of <code>languages</code> property.
	 * 
	 * @return <code>languages</code> property value.
	 * @see #languages
	 */
	public List<LanguageForVotingDeviceData> getLanguages() {
		return this.languages;
	}

	/**
	 * Setter of <code>languages</code> property.
	 * 
	 * @param languages
	 *            The <code>languages</code> to set.
	 * @see #languages
	 */
	public void setLanguages(List<LanguageForVotingDeviceData> languages) {
		this.languages = languages;
	}
}
