/**
 * StringResourcesData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.multiLanguage;

import java.io.Serializable;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

/**
 * Class that represents a group of string resources.
 */
@XStreamAlias("strings-resources")
public class StringResourcesData implements Serializable {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -8655351407972666777L;

	/** The xmlns xs. */
	@XStreamAlias("xmlns:xs")
	@XStreamAsAttribute
	String xmlnsXs;

	/** The xmlns. */
	@XStreamAlias("xmlns")
	@XStreamAsAttribute
	String xmlns;

	/** The string resources. */
	@XStreamImplicit(itemFieldName = "sr")
	List<StringResourceData> stringResources;

	/**
	 * Getter of {@link #stringResources} field.
	 * 
	 * @return {@link #stringResources} value.
	 */
	public List<StringResourceData> getStringResources() {
		return this.stringResources;
	}

	/**
	 * Setter of {@link #stringResources} field.
	 * 
	 * @param stringResources
	 *            The Collection<StringResourceData> to set.
	 */
	public void setStringResources(List<StringResourceData> stringResources) {
		this.stringResources = stringResources;
	}

	/**
	 * Gets the xmlns xs.
	 * 
	 * @return the xmlnsXs
	 */
	public String getXmlnsXs() {
		return this.xmlnsXs;
	}

	/**
	 * Sets the xmlns xs.
	 * 
	 * @param xmlnsXs
	 *            the xmlnsXs to set
	 */
	public void setXmlnsXs(String xmlnsXs) {
		this.xmlnsXs = xmlnsXs;
	}

	/**
	 * Gets the xmlns.
	 * 
	 * @return the xmlns
	 */
	public String getXmlns() {
		return this.xmlns;
	}

	/**
	 * Sets the xmlns.
	 * 
	 * @param xmlns
	 *            the xmlns to set
	 */
	public void setXmlns(String xmlns) {
		this.xmlns = xmlns;
	}
}
