/**
 * FileChecksumData.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.security;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * Wrapper for file and checksums to be stored in election file.
 */
@XStreamAlias("checksum")
public class FileChecksumData {

	/**
	 * File name.
	 */
	@XStreamAlias("file")
	@XStreamAsAttribute
	private String file;

	/**
	 * File base location (for contained files).
	 */
	@XStreamAlias("base")
	@XStreamAsAttribute
	private String base;

	/**
	 * Hash value.
	 */
	@XStreamAlias("hash")
	@XStreamAsAttribute
	private String hash;

	/**
	 * Gets the file name.
	 * 
	 * @return the file
	 */
	public String getFile() {
		return this.file;
	}

	/**
	 * Sets the file name.
	 * 
	 * @param file
	 *            the file name
	 */
	public void setFile(String file) {
		this.file = file;
	}

	/**
	 * Gets the file base location.
	 * 
	 * @return the base
	 */
	public String getBase() {
		return this.base;
	}

	/**
	 * Sets the file base location.
	 * 
	 * @param base
	 *            the file base location
	 */
	public void setBase(String base) {
		this.base = base;
	}

	/**
	 * Gets the file hash.
	 * 
	 * @return the hash
	 */
	public String getHash() {
		return this.hash;
	}

	/**
	 * Sets the file hash.
	 * 
	 * @param hash
	 *            the file hash
	 */
	public void setHash(String hash) {
		this.hash = hash;
	}

}
