/**
 * Rollback.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client;

import com.smartmatic.waffle.localpersistence.SAESCommonDestinations;
import com.smartmatic.waffle.localpersistence.SAESLocalPersistenceManager;

/**
 * *
 * 
 * This class is used to perform rollback operations if are required by the
 * application.
 * 
 * @version 1.0 (Sep 01, 2010)
 * @author Carlos Ramírez (cramirez@smartmatic.com)
 */
public class Rollback {

	/***
	 * Method used to delete operatiing system loaded.<br>
	 * Files to delete:<br>
	 * 
	 * <li>canvassingStationImage <li>votingDeviceImage <li>
	 * votingDeviceScreenShotImage
	 * 
	 * @see SAESCommonDestinations
	 */
	public static void deleteImages() {
		SAESCommonDestinations defaultDestinations = SAESLocalPersistenceManager
				.getInstance().getDefaultDestinations();

		defaultDestinations.canvassingStationImage.delete();
		defaultDestinations.votingDeviceImage.delete();
		defaultDestinations.votingDeviceScreenShotImage.delete();
	}
}
