/**
 * ECMFileConversionDispatch.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.func;

import java.util.List;

import javax.swing.JPanel;

import com.smartmatic.waffle.domain.security.IActionData;
import com.smartmatic.waffle.ecm.client.ui.BulkUploadEMLFilesPanel;
import com.smartmatic.waffle.ecm.ui.menu.InsideMenuDispatchFunc;
import com.smartmatic.waffle.log.SMTTLogger;

/**
 * The Class is used to build and control components behaviors of the ECM File
 * Conversion.
 */
public class ECMFileConversionDispatch extends InsideMenuDispatchFunc {

	/** The logger. */
	private static SMTTLogger logger = SMTTLogger
			.getLogger(ECMFileConversionDispatch.class);

	/** The panel where the monitoring process will be performed. */
	private BulkUploadEMLFilesPanel container;

	/**
	 * Constructor for the <code>RTSMonitoringVotingDeviceDispatch</code>.
	 * 
	 * @param clients
	 *            the clients
	 */
	public ECMFileConversionDispatch() {
		super();
		this.container = this.buildPanel();
	}

	/**
	 * Builds the panel for the monitoring process.
	 * 
	 * @param clients
	 *            the clients
	 * @return the monitoring panel
	 */
	private BulkUploadEMLFilesPanel buildPanel() {
		ECMFileConversionDispatch.logger
				.info("Building the File Conversion Panel");

		this.container = new BulkUploadEMLFilesPanel();

		return this.container;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.core.IFunctDispatcher#isEnabled(java.util.ArrayList
	 * )
	 */
	@Override
	public boolean isEnabled(List<IActionData> actions) {
		return true;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.waffle.ui.menu.InsideMenuDispatchFunc#buildUIPanel(java
	 * .util.ArrayList)
	 */
	@Override
	public JPanel buildUIPanel(List<IActionData> actions) {
		return this.container;
	}

	/**
	 * Checks if is critical process running.
	 * 
	 * @return true, if is critical process running
	 * @inerhitDoc
	 */
	@Override
	public boolean isCriticalProcessRunning() {
		return false;
	}

	/**
	 * Sets the running critical process.
	 * 
	 * @param run
	 *            the new running critical process
	 * @inerhitDoc
	 */

	@Override
	public void setRunningCriticalProcess(boolean run) {
		return;
	}

	/**
	 * Refresh.
	 * 
	 * @inheritDoc
	 */
	@Override
	public void refresh() {
		return;
	}
}
