/**
 * MessageNotifications.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.ecm.client.ui.common.notifications.util;

import java.awt.Color;

import javax.swing.JLabel;
import javax.swing.Timer;

/**
 * The Class is used to show a blinking message on screen to the user.
 */
public class MessageNotifications {

	/**
	 * Method used to show the blinking message on screen.
	 * 
	 * @param messageLabel
	 *            the message label
	 * @param message
	 *            the message
	 * @param mseconds
	 *            , remaining time (in milliseconds) to hide the blinking
	 *            message
	 * @param color
	 *            the color
	 */
	public static void blinkMessage(JLabel messageLabel, String message,
			int mseconds, Color color) {
		Timer timer = new Timer(mseconds, new BlinkListener(messageLabel,
				color, message));
		timer.setInitialDelay(mseconds);
		timer.setRepeats(false);
		timer.start();
	}

	/**
	 * *.
	 * 
	 * @param mseconds
	 *            the mseconds
	 * @param listener
	 *            the listener
	 */
	public static void blinkMessage(int mseconds, BlinkListener listener) {
		Timer timer = new Timer(mseconds, listener);
		timer.setInitialDelay(mseconds);
		timer.setRepeats(false);
		timer.start();
	}
}
