/**
 * PassphraseUserUpdateTask.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2018 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.ui.login;

import org.apache.commons.codec.digest.DigestUtils;
import org.jdesktop.application.Application;

import com.smartmatic.waffle.domain.user.UserData;
import com.smartmatic.waffle.ecm.client.ECMServiceProvider;
import com.smartmatic.waffle.log.SMTTLogger;

public class PassphraseUserUpdateTask extends
		org.jdesktop.application.Task<UserData, Void> {

	/** The logger. */
	private static SMTTLogger logger = SMTTLogger
			.getLogger(PassphraseUserUpdateTask.class);

	private PassphraseUserUpdateDialog dialog;

	public PassphraseUserUpdateTask(Application application,
			PassphraseUserUpdateDialog dialog) {
		super(application);

		this.dialog = dialog;

	}

	@Override
	protected UserData doInBackground() throws Exception {

		String user = this.dialog.userField.getText();
		String plainPassword = this.dialog.getEnteredPassword();
		String sha256password = DigestUtils.sha256Hex(plainPassword);

		return ECMServiceProvider.updateUser(user, sha256password);
	}

	@Override
	protected void succeeded(UserData result) {

		this.dialog.showDialogUserUpdated();
		this.dialog.setVisible(false);
	}

	@Override
	protected void failed(Throwable cause) {
		logger.error("Error updating administrator user password", cause);
		this.dialog.showDialogUserUpdateError();
		this.dialog.resetUI();

	}

}
