#!/bin/bash

# Filename: pendriveUtil.sh
# Synopsis: Script used to format the USB device.
#           It uses program 'parted' for such purpose.
# Author: Unknown
# Last Edited: 21-April-2016
# Last Editor: Luis Dalo

###############
#  VARIABLES  #
###############

PATH_TO_EXEC=$2

###########
#  BEGIN  #
###########

case $1 in
	umount)
		STATUSDEV="1"
		PDRIVE=`df |grep $PATH_TO_EXEC | awk {'print $6'}`
		while [ -n "$STATUSDEV" ]; do
			STATUSDEV=`lsof|grep $PDRIVE`
			if [ -n "$STATUSDEV" ]; then
				sleep 10
			fi
		done
		umount $PATH_TO_EXEC
		if [ -d "$PATH_TO_EXEC" ]; then
			rm -rf $PATH_TO_EXEC
		fi
	    ;;
	sync)
		sync
	    ;;
	syncAndMerge)
		rsync -r --ignore-existing $PATH_TO_EXEC/SAESLocalUnsigned/ $PATH_TO_EXEC/SAESLocal/
		rm -rf $PATH_TO_EXEC/SAESLocalUnsigned/
		sync
	    ;;
	chown)
		chown 1000:1000 -R $PATH_TO_EXEC
	    ;;
esac

#########
#  END  #
#########
