/**
 * BulkUploadUpdateLoadedNumberOfEachEntityWorkerTest.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.worker;

import static org.junit.Assert.assertEquals;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.api.mockito.PowerMockito;
import org.powermock.core.classloader.annotations.PrepareForTest;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.ecm.client.ECMServiceProvider;
import com.smartmatic.waffle.ecm.client.lang.ConnectionException;
import com.smartmatic.waffle.ecm.data.transfer.objects.EntityRecordsQuantitiesDTO;
import com.smartmatic.waffle.ecm.data.transfer.type.SmttFileType;
import com.smartmatic.waffle.ecm.service.lang.BulkDataLoadException;

/**
 * Class to test BulkUploadUpdateLoadedNumberOfEachEntityWorker.
 */
@RunWith(PowerMockRunner.class)
@PrepareForTest({ ECMServiceProvider.class,
		BulkUploadUpdateLoadedNumberOfEachEntityWorker.class })
public class BulkUploadUpdateLoadedNumberOfEachEntityWorkerTest {

	/**
	 * Prepares the test
	 * 
	 * @throws Exception
	 *             signals that an exception has occurred preparing the test.
	 *             This test should not throws any exception.
	 */
	@Before
	public void setUp() throws Exception {
		mockStaticMethods();
	}

	/**
	 * Test startBulkUploadOperation method.
	 * 
	 * @throws BulkDataLoadException
	 *             signals that an exception has occurred testing the method.
	 *             This test should not throws any exception.
	 * 
	 * @throws ConnectionException
	 *             signals that a connection problem has occurred. This test
	 *             should not throws any exception.
	 */
	@Test
	public final void testStartBulkUploadOperation()
			throws BulkDataLoadException, ConnectionException {

		// arrange
		BulkUploadUpdateLoadedNumberOfEachEntityWorker bulkUploadUpdateLoadedNumberOfEachEntityWorker = new BulkUploadUpdateLoadedNumberOfEachEntityWorker();

		// act
		bulkUploadUpdateLoadedNumberOfEachEntityWorker
				.startUpdatingLoadedNumberOfEachEntity();

		// assert
		PowerMockito.verifyStatic();
		ECMServiceProvider.getEntityRecordsQuantities();
		assertEquals(bulkUploadUpdateLoadedNumberOfEachEntityWorker
				.getEntityRecordsQuantitiesList().size(), 2);
	}

	/**
	 * Prepares mock for ECMServiceProvider class
	 * 
	 * @throws Exception
	 *             signals that an exception has occurred preparing mock. This
	 *             test should not throws any exception.
	 */
	private void mockStaticMethods() throws Exception {
		List<EntityRecordsQuantitiesDTO> entityRecordsQuantitiesList = new ArrayList<EntityRecordsQuantitiesDTO>();

		EntityRecordsQuantitiesDTO entityRecordsQuantity1 = new EntityRecordsQuantitiesDTO();

		entityRecordsQuantity1.setSmttFileType(SmttFileType.BALLOT_LAYOUT);
		entityRecordsQuantity1.setRecordsQuantities(100);

		entityRecordsQuantitiesList.add(entityRecordsQuantity1);

		EntityRecordsQuantitiesDTO entityRecordsQuantity2 = new EntityRecordsQuantitiesDTO();

		entityRecordsQuantity2.setSmttFileType(SmttFileType.CANDIDATE);
		entityRecordsQuantity2.setRecordsQuantities(100);

		entityRecordsQuantitiesList.add(entityRecordsQuantity2);

		PowerMockito.mockStatic(ECMServiceProvider.class);

		PowerMockito.when(ECMServiceProvider.getEntityRecordsQuantities())
				.thenReturn(entityRecordsQuantitiesList);
	}
}
