/**
 * HashGetterWorkerTest.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.client.worker;

import static org.junit.Assert.assertEquals;

import java.io.File;

import org.junit.Before;
import org.junit.Test;

/**
 * Class that test HashGetterWorker class.
 */
public class HashGetterWorkerTest {

	/** HashGetterWorker instance. */
	HashGetterWorker hashGetterWorker;

	/** File object to hold the abstract representation of image. */
	private File imageTest;

	/**
	 * Sets Up method.
	 * 
	 * @throws Exception
	 *             Signals that an exception has occurred.
	 */
	@Before
	public void setUp() throws Exception {
		this.imageTest = new File("test/resources/ImageTest.tar.gz");
		this.hashGetterWorker = new HashGetterWorker(this.imageTest);
	}

	/**
	 * Test the method that calculate the sha256sum and compares the result.
	 */
	@Test
	public void testGetSHA256Hash() {
		String result = this.hashGetterWorker.getSHA256Hash();

		assertEquals(result,
				"fa6ec9a8a502af0ffe907b113f885cc0da198c3e2ee99ceff4e89c4fef660420");
	}

}
