/**
 * IBatteryStatusChangedListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core.battery;

import java.util.Map;

/**
 * The listener interface for receiving IBatteryStatusChanged events. The class
 * that is interested in processing a IBatteryStatusChanged event implements
 * this interface, and the object created with that class is registered with a
 * component using the component's
 * <code>addIBatteryStatusChangedListener<code> method. When
 * the IBatteryStatusChanged event occurs, that object's appropriate
 * method is invoked.
 * 
 * @see IBatteryStatusChangedEvent
 */
public interface IBatteryStatusChangedListener {

	/**
	 * Method used to notify that the battery status has changed.
	 * 
	 * @param changed
	 *            - object that represent the bettery status.
	 */
	void batteryStatusChanged(Map<String, Object> changed);
}
