/**
 * TimestampUtil.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.core.util;

/**
 * Class to hold custom operation over timestamps
 */
public class TimestampUtil {

	/**
	 * Gets the human-readable string of a time difference between two
	 * timestamps.
	 * 
	 * @param start
	 *            start timestamp in milliseconds
	 * @param end
	 *            end timestamp in milliseconds
	 * 
	 * @return time difference between two timestamps.
	 */
	public static String prettyTimeDifference(long start, long end) {

		long miliseconds = end - start;
		long hour, minute, second;
		long hourRemainder, minuteRemainder, secondRemainder;

		hour = miliseconds / 3600000;

		hourRemainder = miliseconds % 3600000;

		minute = hourRemainder / 60000;

		minuteRemainder = hourRemainder % 60000;

		second = minuteRemainder / 1000;

		secondRemainder = minuteRemainder % 1000;

		return (hour < 10 ? "0" + hour : hour) + ":"
				+ (minute < 10 ? "0" + minute : minute) + ":"
				+ (second < 10 ? "0" + second : second) + "." + secondRemainder;
	}
}
