package com.smartmatic.waffle.ecm.core.lang;

import org.junit.Assert;
import org.junit.Test;

import com.smartmatic.waffle.ecm.core.lang.PendriveException.PendriveExceptionInfo;

public class PendriveExceptionTest {

	@Test
	public void testPendriveExceptionStandardError() {
		PendriveException e1 = new PendriveException(
				PendriveExceptionInfo.PENDRIVE_CHECK_FAILURE,
				"Standard error example 1");
		PendriveException e2 = new PendriveException(
				PendriveExceptionInfo.INTEGRITY_GENERATION_FAILURE,
				"Standard error example 2");
		PendriveException e3 = new PendriveException(
				PendriveExceptionInfo.PENDRIVE_IO_ERROR);

		String[] returnValue1 = e1.getMessage().split("\n");
		String[] returnValue2 = e2.getMessage().split("\n");
		String[] returnValue3 = e3.getMessage().split("\n");

		Assert.assertTrue(
				"Two consecutive exceptions should really be distinct",
				returnValue1[0] != returnValue2[0]);
		Assert.assertTrue(
				"Two consecutive exceptions should really be distinct",
				returnValue1[1] != returnValue2[1]);
		Assert.assertEquals(
				"An error was found while checking the integrity of the files. Standard error message:\nStandard error example 2",
				e2.getMessage());
		Assert.assertEquals(
				"when initialized without stdErr output, the output should not show a residual stdErr",
				1, returnValue3.length);
		Assert.assertTrue(e3.getExceptionInfo().equals(
				PendriveExceptionInfo.PENDRIVE_IO_ERROR));

	}
}
