/**
 * SortedContestPrecedence.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.domain.contest.ContestData;

/**
 * Comparator used to sort contest by contest class precedences.
 */
public class ContestPrecedenceComparator implements Comparator<ContestData> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(ContestData contest1, ContestData contest2) {
        return (int) (contest1.getContestClass().getPrecedence() - contest2
                .getContestClass().getPrecedence());
    }

}
