/**
 * TallyPositionComparator.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.comparators;

import java.util.Comparator;

import com.smartmatic.waffle.domain.eligibleoption.EligibleOptionData;

/**
 * Comparator used to sort eligible options by tally position.
 */
public class TallyPositionComparator implements Comparator<EligibleOptionData> {

    /*
     * (non-Javadoc)
     * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
     */
    @Override
    public int compare(EligibleOptionData eligibleOption1,
            EligibleOptionData eligibleOption2) {
        return (eligibleOption1.getBallotOptions().iterator().next()
                .getTallyPosition() - eligibleOption2.getBallotOptions()
                .iterator().next().getTallyPosition());
    }

}
