/**
 * ParamConvertionDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

import java.io.Serializable;

/**
 * Class used to sent bulk load file content from client from server in bulk
 * upload process.
 */
public class ParamConvertionDTO implements Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 98291692418131318L;

    /** The filename. */
    private String filename;

    /** The file content. */
    private byte[] fileContent;

    /**
     * Getter of filename property.
     * 
     * @return filename property value
     */
    public String getFilename() {
        return this.filename;
    }

    /**
     * Setter of filename property.
     * 
     * @param filename
     *            property value
     */
    public void setFilename(String filename) {
        this.filename = filename;
    }

    /**
     * Getter of fileContent property.
     * 
     * @return fileContent property value
     */
    public byte[] getFileContent() {
        return this.fileContent;
    }

    /**
     * Setter of fileContent property.
     * 
     * @param fileContent
     *            property value
     */
    public void setFileContent(byte[] fileContent) {
        if (fileContent != null) {
            this.fileContent = fileContent.clone();
        }
    }

}
