/**
 * ProtectionKeyDTO.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.objects;

/**
 * Class that holds the protection keys corresponding to a voting device and
 * programming unit.
 */
public class ProtectionKeyDTO {

    /** The voting device protection key. */
    String votingDeviceProtectionKey;

    /** The programming unit protection key. */
    String programmingUnitProtectionKey;

    /**
     * Gets the voting device protection key.
     * 
     * @return the voting device protection key
     */
    public String getVotingDeviceProtectionKey() {
        return votingDeviceProtectionKey;
    }

    /**
     * Sets the voting device protection key.
     * 
     * @param votingDeviceProtectionKey
     *            the new voting device protection key
     */
    public void setVotingDeviceProtectionKey(String votingDeviceProtectionKey) {
        this.votingDeviceProtectionKey = votingDeviceProtectionKey;
    }

    /**
     * Gets the programming unit protection key.
     * 
     * @return the programming unit protection key
     */
    public String getProgrammingUnitProtectionKey() {
        return programmingUnitProtectionKey;
    }

    /**
     * Sets the programming unit protection key.
     * 
     * @param programmingUnitProtectionKey
     *            the new programming unit protection key
     */
    public void setProgrammingUnitProtectionKey(String programmingUnitProtectionKey) {
        this.programmingUnitProtectionKey = programmingUnitProtectionKey;
    }
}
