package com.smartmatic.waffle.ecm.data.transfer.comparators;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.ecm.data.transfer.objects.BrowserHierarchyDTO;

/**
 * Class used to write unit tests for BrowserHierarchyComparator.
 */
@RunWith(PowerMockRunner.class)
public class BrowserHierarchyComparatorTest {

    @Test
    public void compareEqualTest() {
        BrowserHierarchyComparator browserHierarchyComparator = new BrowserHierarchyComparator();

        BrowserHierarchyDTO browserHierarchyA = new BrowserHierarchyDTO();
        BrowserHierarchyDTO browserHierarchyB = new BrowserHierarchyDTO();

        browserHierarchyA.setTextToShow("Test");
        browserHierarchyB.setTextToShow("Test");

        int result = browserHierarchyComparator.compare(browserHierarchyA,
                browserHierarchyB);

        assertEquals(0, result);
    }

    @Test
    public void compareMayorTest() {
        BrowserHierarchyComparator browserHierarchyComparator = new BrowserHierarchyComparator();

        BrowserHierarchyDTO browserHierarchyA = new BrowserHierarchyDTO();
        BrowserHierarchyDTO browserHierarchyB = new BrowserHierarchyDTO();

        browserHierarchyA.setTextToShow("YES");
        browserHierarchyB.setTextToShow("NO");

        int result = browserHierarchyComparator.compare(browserHierarchyA,
                browserHierarchyB);

        assertTrue(result > 0);
    }

    @Test
    public void compareMinorTest() {
        BrowserHierarchyComparator browserHierarchyComparator = new BrowserHierarchyComparator();

        BrowserHierarchyDTO browserHierarchyA = new BrowserHierarchyDTO();
        BrowserHierarchyDTO browserHierarchyB = new BrowserHierarchyDTO();

        browserHierarchyA.setTextToShow("NO");
        browserHierarchyB.setTextToShow("YES");

        int result = browserHierarchyComparator.compare(browserHierarchyA,
                browserHierarchyB);

        assertTrue(result < 0);
    }
}
