package com.smartmatic.waffle.ecm.data.transfer.comparators;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.powermock.modules.junit4.PowerMockRunner;

import com.smartmatic.waffle.domain.contest.ContestClassData;

/**
 * Class used to write unit tests for ContestClassPrecedenceComparator.
 */
@RunWith(PowerMockRunner.class)
public class ContestClassPrecedenceComparatorTest {

    @Test
    public void compareEqualTest() {
        ContestClassData contestClassDataA = new ContestClassData();
        ContestClassData contestClassDataB = new ContestClassData();

        contestClassDataA.setPrecedence(0L);
        contestClassDataB.setPrecedence(0L);

        ContestClassPrecedenceComparator contestClassPrecedenceComparator = new ContestClassPrecedenceComparator();

        int result = contestClassPrecedenceComparator.compare(
                contestClassDataA, contestClassDataB);

        assertEquals(0, result);
    }

    @Test
    public void compareMayorTest() {

        ContestClassData contestClassDataA = new ContestClassData();
        ContestClassData contestClassDataB = new ContestClassData();

        contestClassDataA.setPrecedence(1L);
        contestClassDataB.setPrecedence(0L);

        ContestClassPrecedenceComparator contestClassPrecedenceComparator = new ContestClassPrecedenceComparator();

        int result = contestClassPrecedenceComparator.compare(
                contestClassDataA, contestClassDataB);

        assertTrue(result > 0);
    }

    @Test
    public void compareMinorTest() {

        ContestClassData contestClassDataA = new ContestClassData();
        ContestClassData contestClassDataB = new ContestClassData();

        contestClassDataA.setPrecedence(0L);
        contestClassDataB.setPrecedence(1L);

        ContestClassPrecedenceComparator contestClassPrecedenceComparator = new ContestClassPrecedenceComparator();

        int result = contestClassPrecedenceComparator.compare(
                contestClassDataA, contestClassDataB);

        assertTrue(result < 0);
    }
}
