/**
 * BackupDatabaseGenerationExeption.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.ecm.service.lang;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * Class used to throw a signal that some problem related with database backup
 * generation has occurred.
 */
public class BackupDatabaseGenerationExeption extends BaseException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = -603412327580713716L;

	/**
	 * Enum that contains all the possible reasons because the
	 * BackupDatabaseGenerationExeption can be thrown.
	 */
	public enum ExceptionInfo implements IExceptionInfo {

		/** The problem reaching data base. */
		PROBLEM_REACHING_DATA_BASE("PROBLEM_REACHING_DATA_BASE"),
		/** The problem generating database backup. */
		PROBLEM_GENERATING_DATABASE_BACKUP("PROBLEM_GENERATING_DATABASE_BACKUP"); //

		/**
		 * <p>
		 * Each enumerator's resource bundle's key message.
		 * </p>
		 */

		private String message;

		/**
		 * Getter of <code>message</code> property.
		 * 
		 * @return <code>message</code> property value.
		 * @see #message
		 * 
		 * @author Hector Rodri­guez (hector.rodriguez@smartmatic.com)
		 */

		@Override
		public String getMessage() {
			return this.message;
		}

		/**
		 * Constructor.
		 * 
		 * @param msg
		 *            the resource bundle's key message
		 * @author Hector Rodri­guez (hector.rodriguez@smartmatic.com)
		 */

		private ExceptionInfo(String msg) {
			this.message = this.getClass().getName() + "." + msg;
		}
	}

	/**
	 * Instantiates a new backup database generation exeption.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 */
	public BackupDatabaseGenerationExeption(IExceptionInfo exceptionInfo) {
		super(exceptionInfo);
	}

	/**
	 * Instantiates a new backup database generation exeption.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param e
	 *            the e
	 */
	public BackupDatabaseGenerationExeption(IExceptionInfo exceptionInfo,
			Throwable e) {
		super(exceptionInfo, e);
	}
}
