/**
 * GenerationFileException.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.lang;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * Manage exceptions in the export key file process.
 */
public class GenerationFileException extends BaseException {

	/** Constant for serialVersionUID. */
	private static final long serialVersionUID = 1919387363152878220L;

	/**
	 * Enum that contains all the possible reasons because the
	 * KeyGenerationException can be thrown.
	 */
	public enum GenerationFileExceptionInfo implements IExceptionInfo {

		/** The problem generating file. */
		PROBLEM_GENERATING_FILE;

		/*
		 * (non-Javadoc)
		 * 
		 * @see com.smartmatic.lang.IExceptionInfo#getMessage()
		 */
		@Override
		public String getMessage() {
			return this.toString();
		}
	}

	/**
	 * Instantiates a new generation file exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 */
	public GenerationFileException(IExceptionInfo exceptionInfo) {
		super(exceptionInfo);
	}

	/**
	 * Instantiates a new generation file exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param e
	 *            the e
	 */
	public GenerationFileException(IExceptionInfo exceptionInfo, Throwable e) {
		super(exceptionInfo, e);
	}

}
