/**
 * ReportGenerationException.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.lang;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * Manage exceptions in the report generation process.
 */
public class ReportGenerationException extends BaseException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/**
	 * Enum that contains all the possible reasons because the
	 * ReportGenerationException can be thrown.
	 * 
	 * @version $Revision: 1.3 $ ($Date: 2011-04-26 18:42:16 $)
	 * @author Javier Santos (javier.santos@smartmatic.com)
	 */
	public enum ReportGenerationExceptionInfo implements IExceptionInfo {

		/** ** Indicates a problem in generation report process **. */
		GENERATION_REPORT_PROBLEM;

		/*
		 * (non-Javadoc)
		 * 
		 * @see com.smartmatic.lang.IExceptionInfo#getMessage()
		 */
		@Override
		public String getMessage() {
			return this.toString();
		}

	}

	/**
	 * * Constructor class.
	 * 
	 * @param exceptionInfo
	 *            -Enum that contains the reason because
	 *            ReportGenerationExceptionInfo is throw
	 */
	public ReportGenerationException(IExceptionInfo exceptionInfo) {
		super(exceptionInfo);
	}

	/**
	 * Constructor class.
	 * 
	 * @param exceptionInfo
	 *            -Enum that contains the reason because
	 *            ReportGenerationExceptionInfo is throw
	 * @param e
	 *            - Exception
	 */
	public ReportGenerationException(IExceptionInfo exceptionInfo, Throwable e) {
		super(exceptionInfo, e);
	}

}
