package com.smartmatic.waffle.ecm.service.spec;

import org.jboss.ejb3.annotation.Management;

/**
 * Interface created to work along with the
 * <code>IECMProcessedContestsSingletonLocal<code> to provide singleton behavior.
 * 
 * We must implement Management class in order to achieve Singleton MBean
 *
 */
@Management
public interface IECMProcessedContestsManager {

	/**
	 * Return the amount of processed contests while generating the election
	 * data.
	 * 
	 * @return the amount of processed contests.
	 */
	int getProcessedContests();

	/**
	 * Set the processed contest property.
	 * 
	 * @param processedContests
	 *            the new processed contests total.
	 */
	void setProcessedContests(int processedContests);
}
