package com.smartmatic.waffle.ecm.service.spec;

import javax.ejb.Local;

/**
 * Interface that defined the methods to use a variable as a static, this will
 * act as a singleton and would be shared across the sessions.
 * 
 */
@Local
public interface IECMProcessedContestsSingletonLocal {

	/**
	 * Return the amount of processed contests while generating the election
	 * data.
	 * 
	 * @return the amount of processed contests.
	 */
	int getProcessedContests();

	/**
	 * Set the processed contest property.
	 * 
	 * @param processedContests
	 *            the new processed contests total.
	 */
	void setProcessedContests(int processedContests);
}
