package com.smartmatic.waffle.ecm.service.impl;

import java.io.File;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.apache.commons.lang.StringUtils;

import com.smartmatic.waffle.domain.contest.ContestClassData;
import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.domain.contest.ContestGroupData;
import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.xml.DomDriver;

public class CommonTestMethods {

	public static List<ContestData> getContestLoadedInDatabase() {

		List<ContestData> contestList = new ArrayList<ContestData>();

		File contestFolder = new File("test/resources/contests");

		File[] contestFileList = contestFolder.listFiles();

		XStream xstream = new XStream(new DomDriver("UTF-8"));

		for (File contestFile : contestFileList) {

			if (StringUtils.contains(contestFile.getName(), "ContestClass")) {
				continue;
			} else {
				xstream.processAnnotations(ContestData.class);

				ContestData contest = (ContestData) xstream
						.fromXML(contestFile);

				xstream.processAnnotations(ContestClassData.class);

				File contestClassFile = new File(contestFolder, "ContestClass_"
						+ contest.getCustomCode() + ".xml");

				ContestClassData contestClassData = (ContestClassData) xstream
						.fromXML(contestClassFile);

				contest.setContestClass(contestClassData);
				contest.setCollege("1|college");
				contest.setCollegeLanguageRFC("FR");
				contest.setContestNameTranslate(contest.getName());
				contest.setUseLastLevelRegionAsTotNisCode(true);

				contest.setContestGroupList(getContestGroupResult());

				contestList.add(contest);
			}
		}

		return contestList;
	}

	public static Set<ContestGroupData> getContestGroupResult() {

		Set<ContestGroupData> contestGroupSet = new HashSet<ContestGroupData>();

		File contestGroupResultFolder = new File(
				"test/resources/contest.groups.result");

		File[] contestGruoupFileList = contestGroupResultFolder.listFiles();

		XStream xstream = new XStream(new DomDriver("UTF-8"));

		xstream.processAnnotations(ContestGroupData.class);

		for (File contestGroupFile : contestGruoupFileList) {
			ContestGroupData contestGroup = (ContestGroupData) xstream
					.fromXML(contestGroupFile);

			contestGroup.setContests(getContestSet());

			contestGroupSet.add(contestGroup);
		}

		return contestGroupSet;
	}

	public static Set<ContestData> getContestSet() {

		Set<ContestData> contestSet = new HashSet<ContestData>();

		File contestFolder = new File("test/resources/contests");

		File[] contestFileList = contestFolder.listFiles();

		XStream xstream = new XStream(new DomDriver("UTF-8"));

		for (File contestFile : contestFileList) {

			if (StringUtils.contains(contestFile.getName(), "ContestClass")) {
				continue;
			} else {
				xstream.processAnnotations(ContestData.class);

				ContestData contest = (ContestData) xstream
						.fromXML(contestFile);

				xstream.processAnnotations(ContestClassData.class);

				File contestClassFile = new File(contestFolder, "ContestClass_"
						+ contest.getCustomCode() + ".xml");

				ContestClassData contestClassData = (ContestClassData) xstream
						.fromXML(contestClassFile);

				contest.setContestClass(contestClassData);
				contest.setCollege("1|college");
				contest.setCollegeLanguageRFC("FR");
				contest.setContestNameTranslate(contest.getName());

				contestSet.add(contest);
			}
		}

		return contestSet;
	}
}
