/**
 * ECMDemographyServiceImplMockClasses.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.stub;

import java.util.ArrayList;
import java.util.Collection;

import com.smartmatic.waffle.domain.IBaseDataObject;
import com.smartmatic.waffle.domain.demographics.ProgrammingUnitData;
import com.smartmatic.waffle.domain.user.IUser;
import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.persistence.search.SearchExpression;

/**
 * Class that hold all mock inner classes needed to test
 * ECMDemographyServiceImpl.
 */
public class ECMDemographyServiceImplMockClasses {

	/**
	 * Inner class to override countObjects and return the programming unit
	 * amount.
	 */
	public class RetrieveProgrammingUnitAmount extends
			PersistenceServiceLocalStub {

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #searchObject
		 * (com.smartmatic.waffle.persistence.search.SearchExpression,
		 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser)
		 */
		@Override
		public int countObjects(SearchExpression searchExpression, IUser user)
				throws BaseException {

			return 1;
		}
	}

	/**
	 * Inner class to simulate retrieve the object from database and update
	 * protection key attribute.
	 */
	public class SetProtectionKeyToProgrammingUnit extends
			PersistenceServiceLocalStub {

		/** The programming unit data. */
		ProgrammingUnitData programmingUnitData;

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #searchObject
		 * (com.smartmatic.waffle.persistence.search.SearchExpression,
		 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser)
		 */
		@Override
		public Collection searchPagedObjects(SearchExpression searchExpression,
				IUser user, int pageNumber, int pageSize) throws BaseException {

			Collection<ProgrammingUnitData> programmingUnitDataCollection = new ArrayList<ProgrammingUnitData>();

			ProgrammingUnitData programmingUnitData = new ProgrammingUnitData();

			programmingUnitData.setCode(1);
			programmingUnitData.setCustomCode("CK-EU-REG");
			programmingUnitData.setProgrammingUnitName("FED+EU+REG ELECTIONS");
			programmingUnitData.setProgrammingUnitDescription("LAND BELGIË");

			programmingUnitDataCollection.add(programmingUnitData);

			return programmingUnitDataCollection;
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #update(com.smartmatic.waffle.domain.IBaseDataObject,
		 * com.smartmatic.waffle.domain.user.IUser)
		 */
		@Override
		public <T extends IBaseDataObject> T update(T component, IUser user)
				throws BaseException {

			this.programmingUnitData = (ProgrammingUnitData) component;

			return component;
		}

		@Override
		public int executeUpdateNativeQuery(String query) throws BaseException,
				RuntimeException {

			return 10;
		}

		public boolean isProgrammingUnitProtectionKeyNull() {
			if (this.programmingUnitData.getProtectionKey() == null) {
				return true;
			}
			return false;
		}
	}
}
