/**
 * ECMElectoralPhysicalLocationsRegistryServiceImplMockClasses.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.service.stub;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import com.smartmatic.waffle.domain.IBaseDataObject;
import com.smartmatic.waffle.domain.device.VotingDeviceData;
import com.smartmatic.waffle.domain.user.IUser;
import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.persistence.search.SearchExpression;

/**
 * Class that hold all mock inner classes needed to test
 * ECMElectoralPhysicalLocationsRegistryServiceImpl.
 */
public class ECMElectoralPhysicalLocationsRegistryServiceImplMockClasses {

	/**
	 * Inner class to override searchObject and return an active election.
	 */
	public class RetrieveVotingDevicesAmount extends
			PersistenceServiceLocalStub {

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #searchObject
		 * (com.smartmatic.waffle.persistence.search.SearchExpression,
		 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser)
		 */
		@Override
		public int countObjects(SearchExpression searchExpression, IUser user)
				throws BaseException {

			return 369587;
		}
	}

	/**
	 * Inner class to simulate retrieve a voting device collection from database
	 * and update the security objects
	 */
	public class SetSecurityComponentsToVotingDevices extends
			PersistenceServiceLocalStub {

		List<VotingDeviceData> votingDeviceDataList = new ArrayList<VotingDeviceData>();

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #searchObject
		 * (com.smartmatic.waffle.persistence.search.SearchExpression,
		 * java.lang.String[], com.smartmatic.waffle.domain.user.IUser, int,
		 * int)
		 */
		@Override
		public Collection searchPagedObjects(SearchExpression searchExpression,
				IUser user, int pageNumber, int pageSize) throws BaseException {

			Collection<VotingDeviceData> votingDeviceDataCollection = new ArrayList<VotingDeviceData>();

			VotingDeviceData votingDeviceData1 = new VotingDeviceData();
			votingDeviceData1.setCode(1);
			votingDeviceData1.setName("ANTWERPEN_001_11002");
			votingDeviceData1.setCustomCode("ANTWERPEN001");

			votingDeviceDataCollection.add(votingDeviceData1);

			VotingDeviceData votingDeviceData2 = new VotingDeviceData();
			votingDeviceData2.setCode(2);
			votingDeviceData2.setName("ANTWERPEN_002_11002");
			votingDeviceData2.setCustomCode("ANTWERPEN002");

			votingDeviceDataCollection.add(votingDeviceData2);

			VotingDeviceData votingDeviceData3 = new VotingDeviceData();
			votingDeviceData3.setCode(3);
			votingDeviceData3.setName("ANTWERPEN_003_11002");
			votingDeviceData3.setCustomCode("ANTWERPEN003");

			votingDeviceDataCollection.add(votingDeviceData3);

			return votingDeviceDataCollection;
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see
		 * com.smartmatic.waffle.ecm.service.stub.PersistenceServiceLocalStub
		 * #update(com.smartmatic.waffle.domain.IBaseDataObject,
		 * com.smartmatic.waffle.domain.user.IUser)
		 */
		@Override
		public <T extends IBaseDataObject> T update(T component, IUser user)
				throws BaseException {

			this.votingDeviceDataList.add((VotingDeviceData) component);

			return component;
		}

		/**
		 * Gets the voting device data list.
		 * 
		 * @return the voting device data list
		 */
		public List<VotingDeviceData> getVotingDeviceDataList() {
			return this.votingDeviceDataList;
		}
	}
}
