/**
 * IParentCloseableListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.ui.core.spec;

import com.smartmatic.waffle.ecm.ui.menu.IGeneralMenuView;

/**
 * The listener interface for receiving IParentCloseable events. The class that
 * is interested in processing a IParentCloseable event implements this
 * interface, and the object created with that class is registered with a
 * component using the component's
 * <code>addIParentCloseableListener<code> method. When
 * the IParentCloseable event occurs, that object's appropriate
 * method is invoked.
 * 
 * @see IParentCloseableEvent
 */
public interface IParentCloseableListener {

	/**
	 * Parent closed.
	 * 
	 * @param view
	 *            the view
	 */
	public void parentClosed(IGeneralMenuView view);
}
