/**
 * WorkflowServiceException.java
 * 
 * Revision: $Revision$ (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 * 
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.workflow.service.spec;

import com.smartmatic.waffle.lang.BaseException;
import com.smartmatic.waffle.lang.IExceptionInfo;

/**
 * This exception is thrown if there is an error on a workflow service.
 */
public class WorkflowServiceException extends BaseException {

    /**
     * Enum that contains all the possible reasons because the
     * WorkflowServiceException can be thrown.
     */

    public enum ExceptionInfo implements IExceptionInfo {

        /** The goto next. */
        GOTO_NEXT;

        /**
         * <p>
         * Each enumerator's resource bundle's key message.
         * </p>
         */

        private String message;

        /**
         * Getter of <code>message</code> property.
         * 
         * @return <code>message</code> property value.
         * @see #message
         * 
         * @author Edgar Trejo (edgar.trejo@smartmatic.com)
         */

        @Override
        public String getMessage() {
            return this.message;
        }

        /**
         * Constructor.
         * 
         * @author Edgar Trejo (edgar.trejo@smartmatic.com)
         */

        private ExceptionInfo() {
            this.message = this.getClass().getName() + "." + this.name();
        }
    }

    /**
     * Instantiates a new workflow service exception.
     * 
     * @param exceptionInfo
     *            the exception info
     * @param throwable
     *            the throwable
     */
    public WorkflowServiceException(IExceptionInfo exceptionInfo,
            Throwable throwable) {
        super(exceptionInfo, throwable);
        // TODO Auto-generated constructor stub
    }

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 1L;

}
