/**
 * DestinationType.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.localpersistence;

/**
 * Enum that hold the destination file type.
 */
public enum DestinationType {

	/**
	 * Folder type.
	 */
	FOLDER,
	/**
	 * File type.
	 */
	FILE,
	/**
	 * Xml file.
	 */
	FILE_XML,
	/**
	 * Plain file.
	 */
	FILE_PLAIN,
	/**
	 * Plain xml file.
	 */
	FILE_XML_PLAIN,
	/**
	 * History xml folder.
	 */
	HISTORIC_XML_FOLDER,
	/**
	 * Historic xml file.
	 */
	HISTORIC_XML_FILE;

	/**
	 * Checks if is a valid file.
	 * 
	 * @return true, if is file
	 */
	public boolean isFile() {
		return this == FILE || this == FILE_XML || this == FILE_PLAIN
				|| this == FILE_XML_PLAIN;
	}
}