/**
 * SAESCommonDestinationListener.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.localpersistence;

/**
 * The listener interface for receiving SAESCommonDestination events. The class
 * that is interested in processing a SAESCommonDestination event implements
 * this interface, and the object created with that class is registered with a
 * component using the component's
 * <code>addSAESCommonDestinationListener<code> method. When
 * the SAESCommonDestination event occurs, that object's appropriate
 * method is invoked.
 * 
 * @see SAESCommonDestinationEvent
 */
public interface SAESCommonDestinationListener {

	/**
	 * Store media added.
	 * 
	 * @param theCommonDestinationsAdded
	 *            the the common destinations added
	 * @return the boolean[]
	 */
	boolean[] storeMediaAdded(
			SAESCommonDestinations... theCommonDestinationsAdded);

	/**
	 * Store media removed.
	 * 
	 * @param theCommonDestinationsRemoved
	 *            the the common destinations removed
	 */
	void storeMediaRemoved(
			SAESCommonDestinations... theCommonDestinationsRemoved);

	/**
	 * Store media changed.
	 * 
	 * @param theCommonDestinationsChanged
	 *            the the common destinations changed
	 */
	void storeMediaChanged(
			SAESCommonDestinations... theCommonDestinationsChanged);
}
