/**
 * ContextProvider.java
 *
 * $Revision: 1.4 $ ($Date: 2009-11-12 21:15:10 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log;

import java.util.Map;

import org.apache.log4j.Level;

/**
 * Interface that defines the contract between the logger and any application
 * that requires a set of fixed attributes added each time the application
 * performs a log.
 * 
 * @author Daniel Izquierdo
 */

public interface ContextProvider {
	/**
	 * Method that retrieve the application context in a Map given a level and
	 * the key
	 * 
	 * @param level
	 *            Message level
	 * @param key
	 *            Log message's resource bundle key
	 * @return The application context
	 */
	public Map<String, Object> getContext(Level level, String key);
}