/**
 * ConfigurationAttributes.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:43:04 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.log.configuration;

/**
 * The configuration attribute representation class
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 11, 2009)
 */
public class ConfigurationAttributes {

	/**
	 * The attribute custom name
	 */
	private String customName;

	/**
	 * The attribute value
	 */
	private String value;

	/**
	 * The attribute type
	 */
	private String type;

	/**
	 * The attribute reference
	 */
	private String ref;

	/**
	 * The attribute additivity
	 */
	private String additivity;

	/**
	 * Getter of <code>customName</code> property.
	 * 
	 * @return <code>customName</code> property value.
	 * @see #customName
	 */
	public String getCustomName() {
		return this.customName;
	}

	/**
	 * Setter of <code>customName</code> property.
	 * 
	 * @param customName
	 *            The <code>customName</code> to set.
	 * @see #customName
	 */
	public void setCustomName(String customName) {
		this.customName = customName;
	}

	/**
	 * Getter of <code>value</code> property.
	 * 
	 * @return <code>value</code> property value.
	 * @see #value
	 */
	public String getValue() {
		return this.value;
	}

	/**
	 * Setter of <code>value</code> property.
	 * 
	 * @param value
	 *            The <code>value</code> to set.
	 * @see #value
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * Getter of <code>type</code> property.
	 * 
	 * @return <code>type</code> property value.
	 * @see #type
	 */
	public String getType() {
		return this.type;
	}

	/**
	 * Setter of <code>type</code> property.
	 * 
	 * @param type
	 *            The <code>type</code> to set.
	 * @see #type
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * Getter of <code>ref</code> property.
	 * 
	 * @return <code>ref</code> property value.
	 * @see #ref
	 */
	public String getRef() {
		return this.ref;
	}

	/**
	 * Setter of <code>ref</code> property.
	 * 
	 * @param ref
	 *            The <code>ref</code> to set.
	 * @see #ref
	 */
	public void setRef(String ref) {
		this.ref = ref;
	}

	/**
	 * Getter of <code>additivity</code> property.
	 * 
	 * @return <code>additivity</code> property value.
	 * @see #additivity
	 */
	public String getAdditivity() {
		return this.additivity;
	}

	/**
	 * Setter of <code>additivity</code> property.
	 * 
	 * @param additivity
	 *            The <code>additivity</code> to set.
	 * @see #additivity
	 */
	public void setAdditivity(String additivity) {
		this.additivity = additivity;
	}

}
