/**
 * AndCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:44:54 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */

package com.smartmatic.waffle.persistence.search.criteria;

/**
 * A logical "and"
 * 
 * @author Ithamar Torres
 */

public class AndCriteria extends LogicalCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -7125071375054330626L;

	/**
	 * Operator applied to the logical expression
	 * 
	 * @return The operator used in the logical operation
	 */

	@Override
	String getOp() {
		return "and";
	}

	/**
	 * Constructor of the class. This constructor receives the expressions
	 * located in both sides of the and operation
	 * 
	 * @param lhs
	 *            Left hand side parameter of the binary expression.
	 * @param rhs
	 *            Right hand side parameter of the binary expression.
	 */

	AndCriteria(ISearchCriteria lhs, ISearchCriteria rhs) {
		super(lhs, rhs);
	}

}
