/**
 * FullTextSearchOrCriteria.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 04:45:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Or comparison (with SQL binary operators)
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * @version 1.0 (Nov 9, 2009)
 */
public class FullTextSearchOrCriteria extends FullTextSearchLogicalCriteria {
	/**
	 * Holds the serialization id of the class
	 */
	private static final long serialVersionUID = 5612794316627950214L;

	/**
	 * Operator applied to the logical expression
	 * 
	 * @return The operator used in the logical operation
	 */
	@Override
	public String getOp() {
		return "OR";
	}

	/**
	 * Constructor of the class. This constructor receives the expressions
	 * located in both sides of the or operation
	 * 
	 * @param lhs
	 *            Left hand side parameter of the binary expression.
	 * @param rhs
	 *            Right hand side parameter of the binary expression.
	 */
	public FullTextSearchOrCriteria(IFullTextSearchCriteria lhs,
			IFullTextSearchCriteria rhs) {
		super(lhs, rhs);
	}
}
