/**
 * InSubqueryPropertyCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:44:54 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

import com.smartmatic.waffle.persistence.search.SearchExpression;

/**
 * Denotes an "in" expression comparing the provided property and the value
 * returned by a subquery.
 * 
 * @author Carlos Rafael Ramirez
 * 
 */
public class InSubqueryPropertyCriteria extends SubqueryPropertyCriteria {

	/**
	 * Denotes the data structure's version
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs an In criteria expression with the provided subquery and a
	 * property name to compare to.
	 * 
	 * @param subquery
	 *            Subquery to be executed and whose value will be used in a
	 *            WHERE comparison
	 * @param propertyName
	 *            Property that will be used in the evaluation of the expression
	 */
	public InSubqueryPropertyCriteria(SearchExpression subquery,
			String propertyName) {
		super(subquery, propertyName);

	}

}
