/**
 * LtCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:44:55 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Class that represents a Less than expression.
 * 
 * @author Ithamar Torres
 */

public class LtCriteria extends SimpleCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = 6350128695060225279L;

	/**
	 * Constructor of a LtExpression
	 * 
	 * @param propertyName
	 *            Property that will be used in the evaluation of the expression
	 * @param value
	 *            Value that will be used in the evaluation of the expression
	 */

	LtCriteria(String propertyName, Object value) {
		super(propertyName, value);
	}

	/**
	 * Operator applied to the logical expression
	 * 
	 * @return The operator used in the logical operation
	 */
	@Override
	String getOp() {
		return "<";
	}

}
