/**
 * LtPropertyCriteria.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.criteria;

/**
 * Class that represents a Less than expression using two properties as
 * operands.
 * 
 * @author Ithamar Torres
 */

public class LtPropertyCriteria extends PropertyCriteria {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = -137483279050927727L;

	/**
	 * Constructor of a LtPropertyExpression
	 * 
	 * @param propertyName
	 *            Property that will be used in the evaluation of the expression
	 * @param otherPropertyName
	 *            other property that will be used in the evaluation of the
	 *            expression
	 */

	public LtPropertyCriteria(String propertyName, String otherPropertyName) {
		super(propertyName, otherPropertyName);
	}

	/**
	 * Operator applied to the logical expression
	 * 
	 * @return The operator used in the logical operation
	 */
	@Override
	String getOp() {
		return "<";
	}

}
