/**
 * CountDistinctTransformation.java
 *
 * $Revision: 1.2 $ ($Date: 2011-04-06 04:45:09 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.transformation;

/**
 * Applies count distinct to the supplied transformation.
 * 
 * @author Carlos Lameda (carlos.lameda@smartmatic.com)
 * 
 */
public class CountDistinctTransformation implements ITransformation {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * The property which will be used in the clause
	 */
	private String property;

	/**
	 * Default Constructor
	 */
	public CountDistinctTransformation() {
	}

	/**
	 * Getter of <code>criteria</code> property.
	 * 
	 * @return <code>criteria</code> property value.
	 * @see #criteria
	 */
	public String getProperty() {
		return this.property;
	}

	/**
	 * Getter of <code>criteria</code> property.
	 * 
	 * @return <code>criteria</code> property value.
	 * @see #criteria
	 */
	public void setProperty(String property) {
		this.property = property;
	}

	/**
	 * Constructor used to create a CountDistinctTransformation with the
	 * property used already set.
	 * 
	 * @param property
	 *            Property to group the entities
	 */
	protected CountDistinctTransformation(String property) {
		this.property = property;
	}

}
