/**
 * MinTransformation.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 04:45:08 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.persistence.search.transformation;

/**
 * Transformation used to obtain the minimum value of a property from a query.
 * 
 * @version 1.0 (16/04/2005)
 * @author Ithamar Torres
 */

public class MinTransformation implements ITransformation {

	/**
	 * Holds the serialization id of the class
	 */

	private static final long serialVersionUID = 6374838743622533428L;

	/**
	 * The property which will be used in the min clause
	 */

	private String property;

	/**
	 * Getter of <code>property</code> property.
	 * 
	 * @return <code>property</code> property value.
	 * @see #property
	 */

	public String getProperty() {
		return this.property;
	}

	/**
	 * Setter of <code>property</code> property.
	 * 
	 * @param theProperty
	 *            The <code>property</code> to set.
	 * @see #property
	 */
	public void setProperty(String theProperty) {
		this.property = theProperty;

		return;
	}

	/**
	 * Constructor used to create a MinTransformation with the property used
	 * already set.
	 * 
	 * @param property
	 *            Property name used in transformation
	 */

	protected MinTransformation(String theProperty) {
		this.property = theProperty;
	}
}
