/*
 * SingCreatorView.java
 */
package com.smartmatic.waffle.signingtool.ui;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.prefs.Preferences;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

import org.apache.commons.codec.digest.DigestUtils;
import org.apache.commons.lang.StringUtils;
import org.jdesktop.application.FrameView;
import org.jdesktop.application.ResourceMap;
import org.jdesktop.application.SingleFrameApplication;

import com.smartmatic.waffle.signingtool.SignDirException;
import com.smartmatic.waffle.signingtool.SignDirUtil;

/**
 * The application's main frame.
 */
public class SignCreatorView extends FrameView {

	static final Logger logger = Logger.getLogger(SignCreatorView.class
			.getName());

	private String folderPathToSing;
	private String certificatePath;
	ResourceMap resourceMap;

	public SignCreatorView(SingleFrameApplication app) {
		super(app);
		JFrame frame = new JFrame();
		frame.pack();
		// frame.setUndecorated(false);
		frame.setResizable(false);
		this.setFrame(frame);
		this.resourceMap = org.jdesktop.application.Application
				.getInstance(
						com.smartmatic.waffle.signingtool.ui.SignCreator.class)
				.getContext().getResourceMap(SignCreatorView.class);
		initComponents();
		initFileChooser();
		this.jCertificatePathTextField.setEnabled(false);
		this.jTextField2.setEnabled(false);
		this.jSignDirButton.setEnabled(false);
		this.jLoadDirButton.setEnabled(false);
		this.jValidateButton.setEnabled(false);
		this.jCertPasswordField.setEnabled(false);
		this.jCertAliasTextField.setEnabled(false);
	}

	private void initFileChooser() {
		this.jFileChooser1 = new javax.swing.JFileChooser();
		this.jFileChooser1
				.setDialogType(javax.swing.JFileChooser.CUSTOM_DIALOG);
		this.jFileChooser1.setMultiSelectionEnabled(false);
		this.jFileChooser1.setName("jFileChooser1"); // NOI18N
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
	// <editor-fold defaultstate="collapsed"
	// <editor-fold defaultstate="collapsed"
	// desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		mainPanel = new javax.swing.JPanel();
		jLabel1 = new javax.swing.JLabel();
		jCertificatePathTextField = new javax.swing.JTextField();
		jLoadCertButton = new javax.swing.JButton();
		jScrollPane1 = new javax.swing.JScrollPane();
		jTable1 = new javax.swing.JTable();
		jSignDirButton = new javax.swing.JButton();
		jLabel2 = new javax.swing.JLabel();
		jTextField2 = new javax.swing.JTextField();
		jLoadDirButton = new javax.swing.JButton();
		jLabel3 = new javax.swing.JLabel();
		jLabel4 = new javax.swing.JLabel();
		jCertAliasTextField = new javax.swing.JTextField();
		jCertPasswordField = new javax.swing.JPasswordField();
		jValidateButton = new javax.swing.JButton();
		jResetButton = new javax.swing.JButton();

		mainPanel.setMaximumSize(new java.awt.Dimension(931, 650));
		mainPanel.setMinimumSize(new java.awt.Dimension(910, 650));
		mainPanel.setName("mainPanel"); // NOI18N

		org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application
				.getInstance().getContext()
				.getResourceMap(SignCreatorView.class);
		jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
		jLabel1.setName("jLabel1"); // NOI18N

		jCertificatePathTextField.setText(resourceMap.getString("jTextField1.text")); // NOI18N
		jCertificatePathTextField.setName("jTextField1"); // NOI18N

		jLoadCertButton.setText(resourceMap.getString("jButton1.text")); // NOI18N
		jLoadCertButton.setName("jButton1"); // NOI18N
		jLoadCertButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton1ActionPerformed(evt);
			}
		});

		jScrollPane1.setName("jScrollPane1"); // NOI18N

		jTable1.setModel(new javax.swing.table.DefaultTableModel(
				new Object[][] {}, new String[] { "File", "SHA-256" }) {
			private static final long serialVersionUID = -3177614869725139263L;
			boolean[] canEdit = new boolean[] { false, false };

			public boolean isCellEditable(int rowIndex, int columnIndex) {
				return canEdit[columnIndex];
			}
		});
		jTable1.setName("jTable1"); // NOI18N
		jScrollPane1.setViewportView(jTable1);
		
		jTable1.getColumnModel().getColumn(0).setResizable(false);
		jTable1.getColumnModel()
				.getColumn(0)
				.setHeaderValue(
						resourceMap.getString("jTable1.columnModel.title0")); // NOI18N
		jTable1.getColumnModel().getColumn(1).setResizable(false);
		jTable1.getColumnModel().getColumn(1).setPreferredWidth(350);
		jTable1.getColumnModel()
				.getColumn(1)
				.setHeaderValue(
						resourceMap.getString("jTable1.columnModel.title1")); // NOI18N

		jSignDirButton.setText(resourceMap.getString("jButton2.text")); // NOI18N
		jSignDirButton.setName("jButton2"); // NOI18N
		jSignDirButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton2ActionPerformed(evt);
			}
		});

		jLabel2.setText(resourceMap.getString("jLabel2.text")); // NOI18N
		jLabel2.setName("jLabel2"); // NOI18N

		jTextField2.setText(resourceMap.getString("jTextField2.text")); // NOI18N
		jTextField2.setName("jTextField2"); // NOI18N

		jLoadDirButton.setText(resourceMap.getString("jButton3.text")); // NOI18N
		jLoadDirButton.setName("jButton3"); // NOI18N
		jLoadDirButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton3ActionPerformed(evt);
			}
		});

		jLabel3.setText(resourceMap.getString("jLabel3.text")); // NOI18N
		jLabel3.setName("jLabel3"); // NOI18N

		jLabel4.setText(resourceMap.getString("jLabel4.text")); // NOI18N
		jLabel4.setName("jLabel4"); // NOI18N

		jCertAliasTextField.setText(resourceMap.getString("jTextField3.text")); // NOI18N
		jCertAliasTextField.setName("jTextField3"); // NOI18N

		jCertPasswordField.setText(resourceMap.getString("jPasswordField1.text")); // NOI18N
		jCertPasswordField.setName("jPasswordField1"); // NOI18N

		jValidateButton.setText(resourceMap.getString("jButton4.text")); // NOI18N
		jValidateButton.setName("jButton4"); // NOI18N
		jValidateButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton4ActionPerformed(evt);
			}
		});

		jResetButton.setText(resourceMap.getString("jButton5.text")); // NOI18N
		jResetButton.setName("jButton5"); // NOI18N
		jResetButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				jButton5ActionPerformed(evt);
			}
		});

		javax.swing.GroupLayout mainPanelLayout = new javax.swing.GroupLayout(
				mainPanel);
		mainPanel.setLayout(mainPanelLayout);
		mainPanelLayout
				.setHorizontalGroup(mainPanelLayout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								mainPanelLayout
										.createSequentialGroup()
										.addGap(142, 142, 142)
										.addComponent(
												jResetButton,
												javax.swing.GroupLayout.DEFAULT_SIZE,
												112, Short.MAX_VALUE)
										.addGap(403, 403, 403)
										.addComponent(
												jSignDirButton,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												112,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addGap(141, 141, 141))
						.addGroup(
								javax.swing.GroupLayout.Alignment.TRAILING,
								mainPanelLayout
										.createSequentialGroup()
										.addGroup(
												mainPanelLayout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.TRAILING)
														.addGroup(
																javax.swing.GroupLayout.Alignment.LEADING,
																mainPanelLayout
																		.createSequentialGroup()
																		.addContainerGap()
																		.addComponent(
																				jScrollPane1,
																				javax.swing.GroupLayout.DEFAULT_SIZE,
																				886,
																				Short.MAX_VALUE))
														.addGroup(
																mainPanelLayout
																		.createSequentialGroup()
																		.addGap(12,
																				12,
																				12)
																		.addComponent(
																				jLabel1,
																				javax.swing.GroupLayout.DEFAULT_SIZE,
																				97,
																				Short.MAX_VALUE)
																		.addPreferredGap(
																				javax.swing.LayoutStyle.ComponentPlacement.RELATED)
																		.addGroup(
																				mainPanelLayout
																						.createParallelGroup(
																								javax.swing.GroupLayout.Alignment.TRAILING,
																								false)
																						.addComponent(
																								jTextField2,
																								javax.swing.GroupLayout.PREFERRED_SIZE,
																								643,
																								javax.swing.GroupLayout.PREFERRED_SIZE)
																						.addGroup(
																								mainPanelLayout
																										.createSequentialGroup()
																										.addGroup(
																												mainPanelLayout
																														.createParallelGroup(
																																javax.swing.GroupLayout.Alignment.TRAILING)
																														.addGroup(
																																mainPanelLayout
																																		.createSequentialGroup()
																																		.addComponent(
																																				jCertificatePathTextField,
																																				javax.swing.GroupLayout.PREFERRED_SIZE,
																																				279,
																																				javax.swing.GroupLayout.PREFERRED_SIZE)
																																		.addPreferredGap(
																																				javax.swing.LayoutStyle.ComponentPlacement.RELATED,
																																				25,
																																				Short.MAX_VALUE)
																																		.addComponent(
																																				jLoadCertButton,
																																				javax.swing.GroupLayout.PREFERRED_SIZE,
																																				101,
																																				javax.swing.GroupLayout.PREFERRED_SIZE)
																																		.addGap(58,
																																				58,
																																				58)
																																		.addComponent(
																																				jLabel3))
																														.addComponent(
																																jLabel4))
																										.addGap(18,
																												18,
																												18)
																										.addGroup(
																												mainPanelLayout
																														.createParallelGroup(
																																javax.swing.GroupLayout.Alignment.TRAILING,
																																false)
																														.addComponent(
																																jCertPasswordField,
																																javax.swing.GroupLayout.Alignment.LEADING)
																														.addComponent(
																																jCertAliasTextField,
																																javax.swing.GroupLayout.Alignment.LEADING,
																																javax.swing.GroupLayout.DEFAULT_SIZE,
																																134,
																																Short.MAX_VALUE))))
																		.addGap(41,
																				41,
																				41)
																		.addGroup(
																				mainPanelLayout
																						.createParallelGroup(
																								javax.swing.GroupLayout.Alignment.TRAILING)
																						.addComponent(
																								jLoadDirButton,
																								javax.swing.GroupLayout.PREFERRED_SIZE,
																								92,
																								javax.swing.GroupLayout.PREFERRED_SIZE)
																						.addComponent(
																								jValidateButton,
																								javax.swing.GroupLayout.PREFERRED_SIZE,
																								93,
																								javax.swing.GroupLayout.PREFERRED_SIZE)))
														.addGroup(
																javax.swing.GroupLayout.Alignment.LEADING,
																mainPanelLayout
																		.createSequentialGroup()
																		.addGap(12,
																				12,
																				12)
																		.addComponent(
																				jLabel2)))
										.addContainerGap()));
		mainPanelLayout
				.setVerticalGroup(mainPanelLayout
						.createParallelGroup(
								javax.swing.GroupLayout.Alignment.LEADING)
						.addGroup(
								mainPanelLayout
										.createSequentialGroup()
										.addGroup(
												mainPanelLayout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.LEADING)
														.addGroup(
																mainPanelLayout
																		.createParallelGroup(
																				javax.swing.GroupLayout.Alignment.LEADING)
																		.addGroup(
																				mainPanelLayout
																						.createSequentialGroup()
																						.addGap(50,
																								50,
																								50)
																						.addGroup(
																								mainPanelLayout
																										.createParallelGroup(
																												javax.swing.GroupLayout.Alignment.TRAILING)
																										.addGroup(
																												mainPanelLayout
																														.createParallelGroup(
																																javax.swing.GroupLayout.Alignment.BASELINE)
																														.addComponent(
																																jCertificatePathTextField,
																																javax.swing.GroupLayout.DEFAULT_SIZE,
																																30,
																																Short.MAX_VALUE)
																														.addComponent(
																																jLoadCertButton,
																																javax.swing.GroupLayout.DEFAULT_SIZE,
																																javax.swing.GroupLayout.DEFAULT_SIZE,
																																Short.MAX_VALUE))
																										.addComponent(
																												jLabel1,
																												javax.swing.GroupLayout.Alignment.LEADING,
																												javax.swing.GroupLayout.DEFAULT_SIZE,
																												40,
																												Short.MAX_VALUE))
																						.addGap(48,
																								48,
																								48))
																		.addGroup(
																				javax.swing.GroupLayout.Alignment.TRAILING,
																				mainPanelLayout
																						.createSequentialGroup()
																						.addContainerGap()
																						.addGroup(
																								mainPanelLayout
																										.createParallelGroup(
																												javax.swing.GroupLayout.Alignment.BASELINE)
																										.addComponent(
																												jCertAliasTextField,
																												javax.swing.GroupLayout.PREFERRED_SIZE,
																												javax.swing.GroupLayout.DEFAULT_SIZE,
																												javax.swing.GroupLayout.PREFERRED_SIZE)
																										.addComponent(
																												jLabel3))
																						.addPreferredGap(
																								javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
																						.addGroup(
																								mainPanelLayout
																										.createParallelGroup(
																												javax.swing.GroupLayout.Alignment.BASELINE)
																										.addComponent(
																												jCertPasswordField,
																												javax.swing.GroupLayout.PREFERRED_SIZE,
																												javax.swing.GroupLayout.DEFAULT_SIZE,
																												javax.swing.GroupLayout.PREFERRED_SIZE)
																										.addComponent(
																												jLabel4))
																						.addGap(22,
																								22,
																								22)))
														.addGroup(
																mainPanelLayout
																		.createSequentialGroup()
																		.addGap(49,
																				49,
																				49)
																		.addComponent(
																				jValidateButton)
																		.addPreferredGap(
																				javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
										.addGroup(
												mainPanelLayout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.BASELINE)
														.addComponent(
																jTextField2,
																javax.swing.GroupLayout.PREFERRED_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.PREFERRED_SIZE)
														.addComponent(
																jLoadDirButton,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																Short.MAX_VALUE)
														.addComponent(
																jLabel2,
																javax.swing.GroupLayout.DEFAULT_SIZE,
																22,
																Short.MAX_VALUE))
										.addGap(18, 18, 18)
										.addComponent(
												jScrollPane1,
												javax.swing.GroupLayout.PREFERRED_SIZE,
												403,
												javax.swing.GroupLayout.PREFERRED_SIZE)
										.addPreferredGap(
												javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
										.addGroup(
												mainPanelLayout
														.createParallelGroup(
																javax.swing.GroupLayout.Alignment.LEADING)
														.addComponent(jResetButton)
														.addComponent(jSignDirButton))
										.addGap(18, 18, 18)));

		setComponent(mainPanel);
	}// </editor-fold>//GEN-END:initComponents

	void addElementToTable(File folder, DefaultTableModel tableModelTMP)
			throws IOException {
		if (folder.isDirectory()) {
			if (!folder.getName().equals(".svn")) {
				for (File file : folder.listFiles()) {
					addElementToTable(file, tableModelTMP);
				}
			}
		} else {
			if (!((StringUtils.contains(folder.getName(), ".crt")) || (StringUtils
					.contains(folder.getName(), ".xml")))) {
				InputStream fileInputStream = null;
				try {
					fileInputStream = new FileInputStream(folder);
					tableModelTMP.addRow(new Object[] { folder.getName(),
						DigestUtils.sha256Hex(fileInputStream) });
				} finally {
					if(fileInputStream != null){
						fileInputStream.close();
					}
				}
				
			}
		}
	}

	private void fillTable(String rootPath) throws IOException {
		DefaultTableModel tableModelTMP = (DefaultTableModel) this.jTable1
				.getModel();
		addElementToTable(new File(rootPath), tableModelTMP);
	}

	private boolean validateCerticate(String aliasToSing,
			String passwordToSing, String certificatePath) {

		try {
			SignDirUtil.validateCertificate(certificatePath, aliasToSing, passwordToSing);

		} catch (IOException e) {
			if (e.getMessage().equals(
					"stream does not represent a PKCS12 key store")) {
				showErrorMessage("certificate.not.valid");
			} else if (e.getMessage().equals(
					"PKCS12 key store mac invalid - wrong password or corrupted file.")) {
				showErrorMessage("password.not.valid");
			} else {
				logger.log(Level.SEVERE, e.getMessage(), e);
				showErrorMessage(e.getMessage());
			}
			return false;
		} catch (KeyStoreException e) {
			logger.log(Level.SEVERE, e.getMessage(), e);
			showErrorMessage("unexpected.error.message");
			return false;
		} catch (NoSuchAlgorithmException e) {
			logger.log(Level.SEVERE, e.getMessage(), e);
			showErrorMessage("unexpected.error.message");
			return false;
		} catch (CertificateException e) {
			logger.log(Level.SEVERE, e.getMessage(), e);
			showErrorMessage("unexpected.error.message");
			return false;
		} catch (SignDirException e) {
			logger.log(Level.SEVERE, e.getMessage(), e);
			showErrorMessage("alias.not.valid");
			return false;
		}

		return true;
	}
	
	private void showErrorMessage(String resourceKey){
		
		String message = resourceMap.getString(resourceKey);
		if(message == null)
			message = resourceKey;
		
		JOptionPane.showMessageDialog(this.mainPanel, message,
				resourceMap.getString("error.title"),
				JOptionPane.ERROR_MESSAGE);
	}

	private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_jButton1ActionPerformed

		File file = new File("");
		File[] files = { file };

		this.jFileChooser1.setSelectedFile(file);
		this.jFileChooser1.setSelectedFiles(files);

		this.jFileChooser1.setMultiSelectionEnabled(false);
		this.jFileChooser1.resetChoosableFileFilters();

		if (this.jFileChooser1.getFileSelectionMode() != javax.swing.JFileChooser.FILES_ONLY) {
			this.jFileChooser1
					.setFileSelectionMode(javax.swing.JFileChooser.FILES_ONLY);
		}

		String fileChooserValue = "";

		Preferences fPrefs = Preferences.userRoot().node(
				"ecm.filechooser.preference");

		fileChooserValue = fPrefs.get("filechooser", "/");

		if (!fileChooserValue.equals("/")) {
			File localDirectory = new File(fileChooserValue);

			if (!localDirectory.exists()) {
				fileChooserValue = "/";
			}
		}

		this.jFileChooser1.setCurrentDirectory(new File(fileChooserValue));

		if (this.jFileChooser1.showOpenDialog(this.mainPanel) == JFileChooser.APPROVE_OPTION) {
			String certificatePathLocal = this.jFileChooser1.getSelectedFile()
					.getAbsolutePath();
			fPrefs.put("filechooser", certificatePathLocal);
			this.jCertificatePathTextField.setText(certificatePathLocal);
			this.certificatePath = certificatePathLocal;
			this.jCertAliasTextField.setEnabled(true);
			this.jCertPasswordField.setEnabled(true);
			this.jValidateButton.setEnabled(true);
		}
	}// GEN-LAST:event_jButton1ActionPerformed

	private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_jButton3ActionPerformed
		File file = new File("");
		File[] files = { file };

		this.jFileChooser1.setSelectedFile(file);
		this.jFileChooser1.setSelectedFiles(files);

		this.jFileChooser1.setMultiSelectionEnabled(false);
		this.jFileChooser1.resetChoosableFileFilters();

		this.jFileChooser1
				.setFileSelectionMode(javax.swing.JFileChooser.DIRECTORIES_ONLY);

		String fileChooserValue = "";

		Preferences fPrefs = Preferences.userRoot().node(
				"ecm.filechooser.preference");

		fileChooserValue = fPrefs.get("filechooser", "/");

		if (!fileChooserValue.equals("/")) {
			File localDirectory = new File(fileChooserValue);

			if (!localDirectory.exists()) {
				fileChooserValue = "/";
			}
		}

		this.jFileChooser1.setCurrentDirectory(new File(fileChooserValue));

		if (this.jFileChooser1.showOpenDialog(this.mainPanel) == JFileChooser.APPROVE_OPTION) {

			String filesRootFolder = this.jFileChooser1.getSelectedFile()
					.getAbsolutePath();
			fPrefs.put("filechooser", filesRootFolder);

			try {
				this.jTextField2.setText(filesRootFolder);
				this.folderPathToSing = filesRootFolder;
				resetTable();
				fillTable(filesRootFolder);
				this.jLoadDirButton.setEnabled(true);
				this.jSignDirButton.setEnabled(true);
			} catch (IOException ex) {
				logger.log(Level.SEVERE, ex.getMessage(), ex);
				JOptionPane.showMessageDialog(this.mainPanel,
						resourceMap.getString("unexpected.error.message"),
						resourceMap.getString("error.title"),
						JOptionPane.ERROR_MESSAGE);
			}
		}
	}// GEN-LAST:event_jButton3ActionPerformed

	private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_jButton2ActionPerformed

		try {
			String folderPathToSignLocal = this.folderPathToSing;
			String certificatePathLocal = this.certificatePath;
			String aliasToSign = this.jCertAliasTextField.getText();
			String passwordToSign = new String(this.jCertPasswordField.getPassword());
			
			File folderToSign = new File(folderPathToSignLocal);
			
			File caFile = new File(folderToSign, "dataProvider.crt");
			if(caFile.exists())
				caFile.delete();
			
			SignDirUtil.signDir(folderToSign, certificatePathLocal, aliasToSign, passwordToSign);
			SignDirUtil.writeCertificateFile(caFile, certificatePathLocal, aliasToSign, passwordToSign);

			JOptionPane.showMessageDialog(this.mainPanel,
					resourceMap.getString("successfully.signed"),
					resourceMap.getString("windows.title"),
					JOptionPane.INFORMATION_MESSAGE);
		} catch (Exception ex) {
			logger.log(Level.SEVERE, ex.getMessage(), ex);
			JOptionPane.showMessageDialog(this.mainPanel,
					resourceMap.getString("unexpected.error.message"),
					resourceMap.getString("error.title"),
					JOptionPane.ERROR_MESSAGE);
		}

	}// GEN-LAST:event_jButton2ActionPerformed

	private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_jButton4ActionPerformed

		String aliasToSing = this.jCertAliasTextField.getText();

		char[] passwordToSing = this.jCertPasswordField.getPassword();

		if (aliasToSing.isEmpty()) {
			JOptionPane.showMessageDialog(this.mainPanel,
					resourceMap.getString("not.alias.warning.message"),
					resourceMap.getString("windows.title"),
					JOptionPane.WARNING_MESSAGE);
			return;
		}

		if (String.valueOf(passwordToSing).isEmpty()) {
			JOptionPane.showMessageDialog(this.mainPanel,
					resourceMap.getString("not.password.warning.message"),
					resourceMap.getString("windows.title"),
					JOptionPane.WARNING_MESSAGE);
			return;
		}

		if (validateCerticate(aliasToSing, String.valueOf(passwordToSing),
				this.certificatePath)) {
			this.jLoadCertButton.setEnabled(false);
			this.jValidateButton.setEnabled(false);
			this.jLoadDirButton.setEnabled(true);
			this.jCertAliasTextField.setEnabled(false);
			this.jCertPasswordField.setEnabled(false);
			JOptionPane.showMessageDialog(this.mainPanel,
					resourceMap.getString("certified.valid"),
					resourceMap.getString("windows.title"),
					JOptionPane.INFORMATION_MESSAGE);
		}
	}// GEN-LAST:event_jButton4ActionPerformed

	private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {// GEN-FIRST:event_jButton5ActionPerformed
		this.jCertPasswordField.setText("");
		this.jCertificatePathTextField.setText("");
		this.jTextField2.setText("");
		this.jCertAliasTextField.setText("");
		this.jCertificatePathTextField.setEnabled(false);
		this.jTextField2.setEnabled(false);
		this.jLoadCertButton.setEnabled(true);
		this.jSignDirButton.setEnabled(false);
		this.jLoadDirButton.setEnabled(false);
		this.jValidateButton.setEnabled(false);
		this.jCertPasswordField.setEnabled(false);
		this.folderPathToSing = "";
		this.certificatePath = "";
		resetTable();
	}// GEN-LAST:event_jButton5ActionPerformed

	private void resetTable() {
		DefaultTableModel tableModelTmp = (DefaultTableModel) this.jTable1
				.getModel();
		tableModelTmp.getDataVector().removeAllElements();
		this.jTable1.repaint();
	}

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JButton jLoadCertButton;
	private javax.swing.JButton jSignDirButton;
	private javax.swing.JButton jLoadDirButton;
	private javax.swing.JButton jValidateButton;
	private javax.swing.JButton jResetButton;
	private javax.swing.JLabel jLabel1;
	private javax.swing.JLabel jLabel2;
	private javax.swing.JLabel jLabel3;
	private javax.swing.JLabel jLabel4;
	private javax.swing.JPasswordField jCertPasswordField;
	private javax.swing.JScrollPane jScrollPane1;
	private javax.swing.JTable jTable1;
	private javax.swing.JTextField jCertificatePathTextField;
	private javax.swing.JTextField jTextField2;
	private javax.swing.JTextField jCertAliasTextField;
	private javax.swing.JPanel mainPanel;
	// End of variables declaration//GEN-END:variables
	private javax.swing.JFileChooser jFileChooser1;
}
