/**
 * ContestDataValidator.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.validator.contest;

import com.smartmatic.waffle.domain.contest.ContestData;
import com.smartmatic.waffle.validator.ObjectDataValidator;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;
import com.smartmatic.waffle.validator.Validator;

/**
 * Class used to validate Contest Data.
 */
public class ContestDataValidator extends ObjectDataValidator<ContestData> {

	@Override
	public void prePersist(ContestData component)
			throws ObjectDataValidatorException {
		if (component.getName() == null || component.getName().trim().isEmpty()
				|| component.getCustomCode() == null
				|| component.getCustomCode().trim().isEmpty()
				|| component.getCollegeLanguageRFC() == null
				|| component.getCollegeLanguageRFC().trim().isEmpty()) {
			throw new ContestDataValidatorException(
					ContestDataValidatorException.ExceptionInfo.CONTEST_EMPTY_REQUIRED_FIELDS,
					new Exception());
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * com.smartmatic.validator.ObjectDataValidator#postPersist(java.lang.Object
	 * )
	 */
	@Override
	public void postPersist(ContestData component)
			throws ObjectDataValidatorException {
		Validator v = new Validator();
		v.prePersist(component);
	}
}
