package com.smartmatic.waffle.validator.contest;

import com.smartmatic.waffle.lang.IExceptionInfo;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;

public class ContestDataValidatorException extends ObjectDataValidatorException {

	private static final long serialVersionUID = 7561013867390826932L;

	/**
	 * The Enum ExceptionInfo.
	 */
	public enum ExceptionInfo implements IExceptionInfo {

		/** Empty contest fields. */
		CONTEST_EMPTY_REQUIRED_FIELDS;

		/**
		 * Getter of <code>message</code> property.
		 * 
		 * @return <code>message</code> property value.
		 * @see #message
		 * 
		 */
		@Override
		public String getMessage() {
			return this.getClass().getName() + "." + this.toString();
		}
	}

	/**
	 * Instantiates a new Contest data validation exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param inner
	 *            the inner
	 */
	public ContestDataValidatorException(IExceptionInfo exceptionInfo,
			Exception inner) {
		super(exceptionInfo, inner);
	}

}
