/**
 * RegionDataValidatorException.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.validator.demographics;

import com.smartmatic.waffle.lang.IExceptionInfo;
import com.smartmatic.waffle.validator.ObjectDataValidatorException;

/**
 * This is exception is thrown by the RegionDataValidator if validations fails.
 */
public class RegionDataValidatorException extends ObjectDataValidatorException {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 2251957648228480385L;

	/**
	 * The Enum ExceptionInfo.
	 */
	public enum ExceptionInfo implements IExceptionInfo {

		/** The all parent construction problem. */
		ALL_PARENT_CONSTRUCTION_PROBLEM;

		/**
		 * Getter of <code>message</code> property.
		 * 
		 * @return <code>message</code> property value.
		 * @see #message
		 * 
		 * @author Edgar Trejo (edgar.trejo@smartmatic.com)
		 */

		@Override
		public String getMessage() {
			return this.getClass().getName() + "." + this.toString();
		}
	}

	/**
	 * Instantiates a new region data validator exception.
	 * 
	 * @param exceptionInfo
	 *            the exception info
	 * @param inner
	 *            the inner
	 */
	public RegionDataValidatorException(IExceptionInfo exceptionInfo,
			Exception inner) {
		super(exceptionInfo, inner);
	}

}
