/**
 * IUser.java
 *
 * $Revision: 1.4 $ ($Date: 2011-04-06 05:08:31 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.domain.user;

/**
 * Basic interface required to identify the user of any application. This is the
 * most element contract required by the core functionalities implemented on all
 * the modules to handle authorization and access control
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 * @version 1.0 (Aug 30, 2007)
 */
public interface IUser {

	/**
	 * Getter of <code>Admin</code>
	 * 
	 * @author Armando E. Torres Chong (armando.torres@smartmatic.com)
	 * @return <code>isAdmin</code> property value.
	 * @see #isAdmin
	 */
	public boolean isAdmin();

	/**
	 * Getter of <code>code</code> property.
	 * 
	 * @author Armando E. Torres Chong (armando.torres@smartmatic.com)
	 * @return <code>code</code> property value.
	 * @see #code
	 */
	public long getCode();

	/**
	 * Getter of <code>login</code> property.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @return <code>login</code> property value.
	 * @see #login
	 */
	public String getLogin();
}
