/**
 * ITextFormatter.java
 *
 * $Revision: 1.3 $ ($Date: 2011-04-06 05:08:29 $)
 *
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.text.spec;

/**
 * Interface that exposes the methods that any class that wants to implement the
 * service of formatting text.
 * 
 * @author Ithamar Torres (itorres@smartmatic.com)
 * @version 1.0 (03/05/2006)
 */
public interface ITextFormatter {

	/**
	 * Method that returns a key formatted.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @param key
	 *            The message key that needs to be formatted.
	 * @return The text formatted.
	 */
	public String getText(String key);

	/**
	 * Method that returns a key formatted.
	 * 
	 * @author Ithamar Torres (itorres@smartmatic.com)
	 * @param key
	 *            The message key that needs to be formatted.
	 * @param params
	 *            The params used to match the parameters founded in the message
	 * @return The text formatted.
	 */
	public String getText(String key, Object... params);
}
