/**
 * @file RunFunctionality.cxx
 *
 *  @date 23/08/2011
 *  @author Yadickson Soto
 */

#include "RunFunctionality.hxx"
#include <Operation/functionality-initiator.h>
#include <Functionalities/saes-functionality-manager.h>
#include <Configuration/s-a-e-s-functionality-conf-manager.h>
#include <Gui/Windows/MemoryMessageWindow.hxx>

using namespace Smartmatic::SAES::Election;
using namespace Smartmatic::SAES::GUI::Operation;
using namespace Smartmatic::SAES::Functionality;
using namespace Smartmatic::SAES::Functionality::Configuration;
using namespace Smartmatic::SAES::Voting;
using namespace Smartmatic::SAES::GUI::Windows;

void RunFunctionality::start()
{
    MemoryMessageWindow::getInstance()->start();

    std::list<Smartmatic::SAES::Functionality::Configuration::MenuOptionType> descriptors = SAESFunctionalityConfigurationManager::getInstance()->getRunFunctionalityDescriptors();
    SaesFunctionalityManager::getInstance()->ExecuteOptionList ( descriptors );
}
