/**
 * @file	DiagnosticLogConfigurationManager.cxx
 * @brief	Implementation of the diagnostic log configuration manager.
 * @author	Yadickson Soto
 * @date	15/04/2014
 */

#include "DiagnosticLogConfigurationManager.hxx"
#include "s-a-e-s-conf-manager.h"

using namespace Smartmatic::SAES::Configuration;

DiagnosticLogConfigurationManager * DiagnosticLogConfigurationManager::instance = NULL;

DiagnosticLogConfigurationManager::DiagnosticLogConfigurationManager()
{

}

DiagnosticLogConfigurationManager::~DiagnosticLogConfigurationManager()
{
    instance = NULL;
}

bool DiagnosticLogConfigurationManager::shouldPersistDiagnosticLogFile()
{
    return getDiagnosticLogConfiguration().getPersistence();
}

std::string DiagnosticLogConfigurationManager::getSeparator()
{
    return getDiagnosticLogConfiguration().getSeparator();
}

std::string DiagnosticLogConfigurationManager::getStringOk()
{
    return getDiagnosticLogConfiguration().getStringOk();
}

std::string DiagnosticLogConfigurationManager::getStringNotOk()
{
    return getDiagnosticLogConfiguration().getStringNOk();
}

std::string DiagnosticLogConfigurationManager::getStringNA()
{
    return getDiagnosticLogConfiguration().getStringNA();
}

DiagnosticLogConfiguration & DiagnosticLogConfigurationManager::getDiagnosticLogConfiguration ()
{
    if ( ! SAESConfigurationManager::getInstance()->getConfiguration()->getDiagnosticLogConfiguration().present() )
    {
        DiagnosticLogConfiguration config ( false, ",", "OK", "NOK", "N/A" );
        SAESConfigurationManager::getInstance()->getConfiguration()->setDiagnosticLogConfiguration ( config );
    }

    return SAESConfigurationManager::getInstance()->getConfiguration()->getDiagnosticLogConfiguration().get();
}

DiagnosticLogConfigurationManager * DiagnosticLogConfigurationManager::getInstance ( DiagnosticLogConfigurationManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new DiagnosticLogConfigurationManager() : externManager );
    }

    return instance;
}
