/**
 * @file	saes-language-controller.h
 * @brief	Declares the saes language controller class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */


#ifndef _SAES_LANGUAGE_CONTROLLER_H_
#define _SAES_LANGUAGE_CONTROLLER_H_

#include "Environment/Configurations/BaseLanguageConfiguration.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Configuration
        {
            /**
             * @class	SAESLanguageController
             * @brief	Saes language controller.
             * @author	Eduardo.campione
             * @date	28/04/2011
             */

            class SAESLanguageController: public Smartmatic::Environment::BaseLanguageConfiguration
            {
                public:

                    /**
                     * @fn	std::string SAESLanguageController::getPackageName();
                     * @brief	Gets the package name.
                     * @author	Eduardo.campione
                     * @date	28/04/2011
                     * @return	The package name.
                     */

                    std::string getPackageName();

                    /**
                     * @fn	std::string SAESLanguageController::getLocaleDir();
                     * @brief	Gets the locale dir.
                     * @author	Eduardo.campione
                     * @date	28/04/2011
                     * @return	The locale dir.
                     */

                    std::string getLocaleDir();

                    /**
                     * @fn	SAESLanguageController::SAESLanguageController();
                     * @brief	Default constructor.
                     * @author	Eduardo.campione
                     * @date	28/04/2011
                     */

                    SAESLanguageController();

                    /**
                     * @fn	virtual SAESLanguageController::~SAESLanguageController();
                     * @brief	Finaliser.
                     * @author	Eduardo.campione
                     * @date	28/04/2011
                     */

                    virtual ~SAESLanguageController();
            };
        }
    }
}

#endif // _SAES_LANGUAGE_CONTROLLER_H_
