/**
 * @file	QRVoteInvalidFormatException.h
 * @brief	Declares the qr vote invalid format exception class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#ifndef QRVOTEINVALIDFORMATEXCEPTION_H_
#define QRVOTEINVALIDFORMATEXCEPTION_H_

#include <System/Exception/BaseException.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Exceptions
        {
            namespace Voting
            {
                namespace Vote
                {
                    /**
                     * @class	QRVoteInvalidFormatException
                     * @brief	Exception for signalling qr vote invalid format errors.
                     * @author	Youssef.tourkmani
                     * @date	31/10/2012
                     */
                    class QRVoteInvalidFormatException : public Smartmatic::System::Exception::BaseException
                    {
                        public:
                            /**
                             * @fn	QRVoteInvalidFormatException::QRVoteInvalidFormatException(std::string message,
                             * 			std::string code, Smartmatic::Log::ISMTTLog* logger);
                             * @brief	Constructor.
                             * @author	Youssef.tourkmani
                             * @date	31/10/2012
                             * @param	message						The message.
                             * @param	code							The code.
                             * @param [in,out]	logger	If non-null, the logger.
                             */
                            QRVoteInvalidFormatException ( std::string message, std::string code,
                                                           Smartmatic::Log::ISMTTLog * logger );
                    };
                }
            }
        }
    }
}

#endif /* QRVOTEINVALIDFORMATEXCEPTION_H_ */
