/**
 * @file BarcodeConfigPrinting.hxx
 * @brief Header class barcode config printing
 * @date 07/03/2012
 * @author Yadickson Soto
 */

#ifndef BARCODECONFIGPRINTING_HXX_
#define BARCODECONFIGPRINTING_HXX_

#include <Printing/IBasePrintDocument.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }
    namespace SAES
    {
        namespace Printing
        {
            /**
             * @class	BarcodeConfigPrinting
             * @brief	Class barcode config printing.
             * @author	Yadickson Soto
             * @see BasePrintDocument
             * @date	07/03/2012
             */
            class BarcodeConfigPrinting : public IBasePrintDocument
            {
                public:
                    /**
                     * @fn	BarcodeConfigPrinting::BarcodeConfigPrinting();
                     * @brief	Class constructor.
                     * @author	Yadickson Soto
                     * @date	24/10/2011
                     */
                    BarcodeConfigPrinting();
                    /**
                     * @fn	virtual BarcodeConfigPrinting::~BarcodeConfigPrinting();
                     * @brief	Class destructor.
                     * @author	Yadickson Soto
                     * @date	24/10/2011
                     */
                    virtual ~BarcodeConfigPrinting();
                    /**
                     * @fn	void Print();
                     * @brief	Method print doc.
                     * @author	Yadickson Soto
                     * @date	29/03/2012
                     */
                    void Print();
                    /**
                     * @fn	void setClient (PrintDocumentClient * client);
                     * @brief	set the client of the print document.
                     * @author	Yadickson Soto
                     * @date	30/11/2012
                     * @param	client	If non-null, the client.
                     */

                    void setClient ( PrintDocumentClient * client );

                private:

                    PrintDocumentClient * client; ///< client
                    static Smartmatic::Log::ISMTTLog * logger;	///< The logger
            };
        }
    }
}

#endif /* BARCODECONFIGPRINTING_HXX_ */
