/**
 * @file	election-string-resources-manager.cc
 * @brief	election string resources manager class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */


#include "election-string-resources-manager.h"

using namespace Smartmatic::SAES::Resources;
using namespace Smartmatic::SAES::Runtime::Environment;

ElectionStringResourcesManager * ElectionStringResourcesManager::singleton_instance = NULL;

ElectionStringResourcesManager::ElectionStringResourcesManager()
{
}

ElectionStringResourcesManager::~ElectionStringResourcesManager()
{
    singleton_instance = NULL;
}

ElectionStringResourcesManager * ElectionStringResourcesManager::getInstance ( ElectionStringResourcesManager * externResource )
{
    if ( ! singleton_instance )
    {
        singleton_instance = ( externResource == NULL ? new ElectionStringResourcesManager () : externResource );
        // singleton_instance->Initialize();
    }

    return singleton_instance;
}

void  ElectionStringResourcesManager::init ( Smartmatic::SAES::Runtime::Environment::SaesDirectories * saesDir,
        Smartmatic::SAES::Common::Configuration::BasePathType type )
{
    fileName = saesDir->getElectionResourcesFileName();
    folderPath = saesDir->getElectoralResourceFullFolderPath ( type );
    Initialize();
}

std::string & ElectionStringResourcesManager::getFileName()
{
    return fileName;
}

std::string & ElectionStringResourcesManager::getFullFolderPath()
{
    return folderPath;
}
