/**
 * @file CardDataValidate.hxx
 * @brief Header Card Data Validate Class
 * @date 29/04/2013
 * @author Yadickson Soto
 */

#ifndef CARDDATAVALIDATE_HXX_
#define CARDDATAVALIDATE_HXX_

#include <Voting/CardData/card-data-schema.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Voting
        {
            namespace CardData
            {
                /**
                 * @class CardDataValidate
                 * @brief Card Data Validate
                 * @date 29/04/2013
                 * @author Yadickson Soto
                 */
                class CardDataValidate
                {
                    private:

                        /**
                         * @fn CardDataValidate ();
                         * @brief Class constructor
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         */
                        CardDataValidate ();

                    public:

                        /**
                         * @fn virtual ~CardDataValidate();
                         * @brief Class destructor
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         */
                        virtual ~CardDataValidate();

                        /**
                         * @fn static bool validateStructure( Card_data & cardData );
                         * @brief Method validate structure of card data
                         * @date 29/04/2013
                         * @author Yadickson Soto
                         * @param cardData card data to validate
                         * @return true structure validated
                         */
                        static bool validateStructure ( Card_data & cardData );
                };
            }
        }
    }
}

#endif /* CARDDATAVALIDATE_HXX_ */
