/**
 * @file   EmlLanguageType.hxx
 * @brief  Declaration of EmlLanguageType enumerate.
 * @author manuel.arguelles
 * @date   Jan  5, 2018
 */

#ifndef EML_LANGUAGE_TYPE_HXX
#define EML_LANGUAGE_TYPE_HXX

namespace Smartmatic
{
    namespace SAES
    {
        namespace Voting
        {
            namespace Eml
            {
                /**
                 * @brief  EmlLanguageType enumeration.
                 * @author manuel.arguelles
                 * @date   Jan  5, 2018
                 */
                enum EmlLanguageType
                {
                    /**
                     * @brief Néerlandais.
                     */
                    NN = 0,

                    /**
                     * @brief Français.
                     */
                    FF,

                    /**
                     * @brief Bilingue Français/Néerlandais.
                     */
                    NF,

                    /**
                     * @brief 
                     */
                    FN,

                    /**
                     * @brief 
                     */
                    DE
                };
            } /* namespace Eml */
        } /* namespace Voting */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* EML_LANGUAGE_TYPE_HXX */
