#ifndef EML_TRANSFORMATION_HXX
#define EML_TRANSFORMATION_HXX

#include <string>

namespace Smartmatic
{
    namespace SAES
    {
        namespace Voting
        {
            namespace Eml
            {

                const std::string EML_TRANSFORMATION = \
                    "<?xml version=\"1.0\" encoding=\"UTF-8\"?> \n"
                    "<xsl:stylesheet version=\"1.0\" \n"
                    "    xmlns:eml=\"urn:oasis:names:tc:evs:schema:eml\" \n"
                    "    xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" \n"
                    "    xmlns:martine=\"http://www.martine.be/extensions\"> \n"
                    "<xsl:output method=\"xml\" indent=\"yes\" omit-xml-declaration=\"no\" \n"
                    "          encoding=\"UTF-8\" /> \n"
                    "<xsl:template match=\"/\"> \n"
                    "<EML xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" \n"
                    "     xmlns:xnl=\"urn:oasis:names:tc:ciq:xnl:4\" xmlns:xal=\"urn:oasis:names:tc:ciq:xal:4\" \n"
                    "     xmlns=\"urn:oasis:names:tc:evs:schema:eml\" xmlns:martine=\"http://www.martine.be/extensions\" \n"
                    "     Id=\"510\" SchemaVersion=\"7.0\" \n"
                    "     xsi:schemaLocation=\"urn:oasis:names:tc:evs:schema:eml schema/510-count-v7-0.xsd \n"
                    "    		     http://www.martine.be/extensions schema/martine-eml-extensions.xsd\"> \n"
                    "  <EMLHeader> \n"
                    "    <TransactionId>01</TransactionId> \n"
                    "    <ManagingAuthority> \n"
                    "      <AuthorityIdentifier> \n"
                    "        <xsl:value-of \n"
                    "    	select=\"eml:EML/eml:EMLHeader/eml:ManagingAuthority/eml:AuthorityIdentifier\" /> \n"
                    "      </AuthorityIdentifier> \n"
                    "      <AuthorityName> \n"
                    "        <NameElement ElementType=\"\"> \n"
                    "          <xsl:value-of \n"
                    "    	  select=\"eml:EML/eml:EMLHeader/eml:ManagingAuthority/eml:AuthorityName/eml:NameElement\" /> \n"
                    "        </NameElement> \n"
                    "      </AuthorityName> \n"
                    "      <Description> \n"
                    "        <xsl:value-of \n"
                    "    	select=\"eml:EML/eml:EMLHeader/eml:ManagingAuthority/eml:Description\" /> \n"
                    "      </Description> \n"
                    "      <OrganizationURL> \n"
                    "        <xsl:value-of \n"
                    "    	select=\"eml:EML/eml:EMLHeader/eml:ManagingAuthority/eml:OrganizationURL\" /> \n"
                    "      </OrganizationURL> \n"
                    "      <AuthorityAddress /> \n"
                    "    </ManagingAuthority> \n"
                    "    <IssueDate> \n"
                    "      <xsl:value-of select=\"eml:EML/eml:EMLHeader/eml:IssueDate\" /> \n"
                    "    </IssueDate> \n"
                    "    <OfficialStatusDetail> \n"
                    "      <OfficialStatus>P</OfficialStatus> \n"
                    "      <StatusDate> \n"
                    "        <xsl:value-of \n"
                    "    	select=\"eml:EML/eml:EMLHeader/eml:OfficialStatusDetail/eml:StatusDate\" /> \n"
                    "      </StatusDate> \n"
                    "    </OfficialStatusDetail> \n"
                    "    <martine:EMLversion>1.13</martine:EMLversion> \n"
                    "  </EMLHeader> \n"
                    "  <Count> \n"
                    "    <EventIdentifier> \n"
                    "      <EventName>Electronic Voting Counters</EventName> \n"
                    "      <EventQualifier> \n"
                    "        <xsl:text>V#</xsl:text> \n"
                    "        <xsl:value-of	select=\"eml:EML/eml:CandidateList/eml:Election/eml:ElectionIdentifier/@IdNumber\" /> \n"
                    "      </EventQualifier> \n"
                    "    </EventIdentifier> \n"
                    "    <Election> \n"
                    "      <xsl:element name=\"ElectionIdentifier\"> \n"
                    "        <xsl:attribute name=\"IdNumber\"> \n"
                    "          <xsl:value-of \n"
                    "    	  select=\"eml:EML/eml:CandidateList/eml:Election/eml:ElectionIdentifier/@IdNumber\" /> \n"
                    "        </xsl:attribute> \n"
                    "        <xsl:copy-of \n"
                    "    	select=\"eml:EML/eml:CandidateList/eml:Election/eml:ElectionIdentifier/eml:ElectionName\" /> \n"
                    "        <xsl:copy-of \n"
                    "    	select=\"eml:EML/eml:CandidateList/eml:Election/eml:ElectionIdentifier/eml:ElectionCategory\" /> \n"
                    "      </xsl:element> \n"
                    "      <Contests> \n"
                    "        <xsl:for-each select=\"eml:EML/eml:CandidateList/eml:Election/eml:Contest\"> \n"
                    "          <Contest> \n"
                    "    	<xsl:copy-of select=\"eml:ContestIdentifier\" /> \n"
                    "    	<TotalVotes> \n"
                    "    	  <xsl:element name=\"Selection\"> \n"
                    "    	    <xsl:attribute name=\"Category\"> \n"
                    "                  <xsl:value-of select=\"eml:ContestIdentifier/@IdNumber\" /> \n"
                    "                </xsl:attribute> \n"
                    "    	    <ReferendumOptionIdentifier>foo</ReferendumOptionIdentifier> \n"
                    "    	    <ValidVotes>0</ValidVotes> \n"
                    "                <xsl:copy-of select=\"../eml:ElectionIdentifier/martine:ElectionParam\" /> \n"
                    "    	    <xsl:element name=\"CountMetric\"> \n"
                    "    	      <xsl:attribute name=\"Id\"> \n"
                    "    		<xsl:value-of select=\"eml:ContestIdentifier/@ShortCode\" /> \n"
                    "    	      </xsl:attribute> \n"
                    "    	      <xsl:attribute name=\"Type\">LevelDepositList</xsl:attribute> \n"
                    "                  <xsl:value-of select=\"eml:ContestIdentifier/@IdNumber\" /> \n"
                    "                </xsl:element> \n"
                    "    	    <CountMetric Id=\"S10\" Type=\"VotesDeposited\">0</CountMetric> \n"
                    "    	    <CountMetric Id=\"S11\" Type=\"BlankAndInvalidVotes\">0</CountMetric> \n"
                    "    	    <CountMetric Id=\"S12\" Type=\"Alderman\">0</CountMetric> \n"
                    "    	    <CountMetric Id=\"S14\" Type=\"ValidVote_E5\">0</CountMetric> \n"
                    "    	    <CountMetric Id=\"S15\" Type=\"BlankAndInvalidVotes_E5\">0</CountMetric> \n"
                    "    	  </xsl:element> \n"
                    "    	  <Selection Category=\"GlobalSituation\"> \n"
                    "    	    <ReferendumOptionIdentifier>foo</ReferendumOptionIdentifier> \n"
                    "    	    <ValidVotes>0</ValidVotes> \n"
                    "    	    <CountMetric Id=\"BV\" Type=\"PollingStationId\">0</CountMetric> \n"
                    "    	    <CountMetric Id=\"S13\" Type=\"CheckSum\">0</CountMetric> \n"
                    "    	  </Selection> \n"
                    "    	</TotalVotes> \n"
                    "    	<xsl:for-each select=\"eml:Affiliation\"> \n"
                    "    	  <ReportingUnitVotes> \n"
                    "    	    <xsl:element name=\"ReportingUnitIdentifier\"> \n"
                    "    	      <xsl:attribute name=\"IdNumber\"> \n"
                    "                  	<xsl:value-of select=\"eml:AffiliationIdentifier/@IdNumber\" /> \n"
                    "                  </xsl:attribute> \n"
                    "    	      <xsl:value-of select=\"eml:AffiliationIdentifier/eml:RegisteredName\" /> \n"
                    "    	    </xsl:element> \n"
                    "    	    <CountMetric Id=\"L7\" Type=\"Titulars\"> \n"
                    "    	      <xsl:value-of select=\"martine:ListParam[@type='ListCandidates']\" /> \n"
                    "    	    </CountMetric> \n"
                    "    	    <CountMetric Id=\"L8\" Type=\"Substitutes\"> \n"
                    "    	      <xsl:value-of select=\"martine:ListParam[@type='ListSubstitutes']\" /> \n"
                    "    	    </CountMetric> \n"
                    "    	    <CountMetric Id=\"L10\" Type=\"LinguisticRegime\"> \n"
                    "    	      <xsl:value-of select=\"martine:ListParam[@type='ListLinguisticRegime']\" /> \n"
                    "    	    </CountMetric> \n"
                    "    	    <xsl:element name=\"CountMetric\"> \n"
                    "    	      <xsl:attribute name=\"Id\"> \n"
                    "    		<xsl:value-of select=\"../eml:ContestIdentifier/@ShortCode\" /> \n"
                    "    	      </xsl:attribute> \n"
                    "    	      <xsl:attribute name=\"Type\">ListDepositOffice</xsl:attribute> \n"
                    "    	      <xsl:value-of select=\"../eml:ContestIdentifier/@IdNumber\" /> \n"
                    "    	    </xsl:element> \n"
                    "    	    <Selection> \n"
                    "    	      <AffiliationIdentifier> \n"
                    "                    <xsl:attribute name=\"ExpectedConfirmationReference\"> \n"
                    "    		  <xsl:value-of select=\"eml:AffiliationIdentifier/@ExpectedConfirmationReference\" /> \n"
                    "                    </xsl:attribute> \n"
                    "    		<RegisteredName> \n"
                    "    		  <xsl:value-of	select=\"eml:AffiliationIdentifier/eml:RegisteredName\" /> \n"
                    "    		</RegisteredName> \n"
                    "    	      </AffiliationIdentifier> \n"
                    "    	      <ValidVotes>0</ValidVotes> \n"
                    "    	      <CountMetric Id=\"L16\" Type=\"NumberOfHeaderVotes\">0</CountMetric> \n"
                    "    	      <CountMetric Id=\"L17\" Type=\"NumberOfBallotsWithOnlyTitularVotes\">0</CountMetric> \n"
                    "    	      <CountMetric Id=\"L18\" Type=\"NumberOfBallotsWithTitularAndSubstitutesVotes\">0</CountMetric> \n"
                    "    	      <CountMetric Id=\"L19\" Type=\"NumberOfBallotsWithOnlySubstitutesVotes\">0</CountMetric> \n"
                    "    	      <CountMetric Id=\"L31\" Type=\"CheckSum\">0</CountMetric> \n"
                    "    	    </Selection> \n"
                    "    	    <xsl:for-each select=\"eml:Candidate\"> \n"
                    "    	      <xsl:if test=\"eml:StatusDetails/eml:StatusItem/@setting='candidate'\"> \n"
                    "    		<Selection> \n"
                    "    		  <Candidate> \n"
                    "    		    <CandidateIdentifier> \n"
                    "    		      <xsl:attribute name=\"ExpectedConfirmationReference\"> \n"
                    "    			<xsl:value-of select=\"eml:CandidateIdentifier/@ExpectedConfirmationReference\" /> \n"
                    "                          </xsl:attribute> \n"
                    "    		    </CandidateIdentifier> \n"
                    "                       <CandidateFullName> \n"
                    "                         <PersonFullName> \n"
                    "                           <xsl:value-of select=\"eml:CandidateFullName/eml:PersonFullName\" /> \n"
                    "                         </PersonFullName> \n"
                    "                       </CandidateFullName> \n"
                    "    		    <StatusDetails> \n"
                    "    		      <!--<StatusItem> \n"
                    "    			  <xsl:attribute name=\"setting\">candidate</xsl:attribute> \n"
                    "    			  </StatusItem>--> \n"
                    "    		    </StatusDetails> \n"
                    "    		  </Candidate> \n"
                    "    		  <ValidVotes>0</ValidVotes> \n"
                    "    		</Selection> \n"
                    "		      </xsl:if> \n"
                    "    	    </xsl:for-each> \n"
                    "    	  </ReportingUnitVotes> \n"
                    "    	</xsl:for-each> \n"
                    "          </Contest> \n"
                    "        </xsl:for-each> \n"
                    "      </Contests> \n"
                    "    </Election> \n"
                    "  </Count> \n"
                    "</EML> \n"
                    "</xsl:template> \n"
                    "</xsl:stylesheet> \n"
                    "";
            }
        }
    }
}

#endif /* EML_TRANSFORMATION_HXX */
