/**
 * @file BallotIDManager.cxx
 * @brief Body class to generate and verify ballot id
 * @date 08/05/2013
 * @author Yadickson Soto
 */

#include "BallotIDManager.hxx"

using namespace Smartmatic::SAES::Voting;

BallotIDManager * BallotIDManager::instance = NULL;

BallotIDManager::BallotIDManager()
{

}

BallotIDManager::~BallotIDManager()
{
    instance = NULL;
}

std::string BallotIDManager::getID()
{
    return generate();
}

bool BallotIDManager::verifyID ( const std::string & uuid )
{
    return find ( uuid );
}

bool BallotIDManager::removeID ( const std::string & uuid )
{
    return remove ( uuid );
}

BallotIDManager * BallotIDManager::getInstance()
{
    if ( !instance )
    {
        instance = new BallotIDManager();
    }

    return instance;
}
