/*
 * ResultValidation.cxx
 *
 *  Created on: 16/07/2013
 *      Author: soto
 */

#include "ResultValidation.hxx"
#include <Log/SMTTLogManager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Voting;
using namespace Smartmatic::Log;

ResultValidation * ResultValidation::instance = NULL;
ISMTTLog * ResultValidation::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Voting.ResultValidation", GETTEXT_PACKAGE );

ResultValidation::ResultValidation()
{

}

ResultValidation::~ResultValidation()
{
    clear();
    instance = NULL;
}

ResultValidation * ResultValidation::getInstance()
{
    if ( !instance )
    {
        instance = new ResultValidation();
    }

    return instance;
}

void ResultValidation::initialize()
{
    clear();
}

void ResultValidation::addBuffer ( std::string name, const Smartmatic::System::SafeBuffer & buffer )
{
    hashMap[name].push_back ( buffer.GetBase64Data() );
}

bool ResultValidation::validate()
{
    bool result = true;

    std::map < std::string, std::list < std::string > >::iterator hit;

    for ( hit = hashMap.begin();
            hit != hashMap.end() && result;
            ++hit )
    {
        std::list < std::string > & list ( hit->second );
        std::list < std::string >::iterator it;

        for ( it = list.begin(), ++it;
                it != list.end() && result;
                ++it )
        {
            std::string base64 = * ( list.begin() );
            result = result && ( base64.compare ( *it ) == 0 );
        }
    }

    return result;
}

void ResultValidation::clear()
{
    hashMap.clear();
}
