/*
 * ResultValidation.hxx
 *
 *  Created on: 16/07/2013
 *      Author: soto
 */

#ifndef RESULT_VALIDATION_HXX_
#define RESULT_VALIDATION_HXX_

#include <list>
#include <map>
#include <System/SafeBuffer.h>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace Voting
        {
            class ResultValidation
            {
                protected:

                    ResultValidation();
                    static ResultValidation * instance; ///< instance of class

                public:

                    virtual ~ResultValidation();

                    void initialize();
                    void addBuffer ( std::string name, const Smartmatic::System::SafeBuffer & buffer );
                    bool validate();
                    void clear();

                    static ResultValidation * getInstance();

                private:

                    std::map < std::string, std::list < std::string > > hashMap; ///< hash map buffers
                    static Smartmatic::Log::ISMTTLog * logger;  ///< The logger
            };

        } /* namespace Voting */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* RESULT_VALIDATION_HXX_ */
