/**
 * @file   MockGeneralAudioResourcesManager.hxx
 * @brief  Declaration of MockGeneralAudioResourcesManager class.
 * @author manuel.arguelles
 * @date   Apr 13, 2018
 */

#ifndef MOCK_GENERAL_AUDIO_RESOURCES_MANAGER
#define MOCK_GENERAL_AUDIO_RESOURCES_MANAGER

#include <string>
#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Resources/GeneralAudioResourcesManager.hxx>

class MockGeneralAudioResourcesManager : public Smartmatic::SAES::Resources::GeneralAudioResourcesManager
                                       , public MOCKPP_NS::ChainableMockObject
{
    public:

        MockGeneralAudioResourcesManager()
            : MOCKPP_NS::ChainableMockObject(MOCKPP_PCHAR("MockGeneralAudioResourcesManager"), 0)
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1(getResource, ext)
        {
        }

        MOCKPP_CHAINABLE_EXT1(
            MockGeneralAudioResourcesManager,
            std::string,
            getResource,
            const std::string&,
            std::string,
            ext,
            std::string);


};

#endif /* MOCK_GENERAL_AUDIO_RESOURCES_MANAGER */
