/**
 * @file MockStationTallyWrapper.hxx
 * @brief Mock Station Tally Wrapper class
 * @date 26/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCKSTATIONTALLYWRAPPER_HXX_
#define MOCKSTATIONTALLYWRAPPER_HXX_

#include <Voting/Vote/station-tally-schema.hxx>
#include <Voting/Vote/StationTallyWrapper.hxx>

class MockStationTallyWrapper: public Smartmatic::SAES::Voting::Vote::StationTallyWrapper
{
    public:

        MockStationTallyWrapper()
        {

        }

        virtual ~MockStationTallyWrapper()
        {
            std::list < Smartmatic::SAES::Voting::Vote::StationTally * >::iterator stit;

            for ( stit = stationTallyList.begin();
                    stit != stationTallyList.end();
                    ++stit )
            {
                delete ( *stit );
            }
        }

        virtual std::list < Smartmatic::SAES::Voting::Vote::StationTally * > getStationTally ()
        {
            return stationTallyList;
        }

        std::list < Smartmatic::SAES::Voting::Vote::StationTally * > stationTallyList;
};



#endif /* MOCKSTATIONTALLYWRAPPER_HXX_ */
