/*
 * MockVoteStatistics.hxx
 *
 *  Created on: 22/11/2013
 *      Author: soto
 */

#ifndef MOCK_VOTE_STATISTICS_HXX_
#define MOCK_VOTE_STATISTICS_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Voting/PBReports/VoteCounterByCA.hxx>
#include <Voting/PBReports/VoteStatisticsWrapper.hxx>

class MockVoteStatistics : public Smartmatic::SAES::Voting::PBReports::VoteStatisticsWrapper
    , public MOCKPP_NS::ChainableMockObject
{
    public:

        MockVoteStatistics ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockVoteStatistics" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getOfficialVotes )
        {

        }

        MOCKPP_CHAINABLE0 ( MockVoteStatistics, unsigned int, getOfficialVotes );

        std::vector<Smartmatic::SAES::Voting::PBReports::VoteCounterByCA> getVoteCountersByCA ()
        {
            return vector;
        }

        std::vector<Smartmatic::SAES::Voting::PBReports::VoteCounterByContest> getVoteCountersByContest ()
        {
            return votesCounterByContest;
        }

        std::vector<Smartmatic::SAES::Voting::PBReports::VoteCounterByCA> vector;
        std::vector<Smartmatic::SAES::Voting::PBReports::VoteCounterByContest> votesCounterByContest;
};

#endif /* MOCK_VOTE_STATISTICS_HXX_ */
