#ifndef TEST_CREATEVOTE_TEST
#define TEST_CREATEVOTE_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Voting/CardData/CardDataFactory.hxx>
#include <Voting/Vote/VoteFactory.hxx>
#include <Voting/VotingDevice/LogicalVoterGroupFactory.hxx>

class CreateVoteTest : public CPPUNIT_NS::TestFixture
{
    private:

        Smartmatic::SAES::Voting::CardData::Card_data cardData;
        Smartmatic::SAES::Voting::VotingDevice::Logical_voter_group clvg;
        Smartmatic::SAES::Voting::Vote::Vote * vote;

    public:

        CreateVoteTest ()
        {
            vote = NULL;
        }

        void setUp()
        {
            clvg = Smartmatic::SAES::Voting::VotingDevice::LogicalVoterGroupFactory::createLogicalVoterGroup ( );
            cardData = Smartmatic::SAES::Voting::CardData::CardDataFactory::createCardData ( clvg, NULL );
        }

        void tearDown()
        {
            if ( vote )
            {
                delete vote;
                vote = NULL;
            }
        }

        void testCreateVoteWithCardData()
        {
            vote = Smartmatic::SAES::Voting::Vote::VoteFactory::createVote ( cardData );

            CPPUNIT_ASSERT ( NULL != vote );

            CPPUNIT_ASSERT ( false == cardData.getBallotID().empty() );
            CPPUNIT_ASSERT ( false == cardData.getSessionID().empty() );

            CPPUNIT_ASSERT ( true == ( cardData.getBallotID() == vote->getBallotID() ) );
            CPPUNIT_ASSERT ( true == ( cardData.getSessionID() == vote->getSessionID() ) );
        }

        CPPUNIT_TEST_SUITE ( CreateVoteTest );
        CPPUNIT_TEST ( testCreateVoteWithCardData );
        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_CREATEVOTE_TEST */
