/**
 * @file	InitializationStatus.cxx
 * @brief	initialization status class.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */

#include "InitializationStatus.hxx"

using namespace Smartmatic::SAES::Operation::Initiator;

InitializationStatus::InitializationStatus()
    : status(TestStatus::NotTested)
{
}

InitializationStatus::InitializationStatus(const InitializationStatus& initializationStatus)
: status(initializationStatus.status)
, message(initializationStatus.message)
, footerMessage(initializationStatus.footerMessage)
{
}

InitializationStatus::~InitializationStatus()
{

}

TestStatus::Tests InitializationStatus::getStatus()
{
    return status;
}

std::string InitializationStatus::getMessage()
{
    return message;
}

void InitializationStatus::setStatus ( TestStatus::Tests status )
{
    this->status = status;
}

void InitializationStatus::setMessage ( std::string msg )
{
    message.clear();
    message.append ( msg );
}

std::string InitializationStatus::getFooterMessage()
{
    return footerMessage;
}

void InitializationStatus::setFooterMessage ( std::string msg )
{
    footerMessage.clear();
    footerMessage.append ( msg );
}

InitializationStatus & InitializationStatus::operator= ( const InitializationStatus & obj )
{
    this->footerMessage = obj.footerMessage;
    this->message = obj.message;
    this->status = obj.status;
    return *this;  // Return a reference to myself.
}
