/**
 * @file	saes-temporary-directories.h
 * @brief	Declares the saes temporary directories class.
 * @author	Youssef.tourkmani
 * @date	30/10/2012
 */


#ifndef _SAES_TEMPORARY_DIRECTORIES_H_
#define _SAES_TEMPORARY_DIRECTORIES_H_
#include <string>
#include <Configuration/SaesCommonConfiguration-schema.hxx>
#include "Runtime/Environment/SaesInstallDirectories.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Runtime
        {
            namespace Environment
            {
                /**
                 * @class	SaesTemporaryDirectories
                 * @brief	Saes temporary directories.
                 * @author	Cesar.bonilla
                 * @date	4/28/2011
                 */

                class SaesTemporaryDirectories: public SaesInstallDirectories
                {
                    public:

                        /**
                         * @fn	SaesTemporaryDirectories::SaesTemporaryDirectories();
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	30/10/2012
                         */
                        SaesTemporaryDirectories();
                        /**
                         * @fn	virtual SaesTemporaryDirectories::~SaesTemporaryDirectories();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	30/10/2012
                         */
                        virtual ~SaesTemporaryDirectories();

                        /**
                         * @fn	std::string SaesTemporaryDirectories::getWorkingDirectoryFolderName();
                         * @brief	overrides the working directory.
                         * @author	Freddy.Gomez
                         * @date	5/18/2011
                         * @return	The master configuration base path.
                         */
                        std::string getWorkingDirectoryFolderName();
                };
            }
        }
    }
}


#endif // _SAES_TEMPORARY_DIRECTORIES_H_
