/**
 * @file MockJavaCardOperations.hxx
 * @author Yadickson Soto
 * @date 28/05/2014
 */

#ifndef MOCK_JAVA_CARD_OPERATIONS_HXX_
#define MOCK_JAVA_CARD_OPERATIONS_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Card/JavaCardOperations.hxx>

class MockJavaCardOperations : public Smartmatic::SAES::Card::JavaCardOperations,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockJavaCardOperations ()
            : Smartmatic::SAES::Card::JavaCardOperations ( NULL )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockJavaCardOperations" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( verifyGlobalPIN, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( setPasswordPIN, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( verifyPasswordPIN, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( setPasswordFile, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getPasswordFile )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( openWrite )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( continueWrite, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( closeWrite )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( abortWrite )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( openRead )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( continueRead, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getDataFile )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( setDataFile, ext )
        {
        }

        virtual ~MockJavaCardOperations ()
        {
        }

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, verifyGlobalPIN, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, setPasswordPIN, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, verifyPasswordPIN, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, setPasswordFile, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, Smartmatic::System::SafeBuffer, getPasswordFile );
        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, bool, openWrite );

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, continueWrite, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, bool, closeWrite );
        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, bool, abortWrite );
        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, unsigned int, openRead );


        MOCKPP_CHAINABLE_EXT2 ( MockJavaCardOperations,
                                Smartmatic::System::SafeBuffer, continueRead, unsigned char, unsigned int &,
                                Smartmatic::System::SafeBuffer, ext, unsigned char, unsigned int * );

        MOCKPP_CHAINABLE0 ( MockJavaCardOperations, Smartmatic::System::SafeBuffer, getDataFile );

        MOCKPP_CHAINABLE_EXT1 ( MockJavaCardOperations,
                                bool, setDataFile, const Smartmatic::System::SafeBuffer &,
                                bool, ext, const Smartmatic::System::SafeBuffer * );
};

#endif /* MOCK_JAVA_CARD_OPERATIONS_HXX_ */
