/**
 * @file MockDeviceMonitor.hxx
 * @date 06/05/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_DEVICE_MONITOR_HXX_
#define MOCK_DEVICE_MONITOR_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Operation/Monitor/DeviceMonitorInterface.hxx>

class MockDeviceMonitor : public Smartmatic::SAES::Common::Operation::Monitor::DeviceMonitorInterface,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockDeviceMonitor ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockDeviceMonitor" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( initialize )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( dispose )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT0 ( searchDevices, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT0 ( eventDevices, ext )
        {
        }

        virtual ~MockDeviceMonitor ()
        {
        }

        MOCKPP_VOID_CHAINABLE0 ( MockDeviceMonitor, initialize );
        MOCKPP_VOID_CHAINABLE0 ( MockDeviceMonitor, dispose );

        MOCKPP_CHAINABLE_EXT0 ( MockDeviceMonitor,
                                Smartmatic::System::SafeList < Smartmatic::SAES::Common::Operation::Monitor::MonitorInfo * >, searchDevices,
                                Smartmatic::System::SafeList < Smartmatic::SAES::Common::Operation::Monitor::MonitorInfo * >, ext );

        MOCKPP_CHAINABLE_EXT0 ( MockDeviceMonitor,
                                Smartmatic::System::SafeList < Smartmatic::SAES::Common::Operation::Monitor::MonitorInfo * >, eventDevices,
                                Smartmatic::System::SafeList < Smartmatic::SAES::Common::Operation::Monitor::MonitorInfo * >, ext );
};

#endif /* MOCK_DEVICE_MONITOR_HXX_ */
