/**
 * @file MockCheckDeviceStatusMonitor.hxx
 * @date 28/03/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_CHECK_DEVICE_STATUS_MONITOR_HXX_
#define MOCK_CHECK_DEVICE_STATUS_MONITOR_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Operation/Monitor/DeviceTypeMonitor.hxx>

class MockCheckDeviceStatusMonitor : public Smartmatic::SAES::Common::Operation::Monitor::DeviceTypeMonitor,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        explicit MockCheckDeviceStatusMonitor ( Smartmatic::SAES::Common::Configuration::DeviceType type )
            : DeviceTypeMonitor ( type )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockCheckDeviceStatusMonitor" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( added, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( removed, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( getDeviceMounted, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( checkDeviceChanged )
        {
        }

        virtual ~MockCheckDeviceStatusMonitor ()
        {
        }

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockCheckDeviceStatusMonitor, added, const std::string &,
                                     ext,  const std::string * );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockCheckDeviceStatusMonitor, removed, const std::string &,
                                     ext,  const std::string * );

        MOCKPP_CHAINABLE_EXT2 ( MockCheckDeviceStatusMonitor, std::string, getDeviceMounted, const std::string &, const std::string &,
                                std::string, ext,  const std::string *,  const std::string * );

        MOCKPP_CHAINABLE0 ( MockCheckDeviceStatusMonitor, bool, checkDeviceChanged );
};

#endif /* MOCK_CHECK_DEVICE_STATUS_MONITOR_HXX_ */
