/**
 * @file saes-functionality-language-controller.h
 * @brief Declaration of the SAESFunctionalityLanguageController class.
 * @author Youssef.tourkmani
 * @date 01/11/2012
 */

#ifndef _SAES_FUNCTIONALITY_LANGUAGE_CONTROLLER_H_
#define _SAES_FUNCTIONALITY_LANGUAGE_CONTROLLER_H_

#include "Environment/Configurations/BaseLanguageConfiguration.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace Functionality
        {
            namespace Configuration
            {
                /**
                 * @class SAESFunctionalityLanguageController
                 * @brief Saes functionality language controller.
                 * @author Youssef.tourkmani
                 * @date 01/11/2012
                 */

                class SAESFunctionalityLanguageController: public Smartmatic::Environment::BaseLanguageConfiguration
                {
                    public:

                        /**
                         * @fn std::string SAESFunctionalityLanguageController::getPackageName();
                         * @brief Gets the package name.
                         * @author Youssef.tourkmani
                         * @date 01/11/2012
                         * @return The package name.
                         */

                        std::string getPackageName();

                        /**
                         * @fn std::string SAESFunctionalityLanguageController::getLocaleDir();
                         * @brief Gets the locale dir.
                         * @author Youssef.tourkmani
                         * @date 01/11/2012
                         * @return The locale dir.
                         */

                        std::string getLocaleDir();

                        /**
                         * @fn SAESFunctionalityLanguageController::SAESFunctionalityLanguageController();
                         * @brief Default constructor for the SAESFunctionalityLanguageController class.
                         * @author Youssef.tourkmani
                         * @date 01/11/2012
                         */

                        SAESFunctionalityLanguageController();

                        /**
                         * @fn virtual SAESFunctionalityLanguageController::~SAESFunctionalityLanguageController();
                         * @brief Finalizes an instance of the SAESFunctionalityLanguageController.
                         * @author Youssef.tourkmani
                         * @date 01/11/2012
                         */

                        virtual ~SAESFunctionalityLanguageController();
                };
            }
        }
    }
}

#endif // _SAES_FUNCTIONALITY_LANGUAGE_CONTROLLER_H_
