/**
 * @file	IAuthenticator.cxx
 * @brief	Declares the IAuthenticator interface.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */

#include "IAuthenticator.hxx"

using namespace Smartmatic::SAES::Operation::Authenticator;

IAuthenticator::IAuthenticator ( IAuthenticator::MachineType machineType )
{
    this->machineType = machineType;
    this->electoralConfiguration = NULL;
}

IAuthenticator::~IAuthenticator()
{
}

void IAuthenticator::init ( Smartmatic::SAES::Voting::ElectoralConfiguration * electoralConfiguration )
{
    this->electoralConfiguration = electoralConfiguration;
}

IAuthenticator::MachineType IAuthenticator::getMachineType()
{
    return machineType;
}

