/**
 * @file LoginManager.cxx
 * @brief Body login manager class
 * @date 18/05/2013
 * @author Yadickson Soto
 */

#include "LoginManager.hxx"
#include <System/OptParser.hxx>
#include <Operation/LoginKeyManager.hxx>

using namespace Smartmatic::SAES::Operation;
using namespace Smartmatic::System;

LoginManager::LoginManager()
{

}

LoginManager::~LoginManager()
{

}

bool LoginManager::getPassword ( std::string & pass )
{
    return getOptPassword ( pass ) || getFilePassword ( pass );
}

bool LoginManager::getOptPassword ( std::string & pass )
{
    return OptParser::getInstance()->getPasswordOption ( pass );
}

bool LoginManager::getFilePassword ( std::string & pass )
{
    return LoginKeyManager::getInstance()->read ( pass );
}
