/**
 * @file PrinterMonitor.cxx
 * @brief Implementation of the PrinterMonitor class.
 * @date 12/12/2012
 * @author Yadickson Soto
 */

#include "PrinterMonitor.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::SAES::Operation::Monitor;
using namespace Smartmatic::Log;

ISMTTLog * PrinterMonitor::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.PrinterMonitor", GETTEXT_PACKAGE );

PrinterMonitor::PrinterMonitor()
    : DeviceTypeMonitor ( Smartmatic::SAES::Common::Configuration::DeviceType::CONFIGURATION_PRINTER )
{

}

PrinterMonitor::~PrinterMonitor()
{

}

void PrinterMonitor::added ( const std::string & node )
{
    logger->Debug ( "Added" );
}

void PrinterMonitor::removed ( const std::string & node )
{
    logger->Debug ( "Removed" );
}

std::string PrinterMonitor::getDeviceMounted ( const std::string & node, const std::string & customNode )
{
    return customNode;
}
