/*
 * VotePersistence.cxx
 *
 * @author	Gustavo Garcia
 * @date	30/01/2017
 */

#include <Operation/Voting/VotePersistence.hxx>
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <Operation/MachineOperationManager.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::Operation::Voting;
using namespace Smartmatic::SAES::Operation;
using namespace Smartmatic::SAES::Voting;
using namespace Smartmatic::Log;

ISMTTLog * VotePersistence::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.Operation.Voting.VotePersistence", GETTEXT_PACKAGE );

VotePersistence::VotePersistence ( Vote::Vote * vote )
    : vote ( vote )
{

}

VotePersistence::~VotePersistence()
{

}

VotePersistence::PersistenceStatusVote VotePersistence::saveVote ()
{
    VotePersistence::PersistenceStatusVote status = VotePersistence::PERSISTENCE_VOTE_FAIL;

    try
    {
        bool flagSaveOneMemory = MachineOperationManager::getInstance()->getOperationStatus()->getElectionStatusWrapper()->getSynchronizeVotes();

        status = MachineOperationManager::getInstance()->persistenceVote ( *vote, flagSaveOneMemory );
    }
    catch ( ... )
    {
        logger->Debug ( "Error persistence vote" );
    }

    return status;
}
