/**
 * @file MockBasicResultsPackageTransmissionConfManager.hxx
 * @date 09/04/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_BASIC_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX
#define MOCK_BASIC_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/ResultsPackageTransmissionConfManager.hxx>

class MockBasicResultsPackageTransmissionConfManager : public Smartmatic::SAES::Functionality::Configuration::ResultsPackageTransmissionConfManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockBasicResultsPackageTransmissionConfManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockBasicResultsPackageTransmissionConfManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getNetworkManagerScript )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getResultsTransmissionScript )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getConfigFileName )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getDebugFileName )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getFileListToArchive, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getResultsFileName )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getResponseFileName )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( useStaticIP )
        {
        }

        virtual ~MockBasicResultsPackageTransmissionConfManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getNetworkManagerScript );
        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getResultsTransmissionScript );
        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getConfigFileName );
        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getDebugFileName );

        MOCKPP_CHAINABLE_EXT1 ( MockBasicResultsPackageTransmissionConfManager,
                                std::string, getFileListToArchive, const std::string &,
                                std::string, ext, const std::string * );

        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getResultsFileName );
        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, std::string, getResponseFileName );
        MOCKPP_CHAINABLE0 ( MockBasicResultsPackageTransmissionConfManager, bool, useStaticIP );

};

#endif /* MOCK_BASIC_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX */
