/**
 * @file   MockA4517AbledController.hxx
 * @brief  Declaration of MockA4517AbledController class.
 * @author manuel.arguelles
 * @date   Apr 12, 2018
 */

#ifndef MOCK_A4517_ABLED_CONTROLLER
#define MOCK_A4517_ABLED_CONTROLLER

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>

#include <Operation/Devices/A4517AbledController.hxx>

class MockA4517AbledController : public Smartmatic::SAES::Operation::Devices::A4517AbledController,
                                 public MOCKPP_NS::ChainableMockObject
{
    public:

        MockA4517AbledController()
            : MOCKPP_NS::ChainableMockObject(MOCKPP_PCHAR("MockA4517AbledController"), 0)
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0(isPresent)
        {
        }

        virtual ~MockA4517AbledController()
        {
        }

        MOCKPP_CONST_CHAINABLE0(MockA4517AbledController, bool, isPresent);

};

#endif /* MOCK_A4517_ABLED_CONTROLLER */

