/**
 * @file MockResultsPackageTransmissionManager.hxx
 * @date 09/04/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_SMTT_SOUND_CONF_MANAGER_HXX_
#define MOCK_SMTT_SOUND_CONF_MANAGER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Operation/ResultsPackageTransmissionManager.hxx>

class MockResultsPackageTransmissionManager : public Smartmatic::SAES::Operation::ResultsPackageTransmissionManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockResultsPackageTransmissionManager ( Smartmatic::SAES::Common::Operation::Monitor::DeviceTypeMonitor * networkInterface )
            : Smartmatic::SAES::Operation::ResultsPackageTransmissionManager ( networkInterface )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockResultsPackageTransmissionManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( mountNetworkDevice )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( umountNetworkDevice )
        {
        }

        virtual ~MockResultsPackageTransmissionManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockResultsPackageTransmissionManager, bool, mountNetworkDevice );
        MOCKPP_CHAINABLE0 ( MockResultsPackageTransmissionManager, bool, umountNetworkDevice );

};

#endif /* MOCK_SMTT_SOUND_CONF_MANAGER_HXX_ */
