/**
 * @file MockSessionIDManager.hxx
 / @date 07/02/2017
 * @author Juan Valera
 */

#ifndef MOCK_SESSION_ID_MANAGER_HXX_
#define MOCK_SESSION_ID_MANAGER_HXX_

#include <Voting/IDManager/SessionIDManager.hxx>
#include <Voting/OperationStatus.hxx>

using namespace Smartmatic::SAES::Voting;

class MockSessionIDManager : public Smartmatic::SAES::Voting::SessionIDManager
{
    private:
    bool res;
    public:

         MockSessionIDManager (bool result)
        : Smartmatic::SAES::Voting::SessionIDManager()
        {
           res = result;
        }

        bool verifyID ( OperationStatus * operationStatus, const std::string & sessionId )
        {
           return res;
        }

        virtual ~MockSessionIDManager ()
        {
        }

};

#endif /* MOCK_SESSION_ID_MANAGER_HXX_ */
