/**
 * @file MockResultsPackageTransmissionConfManager.hxx
 * @date 09/04/2014
 * @author Yadickson Soto
 */

#ifndef MOCK_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX
#define MOCK_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Configuration/ResultsPackageTransmissionConfManager.hxx>

class MockResultsPackageTransmissionConfManager : public Smartmatic::SAES::Functionality::Configuration::ResultsPackageTransmissionConfManager,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockResultsPackageTransmissionConfManager ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockResultsPackageTransmissionConfManager" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getNetworkManagerScript )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isUpDownInterfaceScriptNeeded )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( isSendResultsPackageScriptNeeded )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT3 ( getFullCommandToSendResults, ext )
        {
        }

        virtual ~MockResultsPackageTransmissionConfManager ()
        {
        }

        MOCKPP_CHAINABLE0 ( MockResultsPackageTransmissionConfManager, std::string, getNetworkManagerScript );
        MOCKPP_CHAINABLE0 ( MockResultsPackageTransmissionConfManager, bool, isUpDownInterfaceScriptNeeded );
        MOCKPP_CHAINABLE0 ( MockResultsPackageTransmissionConfManager, bool, isSendResultsPackageScriptNeeded );

        MOCKPP_CHAINABLE_EXT3 ( MockResultsPackageTransmissionConfManager,
                                std::string, getFullCommandToSendResults, const std::string &, const std::string &, const std::string &,
                                std::string, ext, const std::string *, const std::string *, const std::string * );

};

#endif /* MOCK_RESULTS_PACKAGE_TRASNMISSION_CONFIGURATION_MANAGER_HXX */
