/**
 * @file AbleP168AButtonWidget.hxx
 * @brief Header class able p168a widget
 * @date 06/09/2012
 * @author Yadickson Soto
 */

#ifndef ABLEP168ABUTTONWIDGET_HXX_
#define ABLEP168ABUTTONWIDGET_HXX_

#include "IAbleButtonWidget.hxx"

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	AbleP168AButtonWidget
                 * @brief	Class able p168a widget.
                 * @author	Yadickson Soto
                 * 					@see IAbleWidget
                 * @date	06/09/2012
                 */
                class AbleP168AButtonWidget : public IAbleButtonWidget
                {
                    public:
                        /**
                         * @fn	AbleP168AButtonWidget::AbleP168AButtonWidget();
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	06/09/2012
                         */
                        AbleP168AButtonWidget();
                        /**
                         * @fn	virtual AbleP168AButtonWidget::~AbleP168AButtonWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	06/09/2012
                         */
                        virtual ~AbleP168AButtonWidget();

                    private:
                        /**
                         * @fn	void AbleP168AButtonWidget::initialize();
                         * @brief	Method initialize widget.
                         * @author	Yadickson Soto
                         * @date	06/09/2012
                         */
                        void initialize();

                        static Smartmatic::Log::ISMTTLog * logger;  ///< logger
                };
            }
        }
    }
}
#endif /* ABLEP168ABUTTONWIDGET_HXX_ */
