/**
 * @file	AlarmBoxEndDiagnoseWidget.cxx
 * @brief	alarm box diagnosis widget class.
 * @author	Yadickson Soto
 * @date	09/09/2013
 */

#include "AlarmBoxEndDiagnoseWidget.hxx"
#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::Log;
using namespace Smartmatic::GUI::Widgets;

ISMTTLog * AlarmBoxEndDiagnoseWidget::logger = SMTTLogManager::GetLogger ( "Smartmatic.SAES.GUI.Widgets.AlarmBoxEndDiagnoseWidget", GETTEXT_PACKAGE );

AlarmBoxEndDiagnoseWidget::AlarmBoxEndDiagnoseWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget )
    : StepWidget (), widget ( widget )
{
    widget->setImage ( "ui/alarmButton.gif" );
    setWidget ( widget );
}

AlarmBoxEndDiagnoseWidget::~AlarmBoxEndDiagnoseWidget()
{
    remove();

    if ( widget )
    {
        delete widget;
        widget = NULL;
    }
}

void AlarmBoxEndDiagnoseWidget::showSuccess()
{
    widget->setInfoText ( N_ ( "Smartmatic.SAES.GUI.Widgets.AlarmBoxDiagnosisWidget.DiagnosticSuccessful" ) );
}

void AlarmBoxEndDiagnoseWidget::showError()
{
    widget->setInfoText ( N_ ( "Smartmatic.SAES.GUI.Widgets.AlarmBoxDiagnosisWidget.DiagnosticFailed" ) );

}
