/**
 * @file	AutoPrinterDiagnosisWidget.hxx
 * @brief	automatic printer diagnostic widget class.
 * @author	Yadickson Soto
 * @date	20/06/2013
 */

#ifndef AUTOPRINTERDIAGNOSTICWIDGET_HXX_
#define AUTOPRINTERDIAGNOSTICWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include "AutoDiagnosisBaseWidget.hxx"

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	AutoPrinterDiagnosisWidget
                 * @brief	Automatic printer diagnostic widget.
                 * @author	Yadickson Soto
                 * @date	20/06/2013
                 */
                class AutoPrinterDiagnosisWidget : public AutoDiagnosisBaseWidget
                {
                    public:
                        /**
                         * @fn	AutoPrinterDiagnosisWidget::AutoPrinterDiagnosisWidget ( ProgressWidget * progress );
                         * @brief	Constructor.
                         * @author	Yadickson Soto
                         * @date	20/06/2013
                         * @param [in,out]	progress	If non-null, the progress.
                         */
                        explicit AutoPrinterDiagnosisWidget ( ProgressWidget * progress );
                        /**
                         * @fn	virtual AutoPrinterDiagnosisWidget::~AutoPrinterDiagnosisWidget();
                         * @brief	Destructor.
                         * @author	Yadickson Soto
                         * @date	20/06/2013
                         */
                        virtual ~AutoPrinterDiagnosisWidget();

                        /**
                         * @fn	virtual void AutoPrinterDiagnosisWidget::initialize();
                         * @brief	Initializer method.
                         * @author	Yadickson Soto
                         * @date	20/06/2013
                         */
                        virtual void initialize();
                };
            }
        }
    }
}

#endif /* AUTOPRINTERDIAGNOSTICWIDGET_HXX_ */
