/**
 * @file	DiagnosticsInfoWidget.cxx
 * @brief	Diagnostics Info widget class.
 * @author	Yadickson Soto
 * @date	15/01/2014
 */

#include "DiagnosticsInfoWidget.hxx"
#include "Configuration/s-a-e-s-g-u-i-conf-manager.h"
#include <Widgets/SmartmaticBasicLabel.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::SAES::GUI::Configuration;
using namespace Smartmatic::GUI::Configuration;

DiagnosticsInfoWidget::DiagnosticsInfoWidget ( )
{
    SmartmaticBasicLabel * labelVersion = manage ( new SmartmaticBasicLabel () );
    labelVersion->setAccessibleName ( "ApplicationVersion" );

    Glib::ustring compose = _ ( "Application Version %1" );
    Glib::ustring version = VERSION;

    labelVersion->set_label ( Glib::ustring::compose ( compose, version ) );
    LabelConfiguration config = SAESGUIConfigurationManager::getInstance()->GetDiagnosisLabelConfiguration();
    LabelConfiguration::SetLabelConfiguration ( labelVersion, config );

    setWidget ( labelVersion );
}

DiagnosticsInfoWidget::~DiagnosticsInfoWidget()
{

}

void DiagnosticsInfoWidget::start()
{
    unsigned int timeout = SAESGUIConfigurationManager::getInstance()->GetVMInstallationConfiguration().getTimeOutShowMessage();
    Glib::signal_timeout().connect_once ( sigc::mem_fun ( *this, &DiagnosticsInfoWidget::end ), timeout );
}

void DiagnosticsInfoWidget::end()
{
    emit();
}
