/*
 * EurnEndDiagnoseWidget.hxx
 *
 *  Created on: Nov 8, 2017
 *      Author: juanvalera
 */

#ifndef EURNENDDIAGNOSEWIDGET_HXX_
#define EURNENDDIAGNOSEWIDGET_HXX_

#include <Widgets/StepWidget.hxx>
#include <Gui/Widgets/ProgressWidget.hxx>

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	EurnEndDiagnoseWidget
                 * @brief	eUrn end diagnose widget.
                 * @author	Juan Valera
                 * @date	08/11/2017
                 */

                class EurnEndDiagnoseWidget: public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:

                        /**
                         * @fn	EurnEndDiagnoseWidget::EurnEndDiagnoseWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget );
                         * @brief	Constructor.
                         * @author	Juan Valera
                         * @date	08/11/2017
                         * @param 	widget the visual container
                         */
                        explicit EurnEndDiagnoseWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget );

                        /**
                         * @fn	EurnEndDiagnoseWidget::~EurnEndDiagnoseWidget();
                         * @brief	Destroy.
                         * @author	Juan Valera
                         * @date	08/11/2017
                         */
                        virtual ~EurnEndDiagnoseWidget();

                        /**
                         * @fn	void showSuccess();
                         * @brief	Show success diagnose.
                         * @author	Juan Valera
                         * @date	08/11/2017
                         */
                        void showSuccess();

                        /**
                         * @fn	void showError();
                         * @brief	Show error diagnose.
                         * @author	Juan Valera
                         * @date	08/11/2017
                         */
                        void showError();

                    private:

                        static Smartmatic::Log::ISMTTLog * logger; /**<logger*/ ///< The logger
                        Smartmatic::SAES::GUI::Widgets::ProgressWidget * widget; ///< The visual container
                };
            }
        }
    }
}

#endif /* EURNENDDIAGNOSEWIDGET_HXX_ */
