/**
 * @file IconShutdownWidget.hxx
 * @brief Header class screen info voting widget
 * @date 30/04/2012
 * @author Yadickson Soto
 */

#ifndef ICONSHUTDOWNWIDGET_HXX_
#define ICONSHUTDOWNWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>
#include <Widgets/smartmatic-button.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	IconShutdownWidget
                 * @brief	Class card removed widget.
                 * @author	Yadickson Soto
                 * @date	30/04/2012
                 */
                class IconShutdownWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:

                        /**
                         * @fn	IconShutdownWidget::IconShutdownWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	30/04/2012
                         * @param	progress	progress widget.
                         */
                        explicit IconShutdownWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                        /**
                         * @fn	virtual IconShutdownWidget::~IconShutdownWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	30/04/2012
                         */
                        virtual ~IconShutdownWidget();
                        /**
                         * @fn	void IconShutdownWidget::setImageError();
                         * @brief	method show image error.
                         * @author	Yadickson Soto
                         * @date	01/07/2012
                         */
                        void setImageError();
                        /**
                         * @fn	void IconShutdownWidget::setImageOk();
                         * @brief	method show image ok.
                         * @author	Yadickson Soto
                         * @date	01/07/2012
                         */
                        void setImageOk();
                        /**
                         * @fn	void IconShutdownWidget::shutdown();
                         * @brief	method shutdown widget.
                         * @author	Yadickson Soto
                         * @date	30/03/2012
                         */
                        void shutdown();

                    private:

                        Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                        Gtk::VBox * box; ///< box
                        Gtk::HButtonBox * hbutton; ///< hbutton
                        Smartmatic::GUI::Widgets::SmartmaticButton * button; ///< button
                };
            }
        }
    }
}

#endif /* ICONSHUTDOWNWIDGET_HXX_ */
