/**
 * @file InstallMachineWidget.hxx
 * @brief Header class install machine widget
 * @date 02/11/2011
 * @author Yadickson Soto
 */

#ifndef INSTALLMACHINEWIDGET_HXX_
#define INSTALLMACHINEWIDGET_HXX_

#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	InstallMachineWidget
                 * @brief	Class install machine widget.
                 * @author	Yadickson Soto
                 * @date	02/11/2011
                 */
                class InstallMachineWidget : public Smartmatic::GUI::Widgets::StepWidget
                {
                    public:
                        /**
                         * @fn	InstallMachineWidget::InstallMachineWidget();
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	02/11/2011
                         */
                        InstallMachineWidget();
                        /**
                         * @fn	virtual InstallMachineWidget::~InstallMachineWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	02/11/2011
                         */
                        virtual ~InstallMachineWidget();
                        /**
                         * @fn	virtual void InstallMachineWidget::stop() = 0;
                         * @brief	virtual method stop widget.
                         * @author	Yadickson Soto
                         * @date	02/11/2011
                         */
                        virtual void stop() = 0;
                };
            }
        }
    }
}

#endif /* INSTALLMACHINEWIDGET_HXX_ */
