/**
 * @file	PMAuthenticationPollingPlaceInfoWidget.hxx
 * @brief	pm authentication polling place information widget class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef PMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_
#define PMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_

#include "PollingPlaceInfoWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	PMAuthenticationPollingPlaceInfoWidget
                 * @brief	Pm authentication polling place information widget.
                 * @author	Youssef.tourkmani
                 * @date	01/11/2012
                 */
                class PMAuthenticationPollingPlaceInfoWidget : public PollingPlaceInfoWidget
                {
                    public:
                        /**
                         * @fn	PMAuthenticationPollingPlaceInfoWidget::PMAuthenticationPollingPlaceInfoWidget();
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        PMAuthenticationPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual PMAuthenticationPollingPlaceInfoWidget::~PMAuthenticationPollingPlaceInfoWidget();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual ~PMAuthenticationPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual void PMAuthenticationPollingPlaceInfoWidget::fillKey();
                         * @brief	Fill key.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual void fillKey();
                };
            }
        }
    }
}

#endif /* PMAUTHENTICATIONPOLLINGPLACEINFOWIDGET_HXX_ */
