/**
 * @file PMAuthenticationWidget.hxx
 * @brief Header class pm authentication widget
 * @date 31/03/2012
 * @author Yadickson Soto
 */

#ifndef PMAUTHENTICATIONWIDGET_HXX_
#define PMAUTHENTICATIONWIDGET_HXX_

#include "AuthenticationWidget.hxx"

namespace Smartmatic
{
    namespace Log
    {
        class ISMTTLog;
    }

    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	PMAuthenticationWidget
                 * @brief	Class pm authentication widget.
                 * @author	Yadickson Soto
                 * @date	31/03/2012
                 */
                class PMAuthenticationWidget : public AuthenticationWidget
                {
                    public:
                        /**
                         * @fn	PMAuthenticationWidget::PMAuthenticationWidget ( PollingPlaceInfoWidget * info,
                         * 			Smartmatic::SAES::Operation::Authenticator::IAuthenticator * authenticator );
                         * @brief	Class constructor.
                         * @author	Yadickson Soto
                         * @date	31/03/2012
                         * @param	info				 	info authentication.
                         * @param	authenticator	authenticator.
                         */
                        PMAuthenticationWidget ( PollingPlaceInfoWidget * info,
                                                 Smartmatic::SAES::Operation::Authenticator::IAuthenticator * authenticator );
                        /**
                         * @fn	virtual PMAuthenticationWidget::~PMAuthenticationWidget();
                         * @brief	Class destructor.
                         * @author	Yadickson Soto
                         * @date	31/03/2012
                         */
                        virtual ~PMAuthenticationWidget();

                    protected:

                        /**
                         * @fn	virtual void PMAuthenticationWidget::stop();
                         * @brief	method stop widget.
                         * @author	Yadickson Soto
                         * @date	17/10/2012
                         */
                        virtual void stop();

                    private:

                        static Smartmatic::Log::ISMTTLog * logger;  ///< The logger
                };
            }
        }
    }
}

#endif /* PMAUTHENTICATIONWIDGET_HXX_ */
