/**
 * @file PMInitiatorWidget.hxx
 * @brief Header class president machine initiator widget
 * @date 04/10/2012
 * @author Yadickson Soto
 */

#ifndef PMINITIATORWIDGET_HXX_
#define PMINITIATORWIDGET_HXX_

#include "InitiatorWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	PMInitiatorWidget
                 * @brief	class president machine initiator widget.
                 * @author	Yadickson Soto
                 * 					@see InitiatorWidget
                 * @date	04/10/2012
                 */
                class PMInitiatorWidget : public InitiatorWidget
                {
                    public:
                        /**
                         * @fn	PMInitiatorWidget::PMInitiatorWidget ( ProgressWidget * progress,
                         * 			Smartmatic::SAES::Operation::Initiator::IMachineInitiator * initiator );
                         * @brief	class constructor.
                         * @author	Yadickson Soto
                         * @date	04/10/2012
                         * @param	progress 	progress widget.
                         * @param	initiator	initiator.
                         */
                        PMInitiatorWidget ( ProgressWidget * progress, Smartmatic::SAES::Operation::Initiator::IMachineInitiator * initiator );
                        /**
                         * @fn	virtual PMInitiatorWidget::~PMInitiatorWidget();
                         * @brief	class destructor.
                         * @author	Yadickson Soto
                         * @date	04/10/2012
                         */
                        virtual ~PMInitiatorWidget();
                };
            }
        }
    }
}

#endif /* PMINITIATORWIDGET_HXX_ */
