#ifndef	SMARTMATIC_SAES_GUI_WIDGETS_RECOUNT_CLICKABSORBER
#define	SMARTMATIC_SAES_GUI_WIDGETS_RECOUNT_CLICKABSORBER

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {

                    /**
                     * Interface for anscestors to implement
                     */
                    class ClickAbsorber
                    {
                        public:
                            enum STATE
                            {
                                PUSHED, ///< to be deleted
                                RELEASED, /// remains
                                TRANSITIONAL /// for counter buttons - children have mixed status
                            };

                            /**
                             * Either button has been clicked, that may result in changing its state OR parent has issued state change
                             */
                            virtual void OnStatusChanged ( int, ///< usually x coordinate
                                                           int, ///< usually y coordinate
                                                           STATE ///< usually current state
                                                         ) = 0;

                            /**
                             * Destructor, inline
                             */
                            virtual inline ~ClickAbsorber()
                            {
                            }
                    };

                }
            }
        }
    }
}
#endif
