/*
 * RecountPersistConfirm.h
 *
 *  Created on: Jun 12, 2013
 *      Author: Georgi Demirchev
 */

#ifndef RECOUNTPERSISTCONFIRM_H_
#define RECOUNTPERSISTCONFIRM_H_

#include <Log/ISMTTLog.h>
#include <Log/SMTTLogManager.h>
#include <gtkmm/dialog.h>
#include <Widgets/StepWidget.hxx>
#include <Widgets/smartmatic-button.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {
                    class RecountPersistConfirm: public Smartmatic::GUI::Widgets::StepWidget
                    {
                        private:
                            Smartmatic::Log::ISMTTLog * logger; ///< the logger
                            Smartmatic::GUI::Widgets::SmartmaticButton * buttonOK, ///< OK button
                                       *buttonCancel; ///< Cancel button
                            Gtk::Frame * frame; ///< frame loaded from glade source

                        public:
                            /**
                             * Constructor
                             */
                            RecountPersistConfirm ( int maxMax, ///< Total number of votes
                                                    int remaining ///< remaining after erasure
                                                  );

                            /**
                             * Destructor
                             */
                            virtual ~RecountPersistConfirm();

                            /**
                             * Helper to return signal
                             */
                            Glib::SignalProxy0< void > getSignalCancel();
                            /**
                             * Helper to return signal
                             */
                            Glib::SignalProxy0< void > getSignalOK();
                    };
                }
            }
        }
    }
}

#endif /* RECOUNTPERSISTCONFIRM_H_ */
