#ifndef	SMARTMATIC_SAES_GUI_WIDGETS_RECOUNT_RECOUNTRESULTFIELDBUTTON
#define	SMARTMATIC_SAES_GUI_WIDGETS_RECOUNT_RECOUNTRESULTFIELDBUTTON

#include "ClickAbsorber.h"
#include <Widgets/SmartmaticBasicButton.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Recount
                {

                    class RecountResultFieldButton : public Smartmatic::GUI::Widgets::SmartmaticBasicButton
                    {
                        private:
                            bool m_isLast; ///< is it part of the last total row
                            int m_data; ///< how many votes do i aggregate
                            int m_x, m_y; ///< my coordinates
                            ClickAbsorber * m_session; ///< to which parent session i belong
                            ClickAbsorber::STATE m_state; ///< my state

                        public:
                            /**
                             * Constructor
                             */
                            RecountResultFieldButton ( ClickAbsorber * session, ///< the session
                                                       bool isLast, ///< are we part of last session
                                                       int x, ///< column
                                                       int y ///< row
                                                     );

                            /**
                             * Destructor
                             */
                            virtual ~RecountResultFieldButton();

                            /**
                             * Apply state
                             */
                            void SetState ( ClickAbsorber::STATE state ///< new state
                                          );

                            /**
                             * returns state
                             */
                            ClickAbsorber::STATE GetState();

                            /**
                             * Handles clicked event
                             */
                            virtual void on_clicked ();

                            /**
                             * Handles enter event
                             */
                            virtual void on_enter ();

                            /**
                             * Handles leave event
                             */
                            virtual void on_leave ();

                            /**
                             * Returns data counter
                             */
                            int getData();

                            /**
                             * Applies to the data counter
                             */
                            void setData ( int d ///< new data
                                         );

                            /**
                             * Fast increment
                             */
                            inline void Inc()
                            {
                                ++m_data;
                            }
                    };

                }
            }
        }
    }
}
#endif
