/**
 * @file ResultsPackageTransmissionWidget.cxx
 * @brief Body of the widget that checks the network interface and sends the results package.
 * @date 08/04/2014
 * @author Yadickson Soto
 */

#include <Gui/Widgets/AbstractFactoryWidget.hxx>
#include <Gui/Widgets/Diagnose/AlarmBoxDetectedWidget.hxx>
#include <Gui/Widgets/Transmission/CheckNetworkWidget.hxx>
#include <Gui/Widgets/Transmission/ResultsPackageTransmissionWidget.hxx>
#include <Gui/Widgets/Transmission/SendResultsPackageWidget.hxx>

using namespace Smartmatic::SAES::GUI::Widgets;
using namespace Smartmatic::GUI::Widgets;

ResultsPackageTransmissionWidget::ResultsPackageTransmissionWidget()
{
    WizardWidgetBase * checkNetwork = AbstractFactoryWidget::createCheckNetworkWidget();
    WizardWidgetBase * sendResultsPackages = AbstractFactoryWidget::createSendResultsPackageWidget();

    checkNetwork->on_cancel_signal_emit().connect ( sigc::mem_fun ( *this, &ResultsPackageTransmissionWidget::emit ) );
    sendResultsPackages->on_cancel_signal_emit().connect ( sigc::mem_fun ( *this, &ResultsPackageTransmissionWidget::emit ) );

    add ( checkNetwork );
    add ( sendResultsPackages );
}

ResultsPackageTransmissionWidget::~ResultsPackageTransmissionWidget()
{

}
