/**
 * @file ResultsPackageTransmissionWidget.hxx
 * @brief Declaration of the widget that checks the network interface and sends the results package.
 * @date 08/04/2014
 * @author Yadickson Soto
 */

#ifndef RESULTSPACKAGETRANSMISSIONWIDGET_HXX_
#define RESULTSPACKAGETRANSMISSIONWIDGET_HXX_

#include <Widgets/WizardManager.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class ResultsPackageTransmissionWidget
                 * @brief Widget that checks the network interface and sends the results package.
                 * @date 08/04/2014
                 * @author Yadickson Soto
                 */
                class ResultsPackageTransmissionWidget : public Smartmatic::GUI::Widgets::WizardManager
                {
                    public:
                        /**
                         * @fn ResultsPackageTransmissionWidget();
                         * @brief Class constructor.
                         * @date 08/04/2014
                         * @author Yadickson Soto
                         */
                        ResultsPackageTransmissionWidget();

                        /**
                         * @fn virtual ~ResultsPackageTransmissionWidget();
                         * @brief Class destructor.
                         * @date 08/04/2014
                         * @author Yadickson Soto
                         */
                        virtual ~ResultsPackageTransmissionWidget();
                };

            } /* namespace Widgets */
        } /* namespace GUI */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* RESULTSPACKAGETRANSMISSIONWIDGET_HXX_ */
