/**
 * @file VMInitiatorWidget.hxx
 * @brief Header class voting machine initiator widget
 * @date 04/10/2012
 * @author Yadickson Soto
 */

#ifndef VMINITIATORWIDGET_HXX_
#define VMINITIATORWIDGET_HXX_

#include "InitiatorWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	VMInitiatorWidget
                 * @brief	class voting machine initiator widget.
                 * @author	Yadickson Soto
                 * 					@see InitiatorWidget
                 * @date	04/10/2012
                 */
                class VMInitiatorWidget : public InitiatorWidget
                {
                    public:
                        /**
                         * @fn	VMInitiatorWidget::VMInitiatorWidget ( ProgressWidget * progress,
                         * 			Smartmatic::SAES::Operation::Initiator::IMachineInitiator * initiator );
                         * @brief	class constructor.
                         * @author	Yadickson Soto
                         * @date	04/10/2012
                         * @param	progress 	progress widget.
                         * @param	initiator	initiator.
                         */
                        VMInitiatorWidget ( ProgressWidget * progress, Smartmatic::SAES::Operation::Initiator::IMachineInitiator * initiator );
                        /**
                         * @fn	virtual VMInitiatorWidget::~VMInitiatorWidget();
                         * @brief	class destructor.
                         * @author	Yadickson Soto
                         * @date	04/10/2012
                         */
                        virtual ~VMInitiatorWidget();
                };
            }
        }
    }
}

#endif /* VMINITIATORWIDGET_HXX_ */
