/**
 * @file	VMPollingPlaceInfoWidget.hxx
 * @brief	voting machine polling place information widget class.
 * @author	Youssef.tourkmani
 * @date	01/11/2012
 */


#ifndef VMPOLLINGPLACEINFOWIDGET_HXX_
#define VMPOLLINGPLACEINFOWIDGET_HXX_

#include "PollingPlaceInfoWidget.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                /**
                 * @class	VMPollingPlaceInfoWidget
                 * @brief	Virtual memory polling place information widget.
                 * @author	Youssef.tourkmani
                 * @date	01/11/2012
                 */
                class VMPollingPlaceInfoWidget : public PollingPlaceInfoWidget
                {
                    public:
                        /**
                         * @fn	VMPollingPlaceInfoWidget::VMPollingPlaceInfoWidget();
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        VMPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual VMPollingPlaceInfoWidget::~VMPollingPlaceInfoWidget();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual ~VMPollingPlaceInfoWidget();
                        /**
                         * @fn	virtual void VMPollingPlaceInfoWidget::fillKey();
                         * @brief	Fill key.
                         * @author	Youssef.tourkmani
                         * @date	01/11/2012
                         */
                        virtual void fillKey();
                };
            }
        }
    }
}

#endif /* VMPOLLINGPLACEINFOWIDGET_HXX_ */
