/**
 * @file CardRemovedWidget.hxx
 * @brief Header class card removed widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#ifndef CARDREMOVEDWIDGET_HXX_
#define CARDREMOVEDWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	CardRemovedWidget
                     * @brief	Class card removed widget.
                     * @author	Yadickson Soto
                     * @date	29/02/2012
                     */
                    class CardRemovedWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	CardRemovedWidget::CardRemovedWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	progress	progress widget.
                             */
                            explicit CardRemovedWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual CardRemovedWidget::~CardRemovedWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             */
                            virtual ~CardRemovedWidget();
                            /**
                             * @fn	virtual void CardRemovedWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	30/03/2012
                             */
                            virtual void refresh();

                        private:
                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* CARDREMOVEDWIDGET_HXX_ */
