/**
 * @file FoldPrintVoteWidget.hxx
 * @brief Header class fold print vote widget
 * @date 29/02/2012
 * @author Yadickson Soto
 */

#ifndef FOLDPRINTVOTEWIDGET_HXX_
#define FOLDPRINTVOTEWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/wizard-widget-base.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	FoldPrintVoteWidget
                     * @brief	Class end fold print vote widget.
                     * @author	Yadickson Soto
                     * @date	29/02/2012
                     */
                    class FoldPrintVoteWidget : public Smartmatic::GUI::Widgets::WizardWidgetBase
                    {
                        public:

                            /**
                             * @fn	FoldPrintVoteWidget::FoldPrintVoteWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	progress	progress widget.
                             */
                            explicit FoldPrintVoteWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual FoldPrintVoteWidget::~FoldPrintVoteWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             */
                            virtual ~FoldPrintVoteWidget();
                            /**
                             * @fn	virtual void FoldPrintVoteWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	30/03/2012
                             */
                            virtual void refresh();
                            /**
                             * @fn	void FoldPrintVoteWidget::setText ( std::string text );
                             * @brief	method setter text.
                             * @author	Yadickson Soto
                             * @date	29/02/2012
                             * @param	text	new text.
                             */
                            void setText ( std::string text );

                        protected:
                            /**
                             * @fn	virtual void initialize();
                             * @brief	Initializer method.
                             * @author	Yadickson Soto
                             * @date	03/04/2013
                             */
                            virtual void initialize();
                            /**
                             * @fn	void end();
                             * @brief	Method end
                             * @author	Yadickson Soto
                             * @date	03/04/2013
                             */
                            void end();

                        private:

                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* FOLDPRINTVOTEWIDGET_HXX_ */
