/**
 * @file NullVotingWidget.hxx
 * @brief Header class null voting experience widget
 * @date 24/04/2012
 * @author Yadickson Soto
 */

#ifndef NULLVOTINGWIDGET_HXX_
#define NULLVOTINGWIDGET_HXX_

#include <Gui/Widgets/ProgressWidget.hxx>
#include <Widgets/StepWidget.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {
                namespace Voting
                {
                    /**
                     * @class	NullVotingWidget
                     * @brief	Class null voting experience widget
                     * @author	Yadickson Soto
                     * @date	24/04/2012
                     */
                    class NullVotingWidget : public Smartmatic::GUI::Widgets::StepWidget
                    {
                        public:

                            /**
                             * @fn	NullVotingWidget::NullVotingWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                             * @brief	Class constructor.
                             * @author	Yadickson Soto
                             * @date	24/04/2012
                             * @param	progress	progress widget.
                             */
                            explicit NullVotingWidget ( Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress );
                            /**
                             * @fn	virtual NullVotingWidget::~NullVotingWidget();
                             * @brief	Class destructor.
                             * @author	Yadickson Soto
                             * @date	24/04/2012
                             */
                            virtual ~NullVotingWidget();
                            /**
                             * @fn	virtual void NullVotingWidget::refresh();
                             * @brief	refresh widget method.
                             * @author	Yadickson Soto
                             * @date	24/04/2012
                             */
                            virtual void refresh();

                        private:
                            Smartmatic::SAES::GUI::Widgets::ProgressWidget * progress; ///< principal frame
                    };
                }
            }
        }
    }
}

#endif /* ENDVOTINGWIDGET_HXX_ */
