/**
 * @file PrintAudioVoteWidget.cxx
 * @brief Body class end print vote widget
 * @date 20/03/2013
 * @author Yadickson Soto
 */

#include "PrintAudioVoteWidget.hxx"
#include <Environment/Configurations/resource-path-provider.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::Environment;
using namespace Smartmatic::SAES::GUI::Widgets::Voting;

PrintAudioVoteWidget::PrintAudioVoteWidget (
    PrintVoteErrorWidget * printVoteErrorWidget,
    VoteComplianceFailureWidget * voteComplianceFailureWidget )
: IPrintVoteWidget ( printVoteErrorWidget, voteComplianceFailureWidget )
{
    std::string imageFile = ResourcePathProvider::getInstance()->GetResourcePath ( PACKAGE_NAME, "ui/speaker.png" );

    m_image.set(imageFile);
    setWidget(&m_image);
}

PrintAudioVoteWidget::~PrintAudioVoteWidget()
{
    this->remove();
}

void PrintAudioVoteWidget::refresh()
{
}
