/**
 * @file WizardTimeline.h
 * @brief Header wizard time line class
 * @date 28/05/2011
 * @author Gerardo Hernandez
 */

#ifndef WIZARDTIMELINE_H_
#define WIZARDTIMELINE_H_

#include <gtkmm.h>
#include <Widgets/SmartmaticBasicHBox.hxx>
#include <Widgets/SmartmaticBasicImage.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace GUI
        {
            namespace Widgets
            {

                /**
                 * @class	WizardTimeline
                 * @brief	Wizard timeline.
                 * @author	Youssef.tourkmani
                 * @date	25/10/2012
                 */
                class WizardTimeline : public Smartmatic::GUI::Widgets::SmartmaticBasicHBox
                {
                    public:

                        /**
                         * @fn	WizardTimeline::WizardTimeline()
                         * @brief	Default constructor.
                         * @author	Youssef.tourkmani
                         * @date	25/10/2012
                         */
                        WizardTimeline() {}

                        /**
                         * @fn	WizardTimeline::WizardTimeline( std::vector<std::string> & imagesPath, std::vector<std::string> & codes );
                         * @brief	Constructor.
                         * @author	Yadickson Soto
                         * @date	07/01/2013
                         * @param	imagesPath 	Full pathname of the images file.
                         * @param 	codes codes for accessible name
                         */
                        WizardTimeline ( std::vector<std::string> & imagesPath, std::vector<std::string> & codes );

                        /**
                         * @fn	virtual WizardTimeline::~WizardTimeline();
                         * @brief	Destructor.
                         * @author	Youssef.tourkmani
                         * @date	25/10/2012
                         */
                        virtual ~WizardTimeline();

                    private:

                        std::vector<Smartmatic::GUI::Widgets::SmartmaticBasicImage *> imageVector; ///< The image vector
                };
            }
        }
    }
}

#endif /* WIZARDTIMELINE_H_ */
