/**
 * @file AlarmFooterCommandElement.hxx
 * @brief	Defines the footer alarm box command element. This will be limited to one-byte values.
 * @author	Yadickson Soto
 * @date	17/02/2014
 */

#ifndef ALARM_FOOTER_BOX_COMMAND_ELEMENT_HXX_
#define ALARM_FOOTER_BOX_COMMAND_ELEMENT_HXX_

#include <Commands/ByteCommandElement.hxx>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class	AlarmFooterCommandElement
                 * @brief	Class to define the footer alarm box command element. This will be limited to one-byte values.
                 * @author	Yadickson Soto
                 * @date	17/02/2014
                 */
                class AlarmFooterCommandElement : public ByteCommandElement
                {
                    public:
                        /**
                         * @fn AlarmFooterCommandElement();
                         * @brief	Constructor default.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        AlarmFooterCommandElement();

                        /**
                         * @fn virtual ~AlarmFooterCommandElement();
                         * @brief	Constructor destructorer.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         */
                        virtual ~AlarmFooterCommandElement();
                };
            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */
#endif /* ALARM_FOOTER_BOX_COMMAND_ELEMENT_HXX_ */
