/**
 * @file BarcodeLengthCommandElement.cxx
 * @brief	Body of the length barcode reader command element. Two bytes for length
 * @author	Yadickson Soto
 * @date	23/06/2015
 */

#include "BarcodeLengthCommandElement.hxx"

using namespace Smartmatic::SAES::HW::Commands;

BarcodeLengthCommandElement::BarcodeLengthCommandElement ( const std::vector < unsigned char > & data )
    : data ( data )
{

}

BarcodeLengthCommandElement::~BarcodeLengthCommandElement()
{

}

void BarcodeLengthCommandElement::addToCommand ( std::vector < unsigned char > & command )
{
    int totalLenght = data.size();

    unsigned char lenght0 = totalLenght & 0x000000ff;
    unsigned char lenght1 = ( totalLenght & 0x0000ff00 ) >> 8;

    command.push_back ( lenght1 );
    command.push_back ( lenght0 );
}
