/**
 * @file   EurnFooterCommandElement.hxx
 * @brief  Declaration of EurnFooterCommandElement class.
 * @author manuel.arguelles
 * @date   Aug 25, 2017
 */

#ifndef EURN_FOOTER_COMMAND_ELEMENT_HXX
#define EURN_FOOTER_COMMAND_ELEMENT_HXX

#include "ByteCommandElement.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {

                /**
                 * @class  EurnFooterCommandElement
                 * @brief  Command footer.
                 * @author manuel.arguelles
                 * @date   Aug 25, 2017
                 */
                class EurnFooterCommandElement : public ByteCommandElement
                {
                    public:

                        /**
                         * @brief  Class constructor.
                         * @author manuel.arguelles
                         * @date   Aug 25, 2017
                         */
                        EurnFooterCommandElement();

                        /**
                         * @brief  Class destructor.
                         * @author manuel.arguelles
                         * @date   Aug 25, 2017
                         */
                        virtual ~EurnFooterCommandElement();
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* EURN_FOOTER_COMMAND_ELEMENT_HXX */
