/**
 * @file   EurnHeaderCommandElement.hxx
 * @brief  Declaration of EurnHeaderCommandElement class.
 * @author manuel.arguelles
 * @date   Aug 25, 2017
 */

#ifndef EURN_HEADER_COMMAND_ELEMENT_HXX
#define EURN_HEADER_COMMAND_ELEMENT_HXX

#include "ByteCommandElement.hxx"
#include <vector>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class  EurnHeaderCommandElement
                 * @brief  Command header.
                 * @author manuel.arguelles
                 * @date   Aug 25, 2017
                 */
                class EurnHeaderCommandElement : public ByteCommandElement
                {
                    public:

                        /**
                         * @brief  Class constructor.
                         * @author manuel.arguelles
                         * @date   Aug 25, 2017
                         */
                        EurnHeaderCommandElement();

                        /**
                         * @brief  Class destructor.
                         * @author manuel.arguelles
                         * @date   Aug 25, 2017
                         */
                        virtual ~EurnHeaderCommandElement();
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* EURN_HEADER_COMMAND_ELEMENT_HXX */
