/**
 * @file   EurnRedBlinkLedCommand.cxx
 * @brief  Implementation of EurnRedBlinkLeedCommand class.
 * @author manuel.arguelles
 * @date   Aug 28, 2017
 */

#include "EurnRedBlinkLedCommand.hxx"

static const unsigned char BLINK_COMMAND = 0x02;
static const unsigned char TURN_OFF      = 0x00;
static const unsigned char TURN_ON       = 0x09;

using namespace Smartmatic::SAES::HW::Connections;
using namespace Smartmatic::SAES::HW::Commands;

EurnRedBlinkLedCommand::EurnRedBlinkLedCommand(IConnection* connection, const bool turnOn, const unsigned char time, const unsigned char afterExecution)
    : CommandBaseEurn(connection)
    , m_turnOn(turnOn)
    , m_time(time)
    , m_afterExecution(afterExecution)
{
}

EurnRedBlinkLedCommand::~EurnRedBlinkLedCommand()
{
}

void EurnRedBlinkLedCommand::initialize()
{
    commandByte.push_back(BLINK_COMMAND);
    data.push_back((m_turnOn ? TURN_ON + m_afterExecution : TURN_OFF));
    data.push_back(m_time);
}
