/**
 * @file   IOBFWVersionCommand.hxx
 * @brief  Declaration of IOBFWVersionCommand class.
 * @author eduardo.fernandez
 * @date   Jan 2, 2018
 */

#ifndef IOB_FW_VERSION_COMMAND_HXX
#define IOB_FW_VERSION_COMMAND_HXX

#include "CommandBaseIOB.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  IOBFWVersionCommand
                 * @brief  Command to ask the IOB for the FW.
                 * @author eduardo.fernandez
                 * @date   Jan 2, 2018
                 */
                class IOBFWVersionCommand : public CommandBaseIOB
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        explicit IOBFWVersionCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        virtual ~IOBFWVersionCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author eduardo.fernandez
                         * @date   Jan 2, 2018
                         */
                        virtual void initialize();

                    private:
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */


#endif /* IOB_FW_VERSION_COMMAND_HXX */
