/**
 * @file   IOBUsbPort.hxx
 * @brief  Declaration of the USB ID enumerate.
 * @author eduardo.fernandez
 * @date   Jan 2, 2018
 */

#ifndef IOB_USB_PORT_HXX
#define IOB_USB_PORT_HXX

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @brief  USB Ports enumeration.
                 * @author eduardo.fernandez
                 * @date   Jan 2, 2017
                 */
                enum IOBUsbPort
                {
                    /**
                     * @brief  The USB 1.
                     */
                    IOB_USB_1 = 0x01,

                    /**
                     * @brief  The USB 2.
                     */
                    IOB_USB_2 = 0x02,

                    /**
                     * @brief  The USB 3.
                     */
                    IOB_USB_3 = 0x04,

                    /**
                     * @brief  The USB 4.
                     */
                    IOB_USB_4 = 0x08,

                    /**
                     * @brief  The USB 5.
                     */
                    IOB_USB_5 = 0x10,

                    /**
                     * @brief  The USB 6.
                     */
                    IOB_USB_6 = 0x20,

                    /**
                    * @brief  The USB 7.
                    */
                    IOB_USB_7 = 0x40,

                    /**
                    * @brief  The USB 8.
                    */
                    IOB_USB_8 = 0x80,

                    /**
                    * @brief  The USB 9.
                    */
                    IOB_USB_9 = 0x0100,

                    /**
                    * @brief  The USB 10.
                    */
                    IOB_USB_10 = 0x0200,

                    /**
                    * @brief  The USB 11.
                    */
                    IOB_USB_11 = 0x0400,

                    /**
                    * @brief  The USB 12.
                    */
                    IOB_USB_12 = 0x0800
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */


#endif /* IOB_USB_PORT_HXX */
