/**
 * @file   PDBControlLEDSCommand.cxx
 * @brief  Implementation of PDBControlLEDSCommand class.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#include "PDBControlLEDSCommand.hxx"
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;
using namespace Smartmatic::SAES::HW::Connections;

static const unsigned char COMMAND_MB = 0x1B;
static const unsigned char COMMAND_ID = 0x78;
static const unsigned char TURN_OFF = 0x00;
static const unsigned char TURN_ON_BLINKING = 0x02;

PDBControlLEDSCommand::PDBControlLEDSCommand(HW::Connections::IConnection* connection, PDBLEDs PDBLEDs, bool turnOn)
    : CommandBasePDB(connection)
    , m_PDBLEDs(PDBLEDs)
    , m_turnOn(turnOn)
{
    hasResponse_ = true;
}

PDBControlLEDSCommand::~PDBControlLEDSCommand()
{
}

void PDBControlLEDSCommand::initialize()
{
    data.push_back(COMMAND_MB);
    data.push_back(COMMAND_ID);
    data.push_back(static_cast<unsigned char>(m_PDBLEDs));
    if(m_turnOn)
    {
        data.push_back(TURN_ON_BLINKING);
    }
    else
    {
        data.push_back(TURN_OFF);
    }
    data.push_back(0xFF);
    data.push_back(0xFF);
}
