/*
 * PDBGetSerialNumberCommand.hxx
 *
 *  Created on: Nov 18, 2017
 *      Author: marcelmancini
 */

#ifndef PDBGETSERIALNUMBERCOMMAND_HXX
#define PDBGETSERIALNUMBERCOMMAND_HXX

#include "CommandBasePDB.hxx"

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Connections
            {
                class IConnection;
            }

            namespace Commands
            {
                /**
                 * @class  PDBGetSerialNumberCommand
                 * @brief  Command to get the serial number from the PDB's EEPROM.
                 * @author manuel.arguelles
                 * @date   Nov  1, 2017
                 */
                class PDBGetSerialNumberCommand : public CommandBasePDB
                {
                    public:

                        /**
                         * @brief  Creates an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        explicit PDBGetSerialNumberCommand(HW::Connections::IConnection* connection);

                        /**
                         * @brief  Destroys an instance of the class.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        virtual ~PDBGetSerialNumberCommand();

                    private:

                        /**
                         * @brief  Initialize the command.
                         * @author manuel.arguelles
                         * @date   Nov  1, 2017
                         */
                        virtual void initialize();

                    private:

                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */



#endif /* PDBGETSERIALNUMBERCOMMAND_HXX */
