/**
 * @file   PDBLEDs.hxx
 * @brief  Declaration of the LEDs ID enumerate.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#ifndef PDB_LEDS_HXX
#define PDB_LEDS_HXX

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @brief  LEDS enumeration for PDB.
                 * @author manuel.arguelles
                 * @date   Nov  1, 2017
                 */
                enum PDBLEDs
                {
                    /**
                     * @brief  The LED 1.
                     */
                    LED_1 = 0x01,

                    /**
                     * @brief  The LED 2.
                     */
                    LED_2 = 0x02,

                    /**
                     * @brief  The LED 3.
                     */
                    LED_3 = 0x04,

                    /**
                    * @brief  All The LEDs .
                    */
                    LED_ALL = 0x07
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */

#endif /* PDB_LEDS_HXX */
