/**
 * @file   PDBUsbPort.hxx
 * @brief  Declaration of the USB ID enumerate.
 * @author manuel.arguelles
 * @date   Nov  1, 2017
 */

#ifndef PDB_USB_PORT_HXX
#define PDB_USB_PORT_HXX

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @brief  USB Ports enumeration.
                 * @author manuel.arguelles
                 * @date   Nov  1, 2017
                 */
                enum PDBUsbPort
                {
                    /**
                     * @brief  The USB 1.
                     */
                    USB_1 = 0x01,

                    /**
                     * @brief  The USB 2.
                     */
                    USB_2 = 0x02,

                    /**
                     * @brief  The USB 3.
                     */
                    USB_3 = 0x04,

                    /**
                     * @brief  The USB 4.
                     */
                    USB_4 = 0x08,

                    /**
                     * @brief  The USB 5.
                     */
                    USB_5 = 0x10,

                    /**
                     * @brief  The USB 6.
                     */
                    USB_6 = 0x20,

                    /**
                    * @brief  The USB 7.
                    */
                    USB_7 = 0x40,

                    /**
                    * @brief  The USB 8.
                    */
                    USB_8 = 0x80,

                    /**
                    * @brief  The USB 9.
                    */
                    USB_9 = 0x0100,

                    /**
                    * @brief  The USB 10.
                    */
                    USB_10 = 0x0200,

                    /**
                    * @brief  The USB 11.
                    */
                    USB_11 = 0x0400,

                    /**
                    * @brief  The USB 12.
                    */
                    USB_12 = 0x0800
                };

            } /* namespace Commands */
        } /* namespace HW */
    } /* namespace SAES */
} /* namespace Smartmatic */


#endif /* PDB_USB_PORT_HXX */
