/**
 * @file	alarm-red-led-command.cc
 * @brief	alarm red LED command class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "alarm-red-led-command.h"

using namespace Smartmatic::SAES::HW::Commands;

AlarmRedLedCommand::AlarmRedLedCommand ( Smartmatic::SAES::HW::Connections::IConnection * connection, unsigned char periodRL, unsigned char repeatRL )
    : CommandBaseAlarm ( connection )
{
    period = periodRL;
    repeat = repeatRL;
    hasResponse_ = true;
}

void AlarmRedLedCommand::initialize()
{
    commandByte.push_back ( 0x04 );
    data.push_back ( 0x02 );
    data.push_back ( period );
    data.push_back ( repeat );
}
