/**
 * @file	command-base-p168-a.cc
 * @brief	command base p 168 the class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */

#include "command-base-p168-a.h"
#include <Commands/LengthCommandElement.hxx>
#include <Commands/P168AHeaderCommandElement.hxx>
#include <Commands/DataCommandElement.hxx>

using namespace Smartmatic::SAES::HW::Commands;

CommandBaseP168A::CommandBaseP168A ( Smartmatic::SAES::HW::Connections::IConnection * connection )
    : CommandStructure ( connection )
{

}

CommandStructure::CommandList CommandBaseP168A::getCommandList ()
{
    CommandList commands;

    commands.push_back ( new P168AHeaderCommandElement() );
    commands.push_back ( new DataCommandElement ( commandByte ) );
    commands.push_back ( new LengthCommandElement ( data.size() ) );
    commands.push_back ( new DataCommandElement ( data ) );

    return commands;
}
