/**
 * @file	command-base-p168-a.h
 * @brief	Declares the command base p 168 the class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */


#ifndef _COMMAND_BASE_P168_A_H_
#define _COMMAND_BASE_P168_A_H_

#include <Commands/command-structure.h>

namespace Smartmatic
{
    namespace SAES
    {
        namespace HW
        {
            namespace Commands
            {
                /**
                 * @class	CommandBaseP168A
                 * @brief	Base class for managing the P168A commands and its properties.
                 * @author	Fsilva
                 * @date	28/04/2011
                 */

                class CommandBaseP168A: public CommandStructure
                {
                    public:

                        /**
                         * @fn	CommandBaseP168A::CommandBaseP168A( Smartmatic::SAES::HW::Connections::IConnection * connection );
                         * @brief	Default constructor.
                         * @author	Yadickson Soto
                         * @date	18/02/2014
                         * @param 	connection The connection provider
                         */
                        explicit CommandBaseP168A ( Smartmatic::SAES::HW::Connections::IConnection * connection );

                    protected:

                        /**
                         * @fn	virtual CommandList getCommandList ();
                         * @brief	Get the complete command (list of command elements) to perform a P168A-related operation.
                         * @author	Yadickson Soto
                         * @date	17/02/2014
                         * @return	The command elements to make full command result.
                         */
                        virtual CommandList getCommandList ();
                };
            }
        }
    }
}

#endif // _COMMAND_BASE_P168_A_H_
