/**
 * @file	A4517AbledConfigurationManager.cxx
 * @brief	A4517 able-d configuration manager class.
 * @author	eduardo.fernandez
 * @date	Jan 17, 2018
 */

#include "A4517AbledConfigurationManager.hxx"
#include "s-a-e-s-hardware-conf-manager.h"

using namespace Smartmatic::SAES::HW::Configuration;

A4517AbledConfigurationManager * A4517AbledConfigurationManager::instance = NULL; ///< The singleton instance

A4517AbledConfigurationManager::A4517AbledConfigurationManager()
{

}

A4517AbledConfigurationManager::~A4517AbledConfigurationManager()
{
    instance = NULL;
}

const A4517AbledDeviceConfiguration::ButtonTypeSequence & A4517AbledConfigurationManager::getButtons ()
{
    return getA4517AbledDeviceConfiguration().getButtonType();
}

A4517AbledDeviceConfiguration & A4517AbledConfigurationManager::getA4517AbledDeviceConfiguration()
{
    if ( ! SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getA4517AbledDeviceConfiguration().present() )
    {
        A4517AbledDeviceConfiguration config;
        A4517AbledDeviceConfiguration::ButtonTypeSequence seq;

        config.setButtonType ( seq );

        SAESHardwareConfigurationManager::getInstance()->getConfiguration()->setA4517AbledDeviceConfiguration ( config );
    }

    return SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getA4517AbledDeviceConfiguration().get();
}

A4517AbledConfigurationManager * A4517AbledConfigurationManager::getInstance ( A4517AbledConfigurationManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new A4517AbledConfigurationManager() : externManager );
    }

    return instance;
}
