/*
 * EurnDeviceConfigurationManager.cxx
 *
 *  Created on: Oct 31, 2017
 *      Author: juanvalera
 */

#include "EurnDeviceConfigurationManager.hxx"
#include "s-a-e-s-hardware-conf-manager.h"

using namespace Smartmatic::SAES::HW::Configuration;

EurnDeviceConfigurationManager * EurnDeviceConfigurationManager::instance = NULL; ///< The singleton instance

EurnDeviceConfigurationManager::EurnDeviceConfigurationManager()
{

}

EurnDeviceConfigurationManager::~EurnDeviceConfigurationManager()
{
    instance = NULL;
}

bool EurnDeviceConfigurationManager::getIfCloseWhenInvalidVote ()
{
    return getEurnDeviceConfiguration().getCloseWhenInvalidVote();
}

EurnDeviceConfiguration & EurnDeviceConfigurationManager::getConfiguration()
{
   return getEurnDeviceConfiguration();
}

EurnDeviceConfiguration & EurnDeviceConfigurationManager::getEurnDeviceConfiguration()
{
    if ( !SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getEurnDeviceConfiguration().present() )
    {
        EurnDeviceConfiguration config;
        config.setCloseWhenInvalidVote(true);
        config.setTimeToOpenDoor(0x05);
        config.setTimeToTurnOnGreenLed(0x05);
        config.setTimeToBlinkOnRedLed(0x03);
        config.setTimeToBlinkOnGreenLed(0x03);
        config.setTimeToTurnOnRedLed(0x03);
        config.setUsbConnectionBulkTimeout(1000);
        config.setRetriesToSendCommands(3);
        config.setRetriesToReceiveAnswer(3);
        config.setTimeoutBeforeReceiveAnswer(0);
        SAESHardwareConfigurationManager::getInstance()->getConfiguration()->setEurnDeviceConfiguration ( config );
    }

    return SAESHardwareConfigurationManager::getInstance()->getConfiguration()->getEurnDeviceConfiguration().get();
}

EurnDeviceConfigurationManager * EurnDeviceConfigurationManager::getInstance ( EurnDeviceConfigurationManager * externManager )
{
    if ( ! instance )
    {
        instance = ( externManager == NULL ? new EurnDeviceConfigurationManager() : externManager );
    }

    return instance;
}
