/**
 * @file	saes-hardware-language-controller.cc
 * @brief	saes hardware language controller class.
 * @author	Youssef.tourkmani
 * @date	31/10/2012
 */


#include "Configuration/saes-hardware-language-controller.h"
#include <System/OptParser.hxx>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) dgettext (GETTEXT_PACKAGE, String) ///<macro for gettext
#else
#define _(String) (String) ///<macro without gettext
#endif

#define N_(String) (String) ///<macro for gettext not translate

using namespace Smartmatic::Environment;
using namespace Smartmatic::SAES::HW::Configuration;
using namespace Smartmatic::System;

SAESHardwareLanguageController::SAESHardwareLanguageController()
{
}

SAESHardwareLanguageController::~SAESHardwareLanguageController()
{
}

std::string SAESHardwareLanguageController::getPackageName()
{
    return GETTEXT_PACKAGE;
}

std::string SAESHardwareLanguageController::getLocaleDir()
{
    std::string pathLocaleDir;
    return pathLocaleDir = OptParser::getInstance()->isSet ( OptParser::LOCALE_DIR ) && OptParser::getInstance()->getArg ( OptParser::LOCALE_DIR, pathLocaleDir ) ? pathLocaleDir : GNOMELOCALEDIR;
}

