#ifndef TEST_BYTE_COMMAND_ELEMENT_TEST
#define TEST_BYTE_COMMAND_ELEMENT_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <Commands/ByteCommandElement.hxx>
#include <System/Utils/StringUtils.hxx>

class ByteCommandElementTest : public CPPUNIT_NS::TestFixture
{
    private:

        typedef Smartmatic::System::Utils::StringUtils StringUtils;
        typedef Smartmatic::SAES::HW::Commands::ByteCommandElement ByteCommandElement;

    public:

        ByteCommandElementTest ()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testInputData()
        {
            unsigned char input = 0xFF;
            std::vector<unsigned char> command;

            ByteCommandElement commandElement ( input );

            std::string expected = "ff";
            std::string result;

            commandElement.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        void testInputData_TwoCalls()
        {
            unsigned char input = 0x25;
            std::vector<unsigned char> command;

            ByteCommandElement commandElement ( input );

            std::string expected = "2525";
            std::string result;

            commandElement.addToCommand ( command );
            commandElement.addToCommand ( command );

            result = StringUtils::arrayHexToString ( command );

            CPPUNIT_ASSERT ( false == command.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( ByteCommandElementTest );

        CPPUNIT_TEST ( testInputData );
        CPPUNIT_TEST ( testInputData_TwoCalls );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_BYTE_COMMAND_ELEMENT_TEST */
