/**
 * @file MockCommandStructureBase.hxx
 * @date 19/02/2014
 * @author Yadickson Soto
 */

#ifndef MOCKCOMMANDSTRUCTUREBASE_HXX_
#define MOCKCOMMANDSTRUCTUREBASE_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Commands/command-structure.h>

class MockCommandStructureBase : public Smartmatic::SAES::HW::Commands::CommandStructure,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        explicit MockCommandStructureBase ( Smartmatic::SAES::HW::Connections::IConnection * connection )
            : Smartmatic::SAES::HW::Commands::CommandStructure ( connection )
            , MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockCommandStructureBase" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE0 ( initialize )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( hasResponse )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( clearCommandList, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getCommandList )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( analyzeResponse )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( processResponse, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( sendCommand, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( getCommand, ext )

        {
        }

        virtual ~MockCommandStructureBase()
        {

        }

        MOCKPP_VOID_CHAINABLE0 ( MockCommandStructureBase, initialize );


        MOCKPP_CHAINABLE0 ( MockCommandStructureBase,
                            bool, hasResponse );

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockCommandStructureBase,
                                     clearCommandList, MockCommandStructureBase::CommandList &,
                                     ext, MockCommandStructureBase::CommandList * );

        MOCKPP_CHAINABLE0 ( MockCommandStructureBase,
                            MockCommandStructureBase::CommandList, getCommandList );

        MOCKPP_CHAINABLE0 ( MockCommandStructureBase,
                            bool, analyzeResponse );

        MOCKPP_CHAINABLE_EXT1 ( MockCommandStructureBase,
                                bool, processResponse, const std::vector<unsigned char> &,
                                bool, ext, const std::vector<unsigned char> * );

        MOCKPP_CHAINABLE_EXT1 ( MockCommandStructureBase,
                                bool, sendCommand, const std::vector<unsigned char> &,
                                bool, ext, const std::vector<unsigned char> * );

        MOCKPP_CHAINABLE_EXT1 ( MockCommandStructureBase,
                                std::vector<unsigned char>, getCommand, const MockCommandStructureBase::CommandList &,
                                std::vector<unsigned char>, ext, const MockCommandStructureBase::CommandList * );


};



#endif /* MOCKCOMMANDSTRUCTUREBASE_HXX_ */
