/**
 * @file	MockPeekListener.hxx
 * @brief	Declares the MockPeekListener.
 * @author	Yadickson Soto
 * @date	29/06/2015
 */

#ifndef _MOCK_PEEK_LISTENER_H_
#define _MOCK_PEEK_LISTENER_H_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Connections/IPeekListener.hxx>

class MockPeekListener : public Smartmatic::SAES::HW::Connections::IPeekListener,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockPeekListener()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockPeekListener" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_VOID_CHAINABLE_EXT1 ( peekEvent, ext )
        {
        }

        virtual ~MockPeekListener()
        {

        }

        MOCKPP_VOID_CHAINABLE_EXT1 ( MockPeekListener,
                                     peekEvent, const std::vector<unsigned char> &,
                                     ext, const std::vector<unsigned char> * );
};

#endif // _MOCK_PEEK_LISTENER_H_
