/**
 * @file	StoreMockConnection.hxx
 * @brief	Declares the StoreMockConnection.
 * @author	Yadickson Soto
 * @date	19/02/2014
 */

#ifndef _STORE_MOCK_ICONNECTION_H_
#define _STORE_MOCK_ICONNECTION_H_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <Connections/IConnection.hxx>

class StoreMockConnection : public Smartmatic::SAES::HW::Connections::IConnection,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        StoreMockConnection()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "StoreMockConnection" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( openConnection, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( readBuffer )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( closeConnection )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getTimeOut )
        {
        }

        virtual ~StoreMockConnection()
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( StoreMockConnection,
                                bool, openConnection, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE0 ( StoreMockConnection,
                            Smartmatic::System::SafeVector <unsigned char> , readBuffer );

        MOCKPP_CHAINABLE0 ( StoreMockConnection,
                            bool, closeConnection );

        MOCKPP_CHAINABLE0 ( StoreMockConnection,
                            unsigned int , getTimeOut );

        virtual bool sendCommand ( const std::vector<unsigned char> & command )
        {
            sendBuffer = command;
            return true;
        }

        std::vector<unsigned char> sendBuffer;
};

#endif // _STORE_MOCK_ICONNECTION_H_
