/**
 * @file	base-language-controller.cc
 *
 * @brief	base language controller class.
 */

#include "base-language-controller.h"
#include "LanguageController.hxx"
#include <System/Utils/StringUtils.hxx>

using namespace Smartmatic::Environment;
using namespace Smartmatic::System::Utils;

void BaseLanguageController::LocalizeApplication ( const std::string & newLanguage, const std::string & newCountry )
{
    LanguageController::getInstance()->setLanguage ( newLanguage, newCountry );
}

void BaseLanguageController::FullLocalizeApplication ( std::string fullLanguage )
{
    std::string lang;
    std::string country;

    if ( fullLanguage.size() > 0 )
    {
        std::list < std::string > listLang;
        std::list < std::string >::iterator itl;

        int count = 0;
        StringUtils::splitToList ( fullLanguage, "_", listLang );

        for ( itl = listLang.begin();
                itl != listLang.end();
                ++itl, count++ )
        {
            if ( count == 0 )
            {
                lang = country = ( *itl );
            }
            else
            {
                country = ( *itl );
            }
        }

        LocalizeApplication ( lang, country );
    }
}

void BaseLanguageController::GetActualLanguage ( std::string & actualLanguage, std::string & actualCountry )
{
    actualLanguage = LanguageController::getInstance()->getCurrentLanguage();
    actualCountry = LanguageController::getInstance()->getCurrentCountry();
}

std::string BaseLanguageController::getActualLanguage()
{
    return LanguageController::getInstance()->getCurrentFullLanguage();
}

bool BaseLanguageController::isSetLanguage()
{
    return LanguageController::getInstance()->isSetLang();
}
