/**
 * @file   Audio.cxx
 * @brief  Implementation of Audio class.
 * @author manuel.arguelles
 * @date   Sep 29, 2017
 */

#include "Audio.hxx"

using namespace Smartmatic::System::Audio;

Audio::Audio()
{
    m_bitsPerSample    = 0;
    m_channels         = 0;
    m_samplesPerSecond = 0;
}

Audio::~Audio()
{
}

int Audio::getBitsPerSample() const
{
    return m_bitsPerSample;
}

int Audio::getChannels() const
{
    return m_channels;
}

int Audio::getSamplesPerSecond() const
{
    return m_samplesPerSecond;
}

std::vector<char> Audio::getSamples() const
{
    return m_samples;
}

void Audio::setBitsPerSample(const int bits)
{
    m_bitsPerSample = bits;
}

void Audio::setChannels(const int channels)
{
    m_channels = channels;
}

void Audio::setSamplesPerSecond(const int rate)
{
    m_samplesPerSecond = rate;
}

void Audio::setSamples(const char *samples, const std::size_t size)
{
    m_samples.assign(samples, samples + size);
}
