/**
 * @file   AudioPlayer.cxx
 * @brief  Implementation of AudioPlayer class.
 * @author manuel.arguelles
 * @date   Sep 29, 2017
 */

#include "AudioPlayer.hxx"
#include "AudioPlayerImpl.hxx"

using namespace Smartmatic::System::Audio;

AudioPlayer::AudioPlayer()
    : m_impl(new AudioPlayerImpl())
{
}

AudioPlayer::AudioPlayer(const std::string& cardName)
    : m_impl(new AudioPlayerImpl())
{
    m_impl->setOutputDevice(cardName);
}

AudioPlayer::~AudioPlayer()
{
}

void AudioPlayer::play(const Audio& audio)
{
    if (m_impl.get() != NULL)
    {
        m_impl->play(audio);
    }
}
