/**
 * @file RSAException.h
 * @brief Class custom for exceptions in rsa
 * @date 24/05/2011
 * @author mcordovi
 */

#ifndef RSAEXCEPTION_H_
#define RSAEXCEPTION_H_

#include "BaseException.hxx"

namespace Smartmatic
{

    namespace System
    {

        namespace Exception
        {
            /**
             * @class	RSAException
             * @brief	Header class RSAException.
             * @author	mcordovi
             * @see BaseException
             * @date	17/11/2011
             */
            class RSAException: public Smartmatic::System::Exception::BaseException
            {
                public:
                    /**
                     * @fn	RSAException::RSAException ( std::string message, std::string code,
                     * 			Smartmatic::Log::ISMTTLog* logger)
                     * @brief	Class constructor.
                     * @author	Youssef.tourkmani
                     * @date	29/10/2012
                     * @param	message	exception message.
                     * @param	code	 	exception code.
                     * @param	logger 	logger.
                     */
                    RSAException ( std::string message, std::string code,
                                   Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
            };

        }

    }

}

#endif /* RSAEXCEPTION_H_ */
