/**
 * @file XmlException.hxx
 * @brief Class custom for exceptions in xml security
 */

#ifndef __XML_EXCEPTION_H__
#define __XML_EXCEPTION_H__

#include "BaseException.hxx"

namespace Smartmatic
{
    namespace System
    {
        namespace Exception
        {
            /**
             * @class	XmlException
             * @brief	Header class XmlException.
             * @author	Yadickson Soto &lt;yadickson.soto@smartmatic.com&gt;
             * @date	03-04-2011
             */
            class XmlException : public BaseException
            {
                public:
                    /**
                     * @fn	XmlException::XmlException ( std::string message, std::string code,
                     * 		Smartmatic::Log::ISMTTLog* logger )
                     * @brief	Class constructor.
                     * @author	Youssef.tourkmani
                     * @date	29/10/2012
                     * @param	message	exception message.
                     * @param	code	 	exception code, default empty.
                     * @param	logger 	logger.
                     */
                    XmlException ( std::string message, std::string code,
                                   Smartmatic::Log::ISMTTLog * logger )
                        : BaseException ( message, code, logger ) {}
            };
        }
    }
}

#endif /* __XML_EXCEPTION_H__ */
