/**
 * @file ExitProcess.cxx
 * @brief Body class to exit process.
 * @date 15/11/2013
 * @author Yadickson Soto
 */

#include "ExitProcess.hxx"
#include <stdlib.h>

using namespace Smartmatic::System::Runtime;

ExitProcess * ExitProcess::instance = NULL;

ExitProcess::ExitProcess()
{

}

ExitProcess::~ExitProcess()
{
    instance = NULL;
}

void ExitProcess::exitProcess()
{
    exit ( EXIT_FAILURE );
}

void ExitProcess::exitProcessWithCode ( int exitCode )
{
    exit ( exitCode );
}

ExitProcess * ExitProcess::getInstance ( ExitProcess * externProcess )
{
    if ( instance == NULL )
    {
        instance = ( externProcess == NULL ? new ExitProcess() : externProcess );
    }

    return instance;
}
