/**
 * @file SafeVector.hxx
 * @brief Class that inherits from std::vector, used to unit test.
 * @author	Yadickson Soto
 * @date	23/04/2014
 */

#ifndef SAFEVECTOR_HXX_
#define SAFEVECTOR_HXX_

#include <vector>
#include <iostream>

namespace Smartmatic
{
    namespace System
    {
        /**
         * @class SafeVector
         * @brief	Class that inherits from std::vector, used to unit test.
         * @author	Yadickson Soto
         * @date	23/04/2014
         */
        template <class T>
        class SafeVector : public std::vector<T>
        {
        };
    }
}

/**
 * @fn	void operator<< ( std::string & out, const Smartmatic::System::SafeVector & vector );
 * @brief	Overload operator << .
 * @author	Yadickson Soto
 * @date	21/04/2014
 * @param	out	output string
 * @param	vector to output (only vector size will be output)
 */
template <class T>
void operator<< ( std::string & out, const Smartmatic::System::SafeVector<T> & vector );

#include "SafeVector.hpp"

#endif /* SAFEVECTOR_HXX_ */
