/**
 * @file CRC32Calculator.cxx
 * @brief Body class for CRC32Calculator
 */

#include "CRC32Calculator.hxx"
#include <zlib.h>

using namespace Smartmatic::System::Security;
using namespace Smartmatic::System;

void CRC32Calculator::getCRC32 ( SafeBuffer & buffer, SafeBuffer & dataOut )
{
    dataOut.Clear();

    unsigned long crc = crc32 ( 0L, Z_NULL, 0 );

    crc = crc32 ( crc, buffer.GetData(), buffer.GetSize() );

    dataOut.AddData ( crc, 4 );
}
