/**
 * @file CertificateValidator.cpp
 * @brief Body class certificate validator
 * @date 07/04/2011
 * @author Freddy Gomez
 */

#include "System/Security/Cryptography/CertValidationResult.h"

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

using namespace Smartmatic::Log;
using namespace Smartmatic::System::Security::Cryptography;

ISMTTLog * CertValidationResult::logger = SMTTLogManager::GetLogger ( "Smartmatic.System.Security.Cryptography.CertValidationResult", GETTEXT_PACKAGE );

CertValidationResult::CertValidationResult()
{
    this->depth = 0;
    this->detail = TRUST_OK;
}

CertValidationResult::CertValidationResult ( const CertValidationResult & x )
{
    this->depth = x.depth;
    this->detail = x.detail;
}

CertValidationResult::CertValidationResult ( int depthA, TrustResultEnum detailA )
{
    this->depth = depthA;
    this->detail = detailA;
}

CertValidationResult::~CertValidationResult()
{
}

bool CertValidationResult::GetSucces()
{
    return this->detail == TRUST_OK;
}

TrustResultEnum CertValidationResult::GetDetail()
{
    return this->detail;
}

void CertValidationResult::SetDetail ( TrustResultEnum val )
{
    this->detail = val;
}

int CertValidationResult::GetDepth()
{
    return this->depth;
}
void CertValidationResult::SetDepth ( int newDepth )
{
    this->depth = newDepth;
}
