/**
 * @file DigestAlgorithmLookup.cpp
 * @brief Body digest algorithm lookup class
 * @date 05/04/2011
 * @author Freddy Gomez
 */

#include "System/Security/Cryptography/DigestAlgorithmLookup.h"

using namespace Smartmatic ::System::Security::Cryptography;

const EVP_MD * DigestAlgorithmLookup::LookupDigest ( MsgDigestUtil::DigestAlgType alg )
{
    const EVP_MD * retVal = NULL;

    switch ( alg )
    {
        case MsgDigestUtil::DGSTUTIL_SHA224:
            retVal = EVP_sha224();
            break;

        default:
        case MsgDigestUtil::DGSTUTIL_SHA256:
            retVal = EVP_sha256();
            break;

        case MsgDigestUtil::DGSTUTIL_SHA384:
            retVal = EVP_sha384();
            break;

        case MsgDigestUtil::DGSTUTIL_SHA512:
            retVal = EVP_sha512();
            break;
    }

    return retVal;
}
