/**
 * @file OpenSSLCertificate.cxx
 * @brief Body class detached signature
 * @date 08/02/2013
 * @author Yadickson Soto
 */

#include "OpenSSLCertificate.hxx"

using namespace Smartmatic::System::Security;

OpenSSLCertificate::OpenSSLCertificate ( Smartmatic::System::SafeBuffer & buffer )
    : x509 ( NULL )
{
    if ( buffer.GetSize() > 0 )
    {
        x509 = new OpenSSLCryptoX509();
        x509->loadX509Base64Bin ( ( const char * ) buffer.GetData(), buffer.GetSize() );
    }
}

OpenSSLCertificate::~OpenSSLCertificate()
{
    if ( x509 )
    {
        delete x509;
        x509 = NULL;
    }
}

OpenSSLCryptoX509 * OpenSSLCertificate::getX509 ( )
{
    return x509;
}
