/**
 * @file XmlEnvelopedSignature.hxx
 * @brief Header class for XML enveloped signatures.
 * @author	Eduardo Fernández
 * @date	10/10/2018
 */

#ifndef XML_ENVELOPED_SIGNATURE_HXX
#define XML_ENVELOPED_SIGNATURE_HXX

#include <System/Security/XmlDigitalSignature/XmlSignature.hxx>

namespace Smartmatic
{
    namespace System
    {
        namespace Security
        {
            /**
             * @class	XmlEnvelopedSignature
             * @brief	Class for XML enveloped signatures.
             * @author	Eduardo Fernández
             * @date	10/10/2018
             */
            class XmlEnvelopedSignature : public XmlSignature
            {
                public:

                    /**
                     * @fn XmlEnvelopedSignature();
                     * @brief Class constructor.
                     * @author Eduardo Fernández
                     * @date   10/10/2018
                     */
                    XmlEnvelopedSignature();

                    /**
                     * @fn	virtual ~XmlEnvelopedSignature();
                     * @brief	Class destructor.
                     * @author	Eduardo Fernández
                     * @date	10/10/2018
                     */
                    virtual ~XmlEnvelopedSignature();
            };
        }
    }
}

#endif /* XML_ENVELOPED_SIGNATURE_HXX */
