/*
 * MockDirectory.hxx
 *
 *  Created on: 06/11/2013
 *      Author: soto
 */

#ifndef MOCK_DIRECTORY_HXX
#define MOCK_DIRECTORY_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/IO/Directory.h>

class MockDirectory : public Smartmatic::System::IO::Directory,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockDirectory ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockDirectory" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( FileExists, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( DirectoryExists, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( Mkdir, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE0 ( getCurrentDirectory )
        {

        }

        MOCKPP_CHAINABLE_EXT1 ( MockDirectory,
                                bool, FileExists, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT1 ( MockDirectory,
                                bool, DirectoryExists, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE_EXT1 ( MockDirectory,
                                bool, Mkdir, const std::string &,
                                bool, ext, const std::string * );

        MOCKPP_CHAINABLE0 ( MockDirectory, std::string, getCurrentDirectory );
};

#endif /* MOCK_DIRECTORY_HXX */
