/*
 * MockProcessLauncher.hxx
 *
 *  Created on: 21/05/2013
 *      Author: soto
 */

#ifndef MOCK_PROCESS_LAUNCHER_HXX_
#define MOCK_PROCESS_LAUNCHER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/Runtime/ProcessLauncher.h>

class MockProcessLauncher : public Smartmatic::System::Runtime::ProcessLauncher,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockProcessLauncher ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockProcessLauncher" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( RunProcessThroughPipe, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( RunProcessThroughSystem, ext )
        {

        }

        MOCKPP_CHAINABLE_EXT2 ( MockProcessLauncher,
                                Smartmatic::System::SafeList < std::string >, RunProcessThroughPipe, const std::string &, Smartmatic::System::IO::PipeFile *,
                                Smartmatic::System::SafeList < std::string >, ext, const std::string *, Smartmatic::System::IO::PipeFile * );

        MOCKPP_CHAINABLE_EXT2 ( MockProcessLauncher,
                                int, RunProcessThroughSystem, const std::string &, bool,
                                int, ext, const std::string *, bool );
};

#endif /* MOCK_PROCESS_LAUNCHER_HXX_ */
