#ifndef TEST_BASE64TEST
#define TEST_BASE64TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/Encoding/Base64Encoder.h>

class Base64Test : public CPPUNIT_NS::TestFixture
{
    public:

        Base64Test()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testBase64FromNullBuffer()
        {
            Smartmatic::System::SafeBuffer buffer;
            std::string result;

            CPPUNIT_ASSERT ( false == Smartmatic::System::Encoding::Base64Encoder::ConvertToBase64 ( buffer, result ) );
            CPPUNIT_ASSERT ( true == result.empty() );
        }

        void testBase64InputErrorNotMod4()
        {
            Smartmatic::System::SafeBuffer result ( "abcdf" );

            CPPUNIT_ASSERT ( false == Smartmatic::System::Encoding::Base64Encoder::ConvertFromBase64 ( "abc", result ) );
            CPPUNIT_ASSERT ( 0 == result.GetSize() );
        }

        void testBase64InputOne()
        {
            Smartmatic::System::SafeBuffer result;

            CPPUNIT_ASSERT ( true == Smartmatic::System::Encoding::Base64Encoder::ConvertFromBase64 ( "abc=", result ) );
            CPPUNIT_ASSERT ( 0 != result.GetSize() );
        }

        void testBase64InputTwo()
        {
            Smartmatic::System::SafeBuffer result;

            CPPUNIT_ASSERT ( true == Smartmatic::System::Encoding::Base64Encoder::ConvertFromBase64 ( "ab==", result ) );
            CPPUNIT_ASSERT ( 0 != result.GetSize() );
        }

        void testBase64FromBuffer()
        {
            Smartmatic::System::SafeBuffer buffer ( "abcdf" );
            std::string result;

            CPPUNIT_ASSERT ( true == Smartmatic::System::Encoding::Base64Encoder::ConvertToBase64 ( buffer, result ) );
            CPPUNIT_ASSERT ( false == result.empty() );
            CPPUNIT_ASSERT ( "YWJjZGY=" == result );
        }

        void testRegretion()
        {
            std::string input = "ABCDEF";
            std::string output;

            Smartmatic::System::SafeBuffer dataIn ( input );
            Smartmatic::System::SafeBuffer dataOut;
            std::string resultBase64;

            CPPUNIT_ASSERT ( true == Smartmatic::System::Encoding::Base64Encoder::ConvertToBase64 ( dataIn, resultBase64 ) );
            CPPUNIT_ASSERT ( true == Smartmatic::System::Encoding::Base64Encoder::ConvertFromBase64 ( resultBase64, dataOut ) );

            output.assign ( ( const char * ) dataOut.GetData(), dataOut.GetSize() );

            CPPUNIT_ASSERT ( input == output );
        }

        CPPUNIT_TEST_SUITE ( Base64Test );

        CPPUNIT_TEST ( testBase64FromNullBuffer );
        CPPUNIT_TEST ( testBase64FromBuffer );
        CPPUNIT_TEST ( testBase64InputErrorNotMod4 );
        CPPUNIT_TEST ( testBase64InputOne );
        CPPUNIT_TEST ( testBase64InputTwo );
        CPPUNIT_TEST ( testRegretion );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_BASE64TEST */
