/*
 * MockBasicFile.hxx
 *
 *  Created on: 14/11/2013
 *      Author: soto
 */

#ifndef MOCK_BASIC_FILE_HXX
#define MOCK_BASIC_FILE_HXX

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/IO/File.h>

class MockBasicFile : public Smartmatic::System::IO::File,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockBasicFile ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockBasicFile" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( openFileToBuffer, ext )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT2 ( saveBufferToFile, ext )
        {

        }
        MOCKPP_CHAINABLE_EXT2 ( MockBasicFile,
                                bool, openFileToBuffer, const std::string &, Smartmatic::System::SafeBuffer &,
                                bool, ext, const std::string *, Smartmatic::System::SafeBuffer * );

        MOCKPP_CHAINABLE_EXT2 ( MockBasicFile,
                                bool, saveBufferToFile, const Smartmatic::System::SafeBuffer &, const std::string &,
                                bool, ext, const Smartmatic::System::SafeBuffer *, const std::string * );

};

#endif /* MOCK_FILE_HXX */
