/*
 * MockRunProcessLauncher.hxx
 *
 *  Created on: 14/11/2013
 *      Author: soto
 */

#ifndef MOCK_RUN_PROCESS_LAUNCHER_HXX_
#define MOCK_RUN_PROCESS_LAUNCHER_HXX_

#include <mockpp/mockpp.h>
#include <mockpp/chaining/ChainableMockObject.h>
#include <mockpp/chaining/ChainingMockObjectSupport.h>
#include <System/Runtime/ProcessLauncher.h>

class MockRunProcessLauncher : public Smartmatic::System::Runtime::ProcessLauncher,
    public MOCKPP_NS::ChainableMockObject
{
    public:

        MockRunProcessLauncher ()
            : MOCKPP_NS::ChainableMockObject ( MOCKPP_PCHAR ( "MockRunProcessLauncher" ), 0 )
            , MOCKPP_CONSTRUCT_MEMBERS_FOR_CHAINABLE_EXT1 ( runCommand, ext )
        {

        }

        Smartmatic::System::SafeList < std::string > RunProcessThroughPipe ( const std::string & commandLineWithArguments, Smartmatic::System::IO::PipeFile * pipeFile = NULL )
        {
            RunProcessThroughPipeCommandLine = commandLineWithArguments;
            return list;
        }

        MOCKPP_CHAINABLE_EXT1 ( MockRunProcessLauncher,
                                int, runCommand, const std::string &,
                                int, ext, const std::string * );

        virtual std::string getCommand ( const std::string & command, bool background )
        {
            commandValue = Smartmatic::System::Runtime::ProcessLauncher::getCommand ( command, background );
            return commandValue;
        }

        std::string commandValue;
        std::string RunProcessThroughPipeCommandLine;
        Smartmatic::System::SafeList < std::string > list;
};

#endif /* MOCK_RUN_PROCESS_LAUNCHER_HXX_ */
