/*
 * XmlSecurityCTest.h
 *
 *  Created on: Nov 26, 2013
 *      Author: beatriz
 */

#ifndef TEST_XML_SECURITY_C_TEST
#define TEST_XML_SECURITY_C_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include "MockXmlSecurityC.hxx"

class XmlSecurityCTest : public CPPUNIT_NS::TestFixture
{
    public:

        XmlSecurityCTest()
        {

        }

        void setUp()
        {
            MockXmlSecurityC::clear();
        }

        void tearDown()
        {
            MockXmlSecurityC::clear();
        }

        void testDefaultValue()
        {
            CPPUNIT_ASSERT ( false == MockXmlSecurityC::isInitialice() );
        }

        void testInitializeSuccessfully()
        {
            MockXmlSecurityC::init();
            CPPUNIT_ASSERT ( true == MockXmlSecurityC::isInitialice() );
        }

        void testInitializeTwoTime()
        {
            MockXmlSecurityC::init();
            MockXmlSecurityC::init();
            CPPUNIT_ASSERT ( true == MockXmlSecurityC::isInitialice() );
        }

        void testInitializeSuccessfullyAndClear()
        {
            MockXmlSecurityC::init();
            CPPUNIT_ASSERT ( true == MockXmlSecurityC::isInitialice() );
            MockXmlSecurityC::clear();
            CPPUNIT_ASSERT ( false == MockXmlSecurityC::isInitialice() );
        }

        CPPUNIT_TEST_SUITE ( XmlSecurityCTest );

        CPPUNIT_TEST ( testDefaultValue );
        CPPUNIT_TEST ( testInitializeSuccessfully );
        CPPUNIT_TEST ( testInitializeTwoTime );
        CPPUNIT_TEST ( testInitializeSuccessfullyAndClear );

        CPPUNIT_TEST_SUITE_END();
};
#endif /* ECUT_MAIN */

#endif /* TEST_XML_SECURITY_C_TEST */
