#ifndef TEST_BEEP_MANAGER_TEST
#define TEST_BEEP_MANAGER_TEST

#ifdef ECUT_MAIN

#include <cppunit/extensions/HelperMacros.h>
#include <System/Sounds/beep-descriptor.h>

class BeepDescriptorTest : public CPPUNIT_NS::TestFixture
{
    public:

        typedef Smartmatic::System::Sounds::BeepDescriptor BeepDescriptor;

        BeepDescriptorTest()
        {

        }

        void setUp()
        {

        }

        void tearDown()
        {

        }

        void testEmptyBeepDescriptor()
        {
            BeepDescriptor beep;
            std::string expected = " -f 0 -l 0 -r 0 -d 0";

            std::string result = beep.GetBeepLine();

            CPPUNIT_ASSERT ( false == result.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        void testBeepDescriptor()
        {
            BeepDescriptor beep ( 10, 20, 30, 40 );
            std::string expected = " -f 10 -l 20 -r 30 -d 40";

            std::string result = beep.GetBeepLine();

            CPPUNIT_ASSERT ( false == result.empty() );
            CPPUNIT_ASSERT ( expected == result );
        }

        CPPUNIT_TEST_SUITE ( BeepDescriptorTest );

        CPPUNIT_TEST ( testEmptyBeepDescriptor );
        CPPUNIT_TEST ( testBeepDescriptor );

        CPPUNIT_TEST_SUITE_END();
};

#endif /* ECUT_MAIN */

#endif /* TEST_BEEP_MANAGER_TEST */
