/**
 * @file ISizeWidget.hxx
 * @brief Header size widget interface used for test
 * @date 25/02/2014
 * @author Yadickson Soto
 */

#ifndef ISIZE_BALLOT_WIDGET_HXX_
#define ISIZE_BALLOT_WIDGET_HXX_

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {

            /**
             * @class ISizeWidget
             * @brief Size widget interface, for all resizable widgets. Needed initially for testing.
             * @date 25/02/2014
             * @author Yadickson Soto
             */
            class ISizeWidget
            {
                public:
                    /**
                     * @fn virtual ~ISizeWidget();
                     * @brief class destructor.
                     * @date 25/02/2014
                     * @author Yadickson Soto
                     */
                    virtual ~ISizeWidget() {};
                    /**
                     * @fn	virtual void setSize ( int width, int height );
                     * @brief	Set size of the instance.
                     * @author	Yadickson Soto
                     * @date	25/02/2014
                     * @param	width 	Widget's width.
                     * @param	height	Widget's height.
                     */
                    virtual void setSize ( int width, int height ) = 0;
            };

        } /* namespace Widgets */
    } /* namespace GUI */
} /* namespace Smartmatic */
#endif /* ISIZE_BALLOT_WIDGET_HXX_ */
