/**
 * @file SmartmaticBasicButton.cxx
 * @brief Body basic button widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicButton.hxx"

#define ACCESSIBLE_TYPE "button" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicButton::SmartmaticBasicButton()
    : Glib::ObjectBase ( "SmartmaticBasicButton" ),
      Gtk::Button(),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicButton::SmartmaticBasicButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Glib::ObjectBase ( "SmartmaticBasicButton" ),
      Gtk::Button ( cobject ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicButton::~SmartmaticBasicButton()
{

}
