/**
 * @file SmartmaticBasicEventBox.hxx
 * @brief Header basic event box widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICEVENTBOX_H_
#define _SMARTMATIC_BASICEVENTBOX_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicEventBox
             * @brief	Smartmatic basic event box.
             * @date 25/04/2013
             * @author Yadickson Soto
             */
            class SmartmaticBasicEventBox: public Gtk::EventBox, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {

                public:

                    /**
                     * @fn	SmartmaticBasicEventBox();
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    SmartmaticBasicEventBox();

                    /**
                     * @fn	SmartmaticBasicEventBox(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicEventBox ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicEventBox();
                     * @brief	Class destructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~SmartmaticBasicEventBox();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICEVENTBOX_H_
