/**
 * @file SmartmaticBasicHBox.cxx
 * @brief Body basic hbox widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicHBox.hxx"

#define ACCESSIBLE_TYPE "panel" ///< accessible type

using namespace Smartmatic::GUI::Widgets;

SmartmaticBasicHBox::SmartmaticBasicHBox ( bool homogeneous, int spacing )
    : Gtk::HBox ( homogeneous, spacing ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicHBox::SmartmaticBasicHBox ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Gtk::HBox ( cobject ), Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
}

SmartmaticBasicHBox::~SmartmaticBasicHBox()
{
}


