/**
 * @file SmartmaticBasicRadioButton.cxx
 * @brief Body basic radio button widget class
 * @date 10/10/2013
 * @author Yadickson Soto
 */

#include "SmartmaticBasicRadioButton.hxx"
#include <Configuration/s-m-t-t-g-u-i-conf-manager.h>

#define ACCESSIBLE_TYPE "radioButton" ///< accessible type

using namespace Smartmatic::GUI::Widgets;
using namespace Smartmatic::GUI::Configuration;

SmartmaticBasicRadioButton::SmartmaticBasicRadioButton ( const Glib::ustring & label, bool mnemonic )
    : Glib::ObjectBase ( "SmartmaticBasicRadioButton" ),
      Gtk::RadioButton ( label, mnemonic ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )

{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    reset_group();
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicRadioButton::SmartmaticBasicRadioButton ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder )
    : Glib::ObjectBase ( "SmartmaticBasicRadioButton" ),
      Gtk::RadioButton ( cobject ),
      Smartmatic::GUI::Operation::AccessibleNameWidget ( ACCESSIBLE_TYPE )
{
    Smartmatic::GUI::Operation::AccessibleNameWidget::accessibleWidget = this;
    reset_group();
    set_name ( getThemeConfiguration() );
}

SmartmaticBasicRadioButton::~SmartmaticBasicRadioButton()
{

}

std::string SmartmaticBasicRadioButton::getThemeConfiguration()
{
    return SMTTGUIConfigurationManager::getInstance()->getGuiThemeConfiguration().getRadioButtonThemeConfiguration();
}
