/**
 * @file SmartmaticBasicTable.hxx
 * @brief Header basic table widget class
 * @date 25/04/2013
 * @author Yadickson Soto
 */

#ifndef _SMARTMATIC_BASICTABLE_H_
#define _SMARTMATIC_BASICTABLE_H_

#include <gtkmm.h>
#include <Operation/AccessibleNameWidget.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticBasicTable
             * @brief	Smartmatic basic table.
             * @date 25/04/2013
             * @author Yadickson Soto
             */
            class SmartmaticBasicTable: public Gtk::Table, public Smartmatic::GUI::Operation::AccessibleNameWidget
            {

                public:

                    /**
                     * @fn	SmartmaticBasicTable();
                     * @brief	Default constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    SmartmaticBasicTable();

                    /**
                     * @fn	SmartmaticBasicTable(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	Constructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     * @param	cobject			If non-null, the cobject.
                     * @param	refBuilder	(optional) the reference builder.
                     */
                    SmartmaticBasicTable ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );

                    /**
                     * @fn	virtual ~SmartmaticBasicTable();
                     * @brief	Class destructor.
                     * @date 25/04/2013
                     * @author Yadickson Soto
                     */
                    virtual ~SmartmaticBasicTable();
            };
        }
    }
}

#endif // _SMARTMATIC_BASICTABLE_H_
