/**
 * @file SmartmaticRadioButtonVerticalGroup.hxx
 * @brief Header class smartmatic radio button vertical group
 * @date 16/10/2013
 * @author Yadickson Soto
 */

#ifndef SMARTMATICRADIOBUTTONVGROUP_HXX_
#define SMARTMATICRADIOBUTTONVGROUP_HXX_

#include <gtkmm.h>
#include <Widgets/SmartmaticRadioButtonGroup.hxx>
#include <Widgets/SmartmaticBasicVBox.hxx>

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	SmartmaticRadioButtonVerticalGroup
             * @brief	class smartmatic radio button vertical group.
             * @author	Yadickson Soto
             * @date	16/10/2013
             */
            class SmartmaticRadioButtonVerticalGroup : public SmartmaticBasicVBox, public SmartmaticRadioButtonGroup
            {
                public:
                    /**
                     * @fn	SmartmaticRadioButtonVerticalGroup::SmartmaticRadioButtonVerticalGroup();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     */
                    SmartmaticRadioButtonVerticalGroup();
                    /**
                     * @fn	SmartmaticRadioButtonVerticalGroup::SmartmaticRadioButtonVerticalGroup(BaseObjectType* cobject,
                     * 			const Glib::RefPtr<Gtk::Builder>& refBuilder=Gtk::Builder::create());
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     * @param	cobject			object.
                     * @param	refBuilder	reference to builder.
                     */
                    SmartmaticRadioButtonVerticalGroup ( BaseObjectType * cobject, const Glib::RefPtr<Gtk::Builder> & refBuilder = Gtk::Builder::create() );
                    /**
                     * @fn	virtual SmartmaticRadioButtonVerticalGroup::~SmartmaticRadioButtonVerticalGroup();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     */
                    virtual ~SmartmaticRadioButtonVerticalGroup();

                protected:

                    /**
                     * @fn	virtual void add ( SmartmaticRadioButton * widget );
                     * @brief	Add new radio button widget.
                     * @author	Yadickson Soto
                     * @date	16/10/2013
                     * @param	widget new widget to add
                     */
                    virtual void add ( SmartmaticRadioButton * widget );
            };
        }
    }
}

#endif /* SMARTMATICRADIOBUTTONVGROUP_HXX_ */
