/**
 * @file StateListener.hxx
 * @brief Header class memory state listener
 * @date 19/04/2012
 * @author Yadickson Soto
 */

#ifndef STATELISTENER_HXX_
#define STATELISTENER_HXX_

namespace Smartmatic
{
    namespace GUI
    {
        namespace Widgets
        {
            /**
             * @class	StateListener
             * @brief	class memory state listener.
             * @author	Yadickson Soto
             * @date	19/04/2012
             */
            class StateListener
            {
                public:
                    /**
                     * @fn	StateListener::StateListener();
                     * @brief	class constructor.
                     * @author	Yadickson Soto
                     * @date	19/04/2012
                     */
                    StateListener();
                    /**
                     * @fn	virtual StateListener::~StateListener();
                     * @brief	class destructor.
                     * @author	Yadickson Soto
                     * @date	19/04/2012
                     */
                    virtual ~StateListener();
                    /**
                     * @fn	virtual void StateListener::block() = 0;
                     * @brief	method block.
                     * @author	Yadickson Soto
                     * @date	19/04/2012
                     */
                    virtual void block() = 0;
                    /**
                     * @fn	virtual void StateListener::partial() = 0;
                     * @brief	method partial.
                     * @author	Yadickson Soto
                     * @date	19/04/2012
                     */
                    virtual void partial() = 0;
                    /**
                     * @fn	virtual void StateListener::resume() = 0;
                     * @brief	method resume.
                     * @author	Yadickson Soto
                     * @date	19/04/2012
                     */
                    virtual void resume() = 0;
            };
        }
    }
}
#endif /* STATELISTENER_HXX_ */
